<?php
/**
 * The template for displaying 404 pages (not found)
 *
 * @package Validus
 */
$title_404_page    = validus_get_opt( 'title_404_page' );
$content_404_page  = validus_get_opt( 'content_404_page' );
$btn_text_404_page = validus_get_opt( 'btn_text_404_page' );
get_header();
?>
<h1>404</h1>
<h3>
    <?php if ( ! empty( $title_404_page ) ) {
        echo wp_kses_post( $title_404_page );
    } else {
        echo esc_html__( "Oops! That page can’t be found.", "validus" );
    } ?>
</h3>
<div class="page-content">
    <?php if ( ! empty( $content_404_page ) ) {
        echo wp_kses_post( $content_404_page );
    } else {
        echo esc_html__( "The page requested couldn't be found. This could be a spelling error in the URL or a removed page.", "validus" );
    } ?>
</div>
<a class="btn btn-outline-primary btn-go-home" href="<?php echo esc_url( home_url( '/' ) ); ?>">
    <?php if ( ! empty( $btn_text_404_page ) ) {
        echo wp_kses_post( $btn_text_404_page );
    } else {
        echo esc_html__( 'Back To Home', 'validus' );
    } ?>
</a>
<?php
get_footer();
