;
(function($) {

    "use strict";

    /* ===================
     Page reload
     ===================== */
    var scroll_top;
    var last_scroll_top = 0;
    var $imgLogo = $('#cms-header .site-logo img');
    var srcLogo = $imgLogo.attr('src');
    var srcLogoMobile = $imgLogo.data('mobile');
    var dataSticky = $imgLogo.data('sticky');
    var dataStickyMobile = $imgLogo.data('sticky-mobile');
    var $header = $('#cms-header');
    var header_height = $header.outerHeight();

    $(window).on('load', function() {
        $(".cms-loader").fadeOut("slow");
        scroll_top = $(this).scrollTop();
        if (scroll_top > header_height) {
            $header.addClass('header-sticky-hidden');
        }
        if ($(window).outerWidth() < 768 && srcLogoMobile != null) {
            $($imgLogo).attr('src', srcLogoMobile);
        }

        //Fix position fixed header-transparent
        //Page load
        if ($(".header-transparent").length && $(".cms-page-title-wrap").length == 0) {
            var height = $('.header-transparent').height();

            /* if ($(window).width() <= 1024) {
                $(".ptt-pt-tablet-extra-30").first().css('padding-top', parseInt(30 + height));
            } else {
                //Page Title Default
                $(".ptt-pt").css('padding-top', parseInt(139 + height));
            } */

            //$(".ptt-pt").css('padding-top', parseInt(height));
        }
    });

    $(window).on('resize', function() {
        if ($header.hasClass('header-sticky-show')) {
            $header.addClass('header-sticky-hidden').removeClass('header-sticky-show');
        }

        if ($header.hasClass('header-sticky-hidden') && $header.hasClass('sticky-on')) {
            var w_height = $(window).height();
            var total = w_height - 110 - 60;
            total = 'calc(' + w_height + 'px - 30px - 60px)'; //30px is toolbar wordpress
            $('.cms-widget-cart-dropdown .widget_shopping_cart_content').css('max-height', total);
            //let height = screen.height;

            /* if (!$header.hasClass('transparent-on')) {
                total = 'calc(' + w_height + ' - 30px - 60px)';
                $('.cms-widget-cart-dropdown .widget_shopping_cart_content').css('max-height', total);
            } */
        } else {
            var w_height = $(window).height();
            total = 'calc(' + w_height + 'px - var(--header-height) - 60px)';
            $('.cms-widget-cart-dropdown .widget_shopping_cart_content').css('max-height', total);
        }

        if ($(window).outerWidth() < 768 && srcLogoMobile != null) {
            $($imgLogo).attr('src', srcLogoMobile);
        } else {
            $($imgLogo).attr('src', srcLogo);
        }
        $('.primary-menu .sub-menu').removeClass('submenu-open').attr('style', '');

        var window_width = $(window).width();

        //Fix position fixed header-transparent
        if ($(".header-transparent").length && $(".cms-page-title-wrap").length == 0) {
            var height = $('.header-transparent').height();

            /* if ($(window).width() <= 1024) {
                $(".ptt-pt-tablet-extra-30").first().css('padding-top', parseInt(30 + height));
            } else {
                //Page Title Default
                $(".ptt-pt").css('padding-top', parseInt(139 + height));
            } */

            //$(".ptt-pt").css('padding-top', parseInt(height));
        }
    });

    /* ====================
        Scroll To Top
    ====================== */
    $(window).on('scroll', function() {
        scroll_top = $(this).scrollTop();
        validus_header_sticky();
        validus_header_scroll_top();
        validus_scroll_to_top();
        validus_resize_cart();
        last_scroll_top = scroll_top;
    });

    $(window).on('load', function() {
        //Fix position fixed header-transparent
        //Page load
        validus_header_scroll_top();
    });

    $.sep_grid_refresh = function() {
        $('.cms-grid-masonry').each(function() {
            var iso = new Isotope(this, {
                itemSelector: '.cms-grid-item',
                layoutMode: $(this).data('layout'),
                percentPosition: true,
                masonry: {
                    columnWidth: '.cms-grid-sizer',
                },
                containerStyle: null,
                stagger: 30,
                sortBy: 'name'
            });
            var filtersElem = $(this).parent('.cms-grid').find('.cms-grid-filter-wrap');
            filtersElem.on('click', function(event) {
                var filterValue = event.target.getAttribute('data-filter');
                iso.arrange({ filter: filterValue });
            });

            var filterItem = $(this).parent('.cms-grid').find('.cms-filter-item');
            filterItem.on('click', function(e) {
                filterItem.removeClass('active');
                $(this).addClass('active');
            });

            var filtersSelect = $(this).parent().find('.cms-select-filter-wrap');
            filtersSelect.change(function() {
                var filters = $(this).val();
                iso.arrange({ filter: filters });
            });

            var orderSelect = $(this).parent().find('.cms-select-order-wrap');
            orderSelect.change(function() {
                var e_order = $(this).val();
                if (e_order == 'asc') {
                    iso.arrange({ sortAscending: false });
                }
                if (e_order == 'des') {
                    iso.arrange({ sortAscending: true });
                }
            });

        });
    }
    // load more
    $(document).on('click', '.cms-load-more', function() {
        var loadmore = $(this).data('loadmore');
        var _this = $(this).parents(".cms-grid");
        var layout_type = _this.data('layout');
        loadmore.paged = parseInt(_this.data('start-page')) + 1;

        _this.find('.cms-grid-overlay').addClass('loader');
        $(this).addClass('loading');

        $.ajax({
                url: main_data.ajax_url,
                type: 'POST',
                beforeSend: function() {

                },
                data: {
                    action: 'validus_load_more_post_grid',
                    settings: loadmore
                }
            })
            .done(function(res) {
                if (res.status == true) {
                    _this.find('.cms-grid-inner').append(res.data.html);
                    _this.data('start-page', res.data.paged);
                    _this.find('.cms-grid-overlay').removeClass('loader');
                    _this.find('.cms-load-more').removeClass('loading');
                    if (layout_type == 'masonry') {
                        _this.imagesLoaded(function() {
                            $.sep_grid_refresh();
                        })
                    }
                    if (res.data.paged >= res.data.max) {
                        _this.find('.cms-load-more').hide().addClass('d-none');
                    }
                } else if (res.status == false) {
                    _this.find('.cms-load-more').addClass('d-none');
                }

            })
            .fail(function(res) {
                _this.find('.cms-load-more').addClass('d-none');
                return false;
            })
            .always(function() {
                return false;
            });
    });

    // pagination
    $(document).on('click', '.cms-grid-pagination a.page-numbers', function() {
        var _this = $(this).parents(".cms-grid");
        var loadmore = _this.find(".cms-grid-pagination").data('loadmore');
        var query_vars = _this.find(".cms-grid-pagination").data('query');
        var layout_type = _this.data('layout');
        var paged = $(this).attr('href');
        paged = paged.replace('#', '');
        loadmore.paged = parseInt(paged);
        query_vars.paged = parseInt(paged);
        _this.find('.cms-grid-overlay').addClass('loader');
        $('html,body').animate({ scrollTop: _this.offset().top - 100 }, 750);
        // reload pagination
        $.ajax({
            url: main_data.ajax_url,
            type: 'POST',
            beforeSend: function() {

            },
            data: {
                action: 'validus_get_pagination_html',
                query_vars: query_vars
            }
        }).done(function(res) {
            if (res.status == true) {
                _this.find(".cms-grid-pagination").html(res.data.html);
                _this.find('.cms-grid-overlay').removeClass('loader');
            } else if (res.status == false) {}
        }).fail(function(res) {
            return false;
        }).always(function() {
            return false;
        });
        // load post
        $.ajax({
            url: main_data.ajax_url,
            type: 'POST',
            beforeSend: function() {

            },
            data: {
                action: 'validus_load_more_post_grid',
                settings: loadmore
            }
        }).done(function(res) {
            if (res.status == true) {
                _this.find('.cms-grid-inner .cms-grid-item').remove();
                _this.find('.cms-grid-inner').append(res.data.html);
                _this.data('start-page', res.data.paged);
                if (layout_type == 'masonry') {
                    _this.imagesLoaded(function() {
                        $.sep_grid_refresh();
                    })
                }
            } else if (res.status == false) {}
        }).fail(function(res) {
            return false;
        }).always(function() {
            return false;
        });
        return false;
    });

    // post filter
    $(document).on('click', '.cms-grid .grid-filter-wrap .filter-item', function() {
        if ($(this).hasClass('active')) {
            return false;
        }
        let gridEl = $(this).parents('.cms-grid');
        gridEl.find('.grid-filter-wrap .filter-item').removeClass('active');
        $(this).addClass('active');

        let loadmore = gridEl.find(".cms-grid-pagination").data('loadmore') || gridEl.find(".cms-load-more").data('loadmore');
        loadmore = $.extend({}, loadmore);
        let query_vars = gridEl.find(".cms-grid-pagination").data('query') || gridEl.find(".cms-load-more").data('query');
        let layout_type = gridEl.data('layout');
        let filter = $(this).data('filter');
        if (typeof filter == 'undefined' || filter == "*" || filter == '') {
            filter = '';
        } else {
            loadmore.source = [filter];
        }

        loadmore.paged = 1;
        query_vars.paged = 1;
        gridEl.find('.cms-grid-overlay').addClass('loader');
        // reload pagination
        $.ajax({
            url: main_data.ajax_url,
            type: 'POST',
            beforeSend: function() {

            },
            data: {
                action: 'validus_get_pagination_html',
                query_vars: query_vars,
                filter: filter,
            }
        }).done(function(res) {
            if (res.status == true) {
                gridEl.find(".cms-grid-pagination").html(res.data.html);
                gridEl.find('.cms-grid-overlay').removeClass('loader');
            } else if (res.status == false) {}
        }).fail(function(res) {
            return false;
        }).always(function() {
            return false;
        });
        // load post
        $.ajax({
            url: main_data.ajax_url,
            type: 'POST',
            beforeSend: function() {

            },
            data: {
                action: 'validus_load_more_post_grid',
                settings: loadmore
            }
        }).done(function(res) {
            if (res.status == true) {
                gridEl.find('.cms-grid-inner .cms-grid-item').remove();
                gridEl.find('.cms-grid-inner').append(res.data.html);
                gridEl.data('start-page', res.data.paged);
                if (layout_type == 'masonry') {
                    gridEl.imagesLoaded(function() {
                        $.sep_grid_refresh();
                    })
                }
            } else if (res.status == false) {}
        }).fail(function(res) {
            return false;
        }).always(function() {
            return false;
        });
        return false;
    });

    function validus_scroll_to_top() {
        if (scroll_top > last_scroll_top && scroll_top > header_height + 300) {
            $('.scroll-top').removeClass('to-top-show').addClass('to-top-hidden');
        } else {
            $('.scroll-top').removeClass('to-top-hidden').addClass('to-top-show cms-transition');
            if (scroll_top < header_height + 300) {
                $('.scroll-top').removeClass('to-top-hidden').removeClass('to-top-show');
            }
        }
    }

    function validus_header_scroll_top() {
        var admin_bar = $('#wpadminbar').height(); //alert('top : ' + scroll_top + ', bar: ' + admin_bar);

        if ($(window).width() <= 600) {
            if (scroll_top < admin_bar) {
                var space = admin_bar - scroll_top;
                if (space < 0) {
                    space = 0;
                }
                $('.cms-header.transparent-on').css('top', space);
            } else {
                $('.cms-header.transparent-on').css('top', 0);
            }
        } else {
            $('.cms-header.transparent-on').css('top', '');
        }
    }
    /* ====================
        Header Sticky
    ====================== */
    function validus_header_sticky() {
        if (scroll_top > 2 && scroll_top < header_height && $header.hasClass('transparent-on')) {
            $header.addClass('header-sticky-show');
            $imgLogo.attr('src', dataSticky);
            if ($(window).outerWidth() < 768 && dataStickyMobile != null) {
                $($imgLogo).attr('src', dataStickyMobile);
            }
        }

        if (scroll_top > last_scroll_top && scroll_top > header_height) {
            if (!$header.hasClass('header-sticky-hidden')) {
                $header.removeClass('header-sticky-show').addClass('header-sticky-hidden');
                $($imgLogo).attr('src', srcLogo);
                if ($(window).outerWidth() < 768) {
                    $($imgLogo).attr('src', srcLogoMobile);
                }
            }
            if ($header.hasClass('header-mobile-open')) {
                $imgLogo.attr('src', dataSticky);
                if ($(window).outerWidth() < 768) {
                    $($imgLogo).attr('src', dataStickyMobile);
                }
            }
        } else {
            if ($header.hasClass('header-sticky-hidden') && $header.hasClass('sticky-on')) {
                $header.removeClass('header-sticky-hidden').addClass('header-sticky-show');
                $imgLogo.attr('src', dataSticky);
                if ($(window).outerWidth() < 768) {
                    $($imgLogo).attr('src', dataStickyMobile);
                }
                if (!$header.hasClass('transparent-on')) {
                    $('#cms-header-wrap').height(header_height);
                }
            }
            if (scroll_top < header_height) {
                $header.removeClass('header-sticky-hidden').removeClass('header-sticky-show');
                if (!$header.hasClass('transparent-on')) {
                    $('#cms-header-wrap').height('auto');
                }
                $imgLogo.attr('src', srcLogo);
                if ($(window).outerWidth() < 768) {
                    $($imgLogo).attr('src', srcLogoMobile);
                }
                if ($header.hasClass('transparent-on') && $header.hasClass('header-mobile-open')) {
                    $($imgLogo).attr('src', dataSticky);
                } else {
                    $($imgLogo).attr('src', srcLogo);
                }
                if ($(window).outerWidth() < 768) {
                    if ($header.hasClass('transparent-on') && $header.hasClass('header-mobile-open')) {
                        $($imgLogo).attr('src', dataStickyMobile);
                    } else {
                        $($imgLogo).attr('src', srcLogoMobile);
                    }
                }
            }
            if ($header.hasClass('header-mobile-open')) {
                $header.removeClass('header-sticky-hidden').addClass('header-sticky-show');
            }
        }
    }

    /* ===============================
        Resize Cart & Calculate Height
    ================================== */
    function validus_resize_cart() {
        if ($header.hasClass('header-sticky-hidden') && $header.hasClass('sticky-on')) {
            var w_height = $(window).height();
            var total = w_height - 110 - 60;
            total = 'calc(' + w_height + 'px - 30px - 60px)'; //30px is toolbar wordpress
            $('.cms-widget-cart-dropdown .widget_shopping_cart_content').css('max-height', total);
            //let height = screen.height;

            /* if (!$header.hasClass('transparent-on')) {
                total = 'calc(' + w_height + ' - 30px - 60px)';
                $('.cms-widget-cart-dropdown .widget_shopping_cart_content').css('max-height', total);
            } */
        } else {
            var w_height = $(window).height();
            total = 'calc(' + w_height + 'px - var(--header-height) - 60px)';
            $('.cms-widget-cart-dropdown .widget_shopping_cart_content').css('max-height', total);
        }
    }

    if ($('.cms-scroll-box').length) {
        var box_total = $('.cms-scroll-box').offset().top + $('.cms-scroll-box').outerHeight();
    }

    if ($('#cms-sidebar').length) {
        var sidebar_height = $('#cms-sidebar').outerHeight();
        var sidebar_total = $('#cms-sidebar').offset().top + $('#cms-sidebar').outerHeight();
        var last_height = $('#cms-sidebar .cms-widget').last().outerHeight();
        var last_total = $('#cms-sidebar .cms-widget').last().offset().top + last_height;
        var footer = $('#cms-footer').offset().top;
        var cmsblog = parseInt($('.cms-main-content').offset().top + $('.cms-main-content').outerHeight() - window.innerHeight);
    }

    function isScrolledIntoView(elem) {
        var $elem = $(elem);
        var $window = $(window);

        var docViewTop = $window.scrollTop();
        var docViewBottom = docViewTop + $window.height();

        var elemTop = $elem.offset().top;
        var elemBottom = elemTop + $elem.height();

        return ((elemBottom <= docViewBottom) && (elemTop >= docViewTop));
    }

    $(document).ready(function() {
        /* =================
         Menu Dropdown
         =================== */
        var $menu = $('.main-navigation');
        $menu.find('.primary-menu li').each(function() {
            var $submenu = $(this).find('> ul.sub-menu');
            if ($submenu.length == 1) {
                $(this).hover(function() {
                    if ($submenu.offset().left + $submenu.width() > $(window).width()) {
                        $submenu.addClass('back');
                    } else if ($submenu.offset().left < 0) {
                        $submenu.addClass('back');
                    }
                }, function() {
                    $submenu.removeClass('back');
                });
            }
        });

        $('.sub-menu .current-menu-item').parents('.menu-item-has-children').addClass('current-menu-ancestor');
        $('.mega-auto-width').parents('.megamenu').addClass('remove-pos');
        /* =================
         Menu Mobile
         =================== */
        $("#main-menu-mobile .open-menu").on('click', function() {
            $('#cms-header').toggleClass('header-mobile-open');
            $(this).toggleClass('opened');
            $('.site-navigation').toggleClass('navigation-open');
        });

        /* =================
         Main Menu
         =================== */
        $("#main-menu .open-menu").on('click', function() {
            $(this).toggleClass('opened');
            $('.site-navigation').toggleClass('navigation-open');
            $('.menu-cart-search').toggleClass('open');
        });

        /* ===================
         Search In Place
         ===================== */
        $('.site-header-search:not(.open)').click(function() {
            $('.site-search-quote .site-header-button').hide();
            $(this).find('span').hide();
            $(this).addClass('open');
            $(this).find('input[type=text]').focus();
        });

        $('.site-header-search .cmsi-remove').click(function(e) {
            e.stopPropagation();
            $('.site-search-quote .site-header-button').show();
            $(this).parent().find('span').show();
            $(this).parent().removeClass('open');
        });

        /* ===================
         Search Toggle
         ===================== */
        $(document).on('click', function(e) {
            if (e.target.className == 'cms-modal-close cmsi-remove') {
                $('.cms-modal-search').removeClass('open');
            }
            if (e.target.className == 'cms-modal cms-modal-search open')
                $('.cms-modal-search').removeClass('open');

            if (e.target.className == 'cms-modal cms-login-popup open')
                $('.cms-login-popup').removeClass('open').addClass('remove');

            if (e.target.className == 'cms-modal cms-register-popup open')
                $('.cms-register-popup').removeClass('open').addClass('remove');
        });


        /* ===================
         Search Toggle
         ===================== */
        $('.h-btn-form').click(function(e) {
            e.preventDefault();
            $('.cms-modal-contact-form').removeClass('remove').toggleClass('open');
        });

        $('.btn-sign-up').click(function(e) {
            e.preventDefault();
            $('.cms-register-popup').removeClass('remove').toggleClass('open');
            $('.cms-login-popup').removeClass('open');
        });

        $('.btn-sign-in').click(function(e) {
            e.preventDefault();
            $('.cms-login-popup').removeClass('remove').toggleClass('open');
            $('.cms-register-popup').removeClass('open');
        });

        $('.cms-close').click(function(e) {
            e.preventDefault();
            e.stopPropagation();
            $(this).parent().addClass('remove').removeClass('open');
            $(this).parents('.cms-modal').addClass('remove').removeClass('open');
            $(this).parents('.cms-widget-cart-wrap').removeClass('open');
            $(this).parents('#page').find('.site-overlay').removeClass('open');
        });

        /* ===================
         Modal
         ===================== */
        $('.cms-modal').click(function(e) {
            e.preventDefault();
            var modal_open = $(this).data('modal'),
                focus = $(this).data('focus');
            $(this).toggleClass('open');
            $(modal_open).toggleClass('open');
            if (typeof focus != 'undefined') {
                setTimeout(function() {
                    $(focus).focus();
                }, 300);
            }
        });
        $('.cms-close').click(function(e) {
            e.preventDefault();
            $(this).parent().removeClass('open');
        });

        $(".site-header-cart-click").on('click', function(e) {
            e.preventDefault();
            $('.cms-widget-cart-wrap').toggleClass('open'); //toggleClass
            $('.cms-header-navigation').removeClass('navigation-open');

            var w_height = $(window).height();
            var total = w_height - 110 - 60;
            total = 'calc(' + w_height + 'px - var(--header-height) - 60px)';
            $('.cms-widget-cart-dropdown .widget_shopping_cart_content').css('max-height', total);
        });

        /* Mobile Menu */
        $('.main-navigation li.menu-item-has-children').append('<span class="main-menu-toggle"></span>');
        $('.main-menu-toggle').on('click', function() {
            $(this).parent().find('> .sub-menu').toggleClass('submenu-open');
            $(this).parent().find('> .sub-menu').slideToggle();
        });

        /* ====================
         Scroll To Top
         ====================== */
        $('.scroll-top').click(function() {
            $('html, body').animate({ scrollTop: 0 }, 800);
            return false;
        });
        $('.scroll-to-top .cms-icon, .cms-scroll-top').click(function() {
            $('html, body').animate({ scrollTop: 0 }, 800);
            return false;
        });

        $(document).on('click', '.quantity .quantity-button', function() {
            var $this = $(this),
                spinner = $this.closest('.quantity'),
                input = spinner.find('input[type="number"]'),
                step = input.attr('step'),
                min = input.attr('min'),
                max = input.attr('max'),
                value = parseInt(input.val());
            if (!value) value = 0;
            if (!step) step = 1;
            step = parseInt(step);
            if (!min) min = 0;
            var type = $this.hasClass('quantity-up') ? 'up' : 'down';
            switch (type) {
                case 'up':
                    if (!(max && value >= max))
                        input.val(value + step).change();
                    break;
                case 'down':
                    if (value > min)
                        input.val(value - step).change();
                    break;
            }
            if (max && (parseInt(input.val()) > max))
                input.val(max).change();
            if (parseInt(input.val()) < min)
                input.val(min).change();
        });

        /* =============================
         * Disable / Enable Page Scroll
         * when modals are shown / hidden
         * ============================= */

        function getScrollBarWidth() {
            var inner = document.createElement('p');
            inner.style.width = "100%";
            inner.style.height = "200px";

            var outer = document.createElement('div');
            outer.style.position = "absolute";
            outer.style.top = "0px";
            outer.style.left = "0px";
            outer.style.visibility = "hidden";
            outer.style.width = "200px";
            outer.style.height = "150px";
            outer.style.overflow = "hidden";
            outer.appendChild(inner);

            document.body.appendChild(outer);
            var w1 = inner.offsetWidth;
            outer.style.overflow = 'scroll';
            var w2 = inner.offsetWidth;
            if (w1 == w2) w2 = outer.clientWidth;

            document.body.removeChild(outer);

            return (w1 - w2);
        };

        //EDITED
        function disable_scroll() {
            $('html').css('overflow', 'hidden');
            $('html').css('height', '100vh');
            $('html').css('padding-inline-end', getScrollBarWidth() + 'px');

            $('.header-transparent').css('padding-inline-end', getScrollBarWidth() + 'px');
            $('.header-transparent').css('transition', 'all 0s ease-in-out');

            $('.header-sticky-show').css('padding-inline-end', getScrollBarWidth() + 'px');

            $('.header-sticky-show').addClass('fix-scroll');
            $('.header-sticky-show').css('transition', 'all 0s ease-in-out');
            $('.header-sticky-show').css('-webkit-transition', 'all 0s ease-in-out');
            $('.header-sticky-show').css('-khtml-transition', 'all 0s ease-in-out');
            $('.header-sticky-show').css('-moz-transition', 'all 0s ease-in-out');
            $('.header-sticky-show').css('-ms-transition', 'all 0s ease-in-out');
            $('.header-sticky-show').css('-o-transition', 'all 0s ease-in-out');
        }

        function enable_scroll() {
            $('html').css('overflow', 'auto');
            $('html').css('height', 'auto');
            $('html').css('padding-inline-end', '0px');

            $('.header-transparent').css('padding-inline-end', '0px');
            $('.header-transparent').css('transition', 'all 0.5s ease-in-out');

            $('.header-sticky-show').css('padding-inline-end', '0px');

            $('.header-sticky-show').removeClass('fix-scroll');
            $('.header-sticky-show').css('transition', 'all 0.5s ease-in-out');
            $('.header-sticky-show').css('-webkit-transition', 'all 0.5s ease-in-out');
            $('.header-sticky-show').css('-khtml-transition', 'all 0.5s ease-in-out');
            $('.header-sticky-show').css('-moz-transition', 'all 0.5s ease-in-out');
            $('.header-sticky-show').css('-ms-transition', 'all 0.5s ease-in-out');
            $('.header-sticky-show').css('-o-transition', 'all 0.5s ease-in-out');
        }

        $('.cms-widget-cart-wrap').hover(function() {
            disable_scroll();
        }, function() {
            enable_scroll();
        });
    });

    $(document).click(function(e) {
        var arr = [".remove_from_cart_button", ".site-header-cart", ".add_to_cart_button", ".cms-widget-cart-wrap"];
        var j = 0;

        for (var i = 0; i < arr.length; i++) {
            if (!$(e.target).closest(arr[i]).length) {
                j++;
            }
        }

        if (j == arr.length) {
            $('.cms-widget-cart-wrap.open').removeClass('open');
        }
    });
})(jQuery);