<?php
// Register Elementor Widgets through plugin core
if (!function_exists('validus_elementor_register_widgets')) {
    add_filter('etc_register_widgets', 'validus_elementor_register_widgets');
    function validus_elementor_register_widgets($widgets)
    {
        $widgets = [
            [ // Cms Heading
                'name' => 'cms_heading',
                'title' => esc_html__('CMS Heading', 'validus'),
                'icon' => 'eicon-heading',
                'categories' => array(Elementor_Theme_Core::ETC_CATEGORY_NAME),
                'keywords' => [
                    'validus', 'heading', 'custom heading'
                ]
            ],
            [ // Cms Cta
                'name'       => 'cms_cta',
                'title'      => esc_html__('CMS Call To Action', 'validus'),
                'icon'       => 'eicon-menu-bar',
                'categories' => array(Elementor_Theme_Core::ETC_CATEGORY_NAME),
                'keywords' => [
                    'validus', 'cms call to action'
                ]
            ],
            [ // Cms Galleries
                'name'       => 'cms_galleries',
                'title'      => esc_html__('CMS Galleries', 'validus'),
                'icon'       => 'eicon-menu-bar',
                'categories' => array(Elementor_Theme_Core::ETC_CATEGORY_NAME),
                'scripts' => [
                    'cms-galleries',
                ],
                'keywords' => [
                    'validus', 'cms galleries'
                ]
            ],

            [ // Cms Price Table
                'name'       => 'cms_price_table',
                'title'      => esc_html__('CMS Price Table', 'validus'),
                'icon'       => 'eicon-menu-bar',
                'categories' => array(Elementor_Theme_Core::ETC_CATEGORY_NAME),
                'keywords' => [
                    'validus', 'cms price table', 'menu'
                ]
            ],

            [ // Cms Chart
                'name'       => 'cms_chart',
                'title'      => esc_html__('CMS Chart', 'validus'),
                'icon'       => 'eicon-circle-o',
                'categories' => array(Elementor_Theme_Core::ETC_CATEGORY_NAME),
                'scripts'    => [
                    'chart-min'
                ],
                'keywords' => [
                    'validus', 'cms chart'
                ]
            ],

            [ // Cms Fancy Box
                'name' => 'cms_fancy_box',
                'title' => esc_html__('CMS Fancy Box', 'validus'),
                'icon' => 'eicon-icon-box',
                'categories' => array(Elementor_Theme_Core::ETC_CATEGORY_NAME),
                'scripts' => [],
                'styles' => [],
                'keywords' => [
                    'validus', 'fancy-box', 'fancy', 'box'
                ]
            ],
            [ // Cms Support
                'name' => 'cms_support',
                'title' => esc_html__('CMS Support', 'validus'),
                'icon' => 'eicon-icon-box',
                'categories' => array(Elementor_Theme_Core::ETC_CATEGORY_NAME),
                'scripts' => [],
                'styles' => [],
                'keywords' => [
                    'validus', 'support'
                ]
            ],
            [ // Cms Download
                'name' => 'cms_download',
                'title' => esc_html__('CMS Download', 'validus'),
                'icon' => 'eicon-icon-box',
                'categories' => array(Elementor_Theme_Core::ETC_CATEGORY_NAME),
                'scripts' => [],
                'styles' => [],
                'keywords' => [
                    'validus', 'download'
                ]
            ],
            [ // Cms Quick Contact
                'name' => 'cms_quickcontact',
                'title' => esc_html__('CMS Quick Contact', 'validus'),
                'icon' => 'eicon-icon-box',
                'categories' => array(Elementor_Theme_Core::ETC_CATEGORY_NAME),
                'scripts' => [],
                'styles' => [],
                'keywords' => [
                    'validus', 'quick-contact', 'quick', 'contact'
                ]
            ],
            [ // Cms Button
                'name' => 'cms_button',
                'title' => esc_html__('CMS Button', 'validus'),
                'icon' => 'eicon-button',
                'categories' => array(Elementor_Theme_Core::ETC_CATEGORY_NAME),
                'keywords' => [
                    'validus', 'cms button', 'button'
                ]
            ],

            [ // Cms Slider
                'name' => 'cms_slider',
                'title' => esc_html__('CMS Slider', 'validus'),
                'icon' => 'eicon-slides',
                'categories' => array(Elementor_Theme_Core::ETC_CATEGORY_NAME),
                'scripts' => [
                    'cms-slider-widget-js',
                ],
                'keywords' => [
                    'validus', 'cms slider', 'slider'
                ]
            ],

            [ // Cms Page Title
                'name' => 'cms_page_title',
                'title' => esc_html__('CMS Page Title', 'validus'),
                'icon' => 'eicon-archive-title',
                'categories' => array(Elementor_Theme_Core::ETC_CATEGORY_NAME),
                'scripts' => array(
                    'cms-page-title-widget-js',
                ),
                'keywords' => [
                    'validus', 'cms page title', 'page title', 'title'
                ]
            ],

            [ // Cms Counter
                'name' => 'cms_counter',
                'title' => esc_html__('CMS Counter', 'validus'),
                'icon' => 'eicon-counter-circle',
                'categories' => array(Elementor_Theme_Core::ETC_CATEGORY_NAME),
                'scripts' => array(
                    'jquery-numerator',
                    'cms-counter-widget-js',
                    'cms-post-carousel-widget-js',
                ),
                'keywords' => [
                    'validus', 'cms counter', 'counter'
                ]
            ],

            [ // Cms Video
                'name' => 'cms_video',
                'title' => esc_html__('CMS Video', 'validus'),
                'icon' => 'eicon-youtube',
                'categories' => array(Elementor_Theme_Core::ETC_CATEGORY_NAME),
                'scripts' => [
                    'cms-video',
                ],
                'keywords' => [
                    'validus', 'cms video', 'player', 'embed', 'youtube', 'vimeo', 'dailymotion'
                ]
            ],

            [ // Cms Box Content
                'name' => 'cms_box_content',
                'title' => esc_html__('CMS Box Content', 'validus'),
                'icon' => 'eicon-info-box',
                'categories' => array(Elementor_Theme_Core::ETC_CATEGORY_NAME),
                'keywords' => [
                    'validus', 'cms box content'
                ]
            ],

            [ // Cms Single Image
                'name' => 'cms_single_image',
                'title' => esc_html__('CMS Single Image', 'validus'),
                'icon' => 'eicon-info-box',
                'categories' => array(Elementor_Theme_Core::ETC_CATEGORY_NAME),
                'keywords' => [
                    'validus', 'cms single image', 'image'
                ]
            ],

            [ // Cms Post Image
                'name' => 'cms_post_image',
                'title' => esc_html__('CMS Post Image', 'validus'),
                'icon' => 'eicon-info-box',
                'categories' => array(Elementor_Theme_Core::ETC_CATEGORY_NAME),
                'keywords' => [
                    'validus', 'cms post image', 'image'
                ]
            ],

            [ // Cms Post Carousel
                'name' => 'cms_post_carousel',
                'title' => esc_html__('CMS Post Carousel', 'validus'),
                'icon' => 'eicon-posts-carousel',
                'categories' => array(Elementor_Theme_Core::ETC_CATEGORY_NAME),
                'scripts' => [
                    'cms-post-carousel-widget-js',
                ],
                'keywords' => [
                    'cms', 'validus', 'post', 'carousel'
                ]
            ],

            [ // Cms Post Grid
                'name' => 'cms_post_grid',
                'title' => esc_html__('CMS Post Grid', 'validus'),
                'icon' => 'eicon-posts-grid',
                'categories' => array(Elementor_Theme_Core::ETC_CATEGORY_NAME),
                'scripts' => [
                    'imagesloaded',
                    'isotope',
                    'cms-post-grid-widget-js',
                ],
                'keywords' => [
                    'cms', 'validus', 'post', 'grid'
                ]
            ],

            [ // Cms Project Carousel
                'name' => 'cms_project_carousel',
                'title' => esc_html__('CMS Project Carousel', 'validus'),
                'icon' => 'eicon-posts-carousel',
                'categories' => array(Elementor_Theme_Core::ETC_CATEGORY_NAME),
                'scripts' => [
                    'cms-post-carousel-widget-js',
                ],
                'keywords' => [
                    'validus', 'post', 'project', 'carousel'
                ]
            ],
            [ // Cms Service Carousel
                'name' => 'cms_service_carousel',
                'title' => esc_html__('CMS Service Carousel', 'validus'),
                'icon' => 'eicon-posts-carousel',
                'categories' => array(Elementor_Theme_Core::ETC_CATEGORY_NAME),
                'scripts' => [
                    'cms-post-carousel-widget-js',
                ],
                'keywords' => [
                    'validus', 'post', 'service', 'carousel'
                ]
            ],

            /* [ // Cms List
                'name' => 'cms_list',
                'title' => esc_html__('CMS List', 'validus'),
                'icon' => 'eicon-editor-list-ul',
                'categories' => array(Elementor_Theme_Core::ETC_CATEGORY_NAME),
                'keywords' => [
                   'validus', 'cms list', 'list'
                ]
            ], */

            [ // Cms Icon
                'name' => 'cms_icon',
                'title' => esc_html__('CMS Icon', 'validus'),
                'icon' => 'eicon-alert',
                'categories' => array(Elementor_Theme_Core::ETC_CATEGORY_NAME),
                'keywords' => [
                    'validus', 'cms icon', 'icon'
                ]
            ],

            [ // Cms Social Icons
                'name' => 'cms_social_icons',
                'title' => esc_html__('CMS Social Icons', 'validus'),
                'icon' => 'eicon-social-icons',
                'categories' => array(Elementor_Theme_Core::ETC_CATEGORY_NAME),
                'keywords' => [
                    'validus', 'cms icon', 'icon', 'social'
                ]
            ],

            [ // Cms Blog Grid
                'name' => 'cms_blog_grid',
                'title' => esc_html__('CMS Blog Grid', 'validus'),
                'icon' => 'eicon-posts-grid',
                'categories' => array(Elementor_Theme_Core::ETC_CATEGORY_NAME),
                'scripts' => [
                    'imagesloaded',
                    'isotope',
                    'cms-post-grid-widget-js',
                ],
                'keywords' => [
                    'validus', 'blog', 'post', 'grid'
                ]
            ],

            [ // Cms Blog
                'name' => 'cms_blog',
                'title' => esc_html__('CMS Blog', 'validus'),
                'icon' => 'eicon-posts-grid',
                'categories' => array(Elementor_Theme_Core::ETC_CATEGORY_NAME),
                'scripts' => [
                    //
                ],
                'keywords' => [
                    'validus', 'blog', 'post'
                ]
            ],

            /* [ // Cms Blog Carousel
                'name' => 'cms_blog_carousel',
                'title' => esc_html__('CMS Blog Carousel', 'validus'),
                'icon' => 'eicon-posts-carousel',
                'categories' => array(Elementor_Theme_Core::ETC_CATEGORY_NAME),
                'scripts' => [
                    'cms-post-carousel-widget-js',
                ],
                'keywords' => [
                    'validus', 'blog', 'post', 'carousel'
                ]
            ], */

            [ // Cms Navigation Menu
                'name' => 'cms_navigation_menu',
                'title' => esc_html__('CMS Menu', 'validus'),
                'icon' => 'eicon-menu-bar',
                'categories' => array(Elementor_Theme_Core::ETC_CATEGORY_NAME),
                'keywords' => [
                    'validus', 'cms navigation menu', 'menu'
                ]
            ],

            [ // Cms Language Switcher
                'name' => 'cms_language_switcher',
                'title' => esc_html__('CMS Language Switcher', 'validus'),
                'icon' => 'eicon-menu-bar',
                'categories' => array(Elementor_Theme_Core::ETC_CATEGORY_NAME),
                'keywords' => [
                    'validus', 'cms language switcher'
                ]
            ],

            [ // Cms Newsletter
                'name' => 'cms_newsletter',
                'title' => esc_html__('CMS Newsletter', 'validus'),
                'icon' => 'eicon-mail',
                'categories' => array(Elementor_Theme_Core::ETC_CATEGORY_NAME),
                'keywords' => [
                    'validus', 'cms newsletter'
                ]
            ],

            [ // Cms Accordion
                'name' => 'cms_accordion',
                'title' => esc_html__('CMS Accordion', 'validus'),
                'icon' => 'eicon-accordion',
                'categories' => array(Elementor_Theme_Core::ETC_CATEGORY_NAME),
                'scripts' => array(
                    'cms-accordion-widget-js',
                ),
                'keywords' => [
                    'validus', 'cms accordion', 'accordion'
                ]
            ],

            [ // Cms Clients Carousel
                'name' => 'cms_clients',
                'title' => esc_html__('CMS Clients', 'validus'),
                'icon' => 'eicon-person',
                'categories' => array(Elementor_Theme_Core::ETC_CATEGORY_NAME),
                'scripts' => [
                    //'cms-post-carousel-widget-js',
                    'cms-clients-widget-js',
                ],
                'keywords' => [
                    'cms', 'validus', 'client', 'clients', 'carousel'
                ]
            ],

            [ // Cms Image Carousel
                'name' => 'cms_image_carousel',
                'title' => esc_html__('CMS Image Carousel', 'validus'),
                'icon' => 'eicon-person',
                'categories' => array(Elementor_Theme_Core::ETC_CATEGORY_NAME),
                'scripts' => [
                    'cms-post-carousel-widget-js',
                ],
                'keywords' => [
                    'cms', 'validus', 'image', 'carousel'
                ]
            ],

            [ // Cms Slider Landing
                'name' => 'cms_slider_landing',
                'title' => esc_html__('CMS Slider Landing', 'validus'),
                'icon' => 'eicon-slides',
                'categories' => array(Elementor_Theme_Core::ETC_CATEGORY_NAME),
                'scripts' => [
                    'cms-slider-widget-js',
                ],
                'keywords' => [
                    'validus', 'cms slider landing', 'slider'
                ]
            ],

            [ // Cms Teams (Grid + Carousel)
                'name' => 'cms_teams',
                'title' => esc_html__('CMS Teams', 'validus'),
                'icon' => 'eicon-user-circle-o',
                'categories' => array(Elementor_Theme_Core::ETC_CATEGORY_NAME),
                'scripts' => [
                    'cms-post-carousel-widget-js',
                ],
                'keywords' => [
                    'cms', 'validus', 'team', 'teams', 'grid', 'carousel'
                ]
            ],

            [ // Cms Testimonial Carousel
                'name' => 'cms_testimonials',
                'title' => esc_html__('CMS Testimonials', 'validus'),
                'icon' => 'eicon-testimonial',
                'categories' => array(Elementor_Theme_Core::ETC_CATEGORY_NAME),
                'scripts' => [
                    //'cms-post-carousel-widget-js',
                    'cms-testimonials-widget-js',
                ],
                'keywords' => [
                    'cms', 'validus', 'testimonial', 'testimonials', 'carousel'
                ]
            ],

            [ // Cms Box Carousel
                'name' => 'cms_box_carousel',
                'title' => esc_html__('CMS Box Carousel', 'validus'),
                'icon' => 'eicon-posts-carousel',
                'categories' => array(Elementor_Theme_Core::ETC_CATEGORY_NAME),
                'scripts' => [
                    'cms-post-carousel-widget-js',
                    'cms-box-carousel-widget-js',
                ],
                'keywords' => [
                    'cms', 'validus', 'box', 'carousel'
                ]
            ],

            [ // Cms Heading Carousel
                'name' => 'cms_heading_carousel',
                'title' => esc_html__('CMS Heading Carousel', 'validus'),
                'icon' => 'eicon-posts-carousel',
                'categories' => array(Elementor_Theme_Core::ETC_CATEGORY_NAME),
                'scripts' => [
                    'cms-heading-carousel-widget-js',
                ],
                'keywords' => [
                    'cms', 'validus', 'heading', 'carousel'
                ]
            ],

            [ // Cms Progress Bar
                'name' => 'cms_progressbar',
                'title' => esc_html__('CMS Progress Bar', 'validus'),
                'icon' => 'eicon-skill-bar',
                'categories' => array(Elementor_Theme_Core::ETC_CATEGORY_NAME),
                'scripts' => [
                    'cms-progressbar-widget-js',
                ],
                'keywords' => [
                    'validus', 'cms progressbar', 'progress bar'
                ]
            ],

            [ // Cms Breadcrumb
                'name' => 'cms_breadcrumb',
                'title' => esc_html__('CMS Breadcrumb', 'validus'),
                'icon' => 'eicon-ellipsis-h',
                'categories' => array(Elementor_Theme_Core::ETC_CATEGORY_NAME),
                'keywords' => [
                    'validus', 'breadcrumb'
                ]
            ],

            [ // Cms Copyright
                'name' => 'cms_copyright',
                'title' => esc_html__('CMS Copyright', 'validus'),
                'icon' => 'eicon-menu-bar',
                'categories' => array(Elementor_Theme_Core::ETC_CATEGORY_NAME),
                'keywords' => [
                    'validus', 'cms copyright', 'copyright'
                ]
            ],

            [ // Cms Anchor Link
                'name' => 'cms_anchor',
                'title' => esc_html__('CMS Anchor', 'validus'),
                'icon' => 'eicon-menu-bar',
                'categories' => array(Elementor_Theme_Core::ETC_CATEGORY_NAME),
                'keywords' => [
                    'validus', 'cms anchor', 'anchor'
                ]
            ],
            [ // Cms Signature
                'name' => 'cms_signature',
                'title' => esc_html__('CMS Signature', 'validus'),
                'icon' => 'eicon-menu-bar',
                'categories' => array(Elementor_Theme_Core::ETC_CATEGORY_NAME),
                'keywords' => [
                    'validus', 'cms signature'
                ]
            ],
            [ // Cms Text Editor
                'name' => 'cms_text_editor',
                'title' => esc_html__('CMS Text Editor', 'validus'),
                'icon' => 'eicon-text',
                'categories' => array(Elementor_Theme_Core::ETC_CATEGORY_NAME),
                'keywords' => [
                    'validus', 'cms text editor'
                ]
            ],
            [ // Cms Divider
                'name' => 'cms_divider',
                'title' => esc_html__('CMS Divider', 'validus'),
                'icon' => 'eicon-divider',
                'categories' => array(Elementor_Theme_Core::ETC_CATEGORY_NAME),
                'keywords' => [
                    'validus', 'cms divider'
                ]
            ],
        ];

        if (class_exists('WPCF7')) {
            $widgets[] = [
                'name' => 'cms_contact_form',
                'title' => esc_html__('CMS Contact Form 7', 'validus'),
                'icon' => 'eicon-form-horizontal',
                'categories' => array(Elementor_Theme_Core::ETC_CATEGORY_NAME),
                'scripts' => [
                    'cms-contact-form-widget-js',
                ],
                'styles' => [],
                'keywords' => [
                    'validus', 'contact-form', 'form', 'contact'
                ]
            ];
        }
        return $widgets;
    }
}

// Scan files to register controls for each new custom widget
$files = scandir(get_template_directory() . '/elementor/core/widgets');
foreach ($files as $file) {
    $pos = strrpos($file, ".php");
    if ($pos !== false) {
        require_once get_template_directory() . '/elementor/core/widgets/' . $file;
    }
}

/**
 * Extra Elementor Icons
 */
if (!function_exists('validus_register_custom_icon_library')) {
    add_filter('elementor/icons_manager/native', 'validus_register_custom_icon_library');
    function validus_register_custom_icon_library($tabs)
    {
        $custom_tabs = [
            'cmsi_icon' => [
                'name' => 'cmsi-icon',
                'label' => esc_html__('CMS Icons', 'validus'),
                'url' => get_template_directory_uri() . '/assets/fonts/font-cmsi/style.css',
                'enqueue' => [],
                'prefix' => 'cmsi-',
                'displayPrefix' => '',
                'labelIcon' => 'cmsi-arrow-circle-right',
                'ver' => '1.0.0',
                'fetchJson' => get_template_directory_uri() . '/assets/fonts/font-cmsi.js',
                'native' => true,
            ],
            'cmsi_validus' => [
                'name' => 'cmsi-validus',
                'label' => esc_html__('CMS validus', 'validus'),
                'url' => get_template_directory_uri() . '/assets/fonts/font-theme/style.css',
                'enqueue' => [],
                'prefix' => 'validus-icon-',
                'displayPrefix' => '',
                'labelIcon' => 'validus-icon-default',
                'ver' => '1.0.0',
                'fetchJson' => get_template_directory_uri() . '/assets/fonts/font-theme.js',
                'native' => true,
            ]
        ];
        $tabs = array_merge($custom_tabs, $tabs);
        return $tabs;
    }
}
