<?php

use Elementor\Controls_Manager;
use Elementor\Group_Control_Typography;

if (!function_exists('validus_widget_cms_accordion_register_controls')) {
    add_action('etc_widget_cms_accordion_register_controls', 'validus_widget_cms_accordion_register_controls', 10, 1);
    function validus_widget_cms_accordion_register_controls($widget)
    {
        // Content Tab Start

        // Layout Section Start
        $widget->start_controls_section(
            'layout_section',
            [
                'label' => esc_html__('Layout', 'validus'),
                'tab'   => Controls_Manager::TAB_LAYOUT,
            ]
        );
        
        $widget->add_control(
            'layout',
            [
                'label'   => esc_html__( 'Templates', 'validus' ),
                'type'    => Elementor_Theme_Core::LAYOUT_CONTROL,
                'default' => '1',
                'options' => [
                    '1' => [
                        'label' => esc_html__( 'Layout 1', 'validus' ),
                        'image' => get_template_directory_uri() . '/elementor/templates/widgets/cms_accordion/layout-image/layout1.jpg'
                    ],
                ],
            ]
        );

        $widget->end_controls_section();
        // Layout Section End

        // accordion Section Start
        $widget->start_controls_section(
            'section_accordion',
            [
                'label' => esc_html__('Accordion', 'validus'),
                'tab'   => Controls_Manager::TAB_CONTENT,
            ]
        );
        $widget->add_control(
            'active_section',
            [
                'label'     => esc_html__( 'Active section', 'validus' ),
                'type'      => \Elementor\Controls_Manager::NUMBER,
                'default' => '1',
                'min' => '0',
                'max' => '50',
                'separator' => 'after',
            ]
        );
        $widget->add_control('cms_accordion', [
            'label' => esc_html__('Accordion Items', 'validus'),
            'type' => \Elementor\Controls_Manager::REPEATER,
            'fields' => [
                [
                    'name' => 'ac_title',
                    'label'       => esc_html__( 'Title', 'validus' ),
                    'type'        => \Elementor\Controls_Manager::TEXT,
                    'default'     => esc_html__( 'This is the title', 'validus' ),
                    'placeholder' => esc_html__( 'Enter your title', 'validus' ),
                    'label_block' => true,
                ],
                [
                    'name' => 'ac_content',
                    'label'       => esc_html__( 'Content', 'validus' ),
                    'type'        => \Elementor\Controls_Manager::TEXT,
                    'default'     => esc_html__( 'This is the content', 'validus' ),
                    'placeholder' => esc_html__( 'Enter your content', 'validus' ),
                    'label_block' => true,
                ],
            ],
            'default' => [
                [
                    'ac_title' => esc_html__('Title', 'validus'),
                    'ac_content' => esc_html__(
                        'Item content. Click the edit button to change this text.',
                        'validus'
                    ),
                ],
                [
                    'ac_title' => esc_html__('Title', 'validus'),
                    'ac_content' => esc_html__(
                        'Item content. Click the edit button to change this text.',
                        'validus'
                    ),
                ],
            ],
            'title_field' => '{{{ ac_title }}}',
        ]);
        $widget->end_controls_section(); // accordion Section End

        // Content Tab End

    }
}
