<?php

use Elementor\Controls_Manager;
use Elementor\Group_Control_Typography;
use Elementor\Group_Control_Image_Size;
use Elementor\Utils;
use Elementor\Repeater;

if (!function_exists('validus_widget_cms_box_testimonials_register_controls')) {
    add_action('etc_widget_cms_box_testimonials_register_controls', 'validus_widget_cms_box_testimonials_register_controls', 10, 1);
    function validus_widget_cms_box_testimonials_register_controls($widget)
    {
		$widget->start_controls_section(
			'section_testimonial',
			[
				'label' => esc_html__( 'Content Testimonial', 'validus' ),
			]
		);

        $widget->add_control(
            'selected_icon',
            [
                'label'   => esc_html__('Icon', 'validus'),
                'type'    => Controls_Manager::ICONS,
                'fa4compatibility' => 'icon',
                'default'          => [
                    'library' => 'fa-solid',
                    'value'   => 'fas fa-quote-left'       
                ]
            ]
        );
        $widget->end_controls_section();

        // Content Tab Start
        // List Section Start
        $widget->start_controls_section(
            'list_section',
            [
                'label' => esc_html__('List', 'validus'),
                'tab' => Controls_Manager::TAB_CONTENT,
            ]
        );

        //========================testimonials2 - layout2==========================
        $repeater = new Repeater();

        $repeater->add_control(
            'image',
            [
                'label' => esc_html__('Image', 'validus'),
                'type' => Controls_Manager::MEDIA,
                'default' => [
                    'url' => Utils::get_placeholder_image_src(),
                ],
            ]
        );

        $repeater->add_control(
            'name',
            [
                'label' => esc_html__('Name', 'validus'),
                'type' => Controls_Manager::TEXT,
                'default' => esc_html__('Martin Qube Jr', 'validus'),
            ]
        );

        $repeater->add_control(
            'position',
            [
                'label' => esc_html__('Michael Brian', 'validus'),
                'type' => Controls_Manager::TEXT,
                'default' => esc_html__('The Founder', 'validus'),
            ]
        );

        $repeater->add_control(
            'description',
            [
                'label' => esc_html__('Description', 'validus'),
                'type' => Controls_Manager::TEXTAREA,
                'default' => esc_html__('Description', 'validus'),
            ]
        );

        $widget->add_control(
            'testimonials',
            [
                'label' => esc_html__('Testimonials', 'validus'),
                'type' => \Elementor\Controls_Manager::REPEATER,
                'fields' => $repeater->get_controls(),
                'default' => [
                    [
                        'image' => [
                            //'url' => Utils::get_placeholder_image_src(),
                            'url' => content_url() . '/assets/images/elementor/team_01.jpeg'
                        ],
                        'name' => esc_html__('Martin Qube Jr', 'validus'),
                        'position' => esc_html__('Dust Manager', 'validus'),
                        'description' => esc_html__('Expertly trained team members who take the extra step and go the extra mile, all to fulfill our promise, deliver innovative and dynamic solutions to our customers! I’ve seen great companies serving industry solutions in my career. But not to the point where you feel that comfort and trust that we get with Validus Industries.', 'validus'),
                    ],
                    [
                        'image' => [
                            'url' => content_url() . '/assets/images/elementor/team_02.jpeg'
                        ],
                        'name' => esc_html__('Michael Brian', 'validus'),
                        'position' => esc_html__('The Founder', 'validus'),
                        'description' => esc_html__('I’ve seen great companies serving industry solutions in my career. But not to the point where you feel that comfort and trust that we get with Validus Industries.', 'validus'),
                    ],
                ],
                'title_field' => '{{{ name }}}',
            ]
        );
        $widget->end_controls_section();
        //========================testimonials2 - layout2==========================
        // List Section End
        // Content Tab End
    }
}
