<?php

use Elementor\Controls_Manager;
use Elementor\Group_Control_Typography;

if (!function_exists('validus_widget_cms_breadcrumb_register_controls')) {
    add_action('etc_widget_cms_breadcrumb_register_controls', 'validus_widget_cms_breadcrumb_register_controls', 10, 1);
    function validus_widget_cms_breadcrumb_register_controls($widget)
    {
        // Content Tab Start

        // Breadcrumb Start
        $widget->start_controls_section(
            'section_breadcrumb',
            [
                'label' => esc_html__('Breadcrumb', 'validus'),
                'tab'   => Controls_Manager::TAB_CONTENT,
            ]
        );
        $widget->add_control(
            'breadcrumb_color',
            [
                'label'     => esc_html__( 'Breadcrumb Color', 'validus' ),
                'type'      => \Elementor\Controls_Manager::COLOR,
                'selectors' => [
                    '{{WRAPPER}} .cms-breadcrumb' => 'color: {{VALUE}};',
                ],
            ]
        );
        $widget->add_responsive_control(
            'align',
            [
                'label'        => esc_html__( 'Alignment', 'validus' ),
                'type'         => \Elementor\Controls_Manager::CHOOSE,
                'control_type' => 'responsive',
                'options'      => [
                    'start'   => [
                        'title' => esc_html__( 'Left', 'validus' ),
                        'icon'  => 'fa fa-align-left',
                    ],
                    'center' => [
                        'title' => esc_html__( 'Center', 'validus' ),
                        'icon'  => 'fa fa-align-center',
                    ],
                    'end'  => [
                        'title' => esc_html__( 'Right', 'validus' ),
                        'icon'  => 'fa fa-align-right',
                    ],
                ],
                'selectors'    => [
                     '{{WRAPPER}} .cms-breadcrumb-wrap' => 'justify-content: {{VALUE}};',
                ],
            ]
        );
        $widget->end_controls_section(); // Breadcrumb End

        // Content Tab End

    }
}
