<?php
use Elementor\Controls_Manager;
use Elementor\Base_Data_Control;

if(!function_exists('cmsframe_widget_cms_copyright_register_controls')){
	add_action('etc_widget_cms_copyright_register_controls', 'cmsframe_widget_cms_copyright_register_controls', 10, 1);
	function cmsframe_widget_cms_copyright_register_controls($widget){
		// Layout Settings
		$widget->start_controls_section(
			'layout_section',
			[
				'label' => esc_html__( 'Copyright', 'validus' ),
				'tab' => Controls_Manager::TAB_LAYOUT,
			]
		);
			$widget->add_control(
				'layout',
	            [
	            	'label'   => esc_html__( 'Templates', 'validus' ),
		            'type'    => Elementor_Theme_Core::LAYOUT_CONTROL,
		            'default' => '1',
		            'options' => [
		                '1' => [
		                    'label' => esc_html__( 'Layout 1', 'validus' ),
		                    'image' => get_template_directory_uri() . '/elementor/templates/widgets/cms_copyright/layout-images/layout1.jpg'
		                ]
		            ],
		        ]
			);
		$widget->end_controls_section();
		// Content Settings
		$widget->start_controls_section(
			'setting_section',
            [
            	'label'    => esc_html__('Settings', 'validus'),
            	'tab'      => \Elementor\Controls_Manager::TAB_CONTENT
            ]
		);
		$widget->add_control(
			'copyright_text',
			[
				'label'       => esc_html__('Copyright Text', 'validus'),
				'type'        => \Elementor\Controls_Manager::WYSIWYG,
				'description' => esc_html__('Use [[year]] variable to insert current year.', 'validus'),
				'label_block' => true,
				'default' => '&copy;[[year]] Theme, All Rights Reserved. With Love by <a href="https://farost.net/" target="_blank" rel="nofollow">farost.net</a>',
			]
		);
		$widget->add_control(
            'link_color',
            [
                'label'     => esc_html__( 'Link Color', 'validus' ),
                'type'      => \Elementor\Controls_Manager::COLOR,
                'selectors' => [
                    '{{WRAPPER}} .cms-copyright-wrap a' => 'color: {{VALUE}};',
                ],
            ]
        );
        $widget->add_control(
            'link_color_hover',
            [
                'label'     => esc_html__( 'Link Color Hover & Active', 'validus' ),
                'type'      => \Elementor\Controls_Manager::COLOR,
                'selectors' => [
                    '{{WRAPPER}} .cms-copyright-wrap a:hover' => 'color: {{VALUE}};',
                ],
            ]
        );
        $widget->add_responsive_control(
            'align',
            [
                'label'        => esc_html__( 'Alignment', 'validus' ),
                'type'         => Controls_Manager::CHOOSE,
                'control_type' => 'responsive',
                'options'      => [
                    'start'    => [
                        'title' => esc_html__( 'Left', 'validus' ),
                        'icon'  => 'fa fa-align-left',
                    ],
                    'center'  => [
                        'title' => esc_html__( 'Center', 'validus' ),
                        'icon'  => 'fa fa-align-center',
                    ],
                    'end'   => [
                        'title' => esc_html__( 'Right', 'validus' ),
                        'icon'  => 'fa fa-align-right',
                    ]
                ],
                'devices' => [ 'desktop', 'tablet', 'mobile' ],
                'selectors'    => [
                    '{{WRAPPER}} .cms-copyright-wrap' => 'text-align: {{VALUE}};',
                ],
            ]
        );
		$widget->end_controls_section();
	}
}
?>