<?php

use Elementor\Controls_Manager;
use Elementor\Group_Control_Typography;

if (!function_exists('validus_widget_cms_image_stamp_register_controls')) {
    add_action('etc_widget_cms_image_stamp_register_controls', 'validus_widget_cms_image_stamp_register_controls', 10, 1);
    function validus_widget_cms_image_stamp_register_controls($widget)
    {
        // Content Tab Start

        // single_image Section Start
        $widget->start_controls_section(
            'section_single_image',
            [
                'label' => esc_html__('Single Image', 'validus'),
                'tab'   => Controls_Manager::TAB_CONTENT,
            ]
        );
        $widget->add_control(
            'image',
            [
                'label' => esc_html__( 'Image', 'validus' ),
                'type'  => \Elementor\Controls_Manager::MEDIA,
            ]
        );
        $widget->add_control(
            'img_link',
            [
                'label' => esc_html__( 'Link', 'validus' ),
                'type'  => \Elementor\Controls_Manager::URL,
            ]
        );
        $widget->add_control(
            'img_max_height',
            [
                'label'        => esc_html__( 'Max Height', 'validus' ),
                'type'         => \Elementor\Controls_Manager::SLIDER,
                'control_type' => 'responsive',
                'size_units'   => [ 'px' ],
                'range'        => [
                    'px' => [
                        'min' => 50,
                        'max' => 2000,
                    ],
                ],
                'selectors'    => [
                    '{{WRAPPER}} .cms-single-image img' => 'max-height: {{SIZE}}{{UNIT}};',
                ],
            ]
        );
        $widget->add_control(
            'align',
            [
                'label'        => esc_html__( 'Alignment', 'validus' ),
                'type'         => \Elementor\Controls_Manager::CHOOSE,
                'control_type' => 'responsive',
                'options'      => [
                    'start'   => [
                        'title' => esc_html__( 'Left', 'validus' ),
                        'icon'  => 'fa fa-align-left',
                    ],
                    'center' => [
                        'title' => esc_html__( 'Center', 'validus' ),
                        'icon'  => 'fa fa-align-center',
                    ],
                    'end'  => [
                        'title' => esc_html__( 'Right', 'validus' ),
                        'icon'  => 'fa fa-align-right',
                    ],
                ],
                'selectors'    => [
                    '{{WRAPPER}} .cms-single-image' => 'text-align: {{VALUE}};',
                ],
            ]
        );
        $widget->end_controls_section(); // single_image Section End

        // Content Tab End

    }
}
