<?php

use Elementor\Controls_Manager;
use Elementor\Repeater;
use Elementor\Group_Control_Typography;

if (!function_exists('validus_widget_cms_list_register_controls')) {
    add_action('etc_widget_cms_list_register_controls', 'validus_widget_cms_list_register_controls', 10, 1);
    function validus_widget_cms_list_register_controls($widget)
    {
        // Content Tab Start

        // list Section Start
        $widget->start_controls_section(
            'section_list',
            [
                'label' => esc_html__('List Content', 'validus'),
                'tab'   => Controls_Manager::TAB_CONTENT,
            ]
        );

        $repeater = new Repeater();

        $repeater->add_control(
            'title',
            [
                'label'       => esc_html__( 'Title', 'validus' ),
                'default'     => esc_html__( 'Title', 'validus' ),
                'type'        => Controls_Manager::TEXT,
                'label_block' => true,
            ]
        );
        $widget->add_control(
            'cms_list',
            [
                'label' => esc_html__('List', 'validus'),
                'type' => Controls_Manager::REPEATER,
                'fields' => $repeater->get_controls(),
                'default' => [
                    [
                        'title' => esc_html__('Title', 'validus'),
                    ],
                    [
                        'title' => esc_html__('Title', 'validus'),
                    ],
                ],
                'title_field' => '{{{ title }}}',
            ]
        );
        
        $widget->end_controls_section(); // list Section End

         // Style Section Start
         $widget->start_controls_section(
            'general_style_section',
            [
                'label' => esc_html__('Style', 'validus'),
                'tab' => Controls_Manager::TAB_STYLE,
            ]
        );
        $widget->add_control(
            'content_color',
            [
                'label'     => esc_html__( 'Content Color', 'validus' ),
                'type'      => Controls_Manager::COLOR,
                'selectors' => [
                    '{{WRAPPER}} .cms-list-wrap' => 'color: {{VALUE}};',
                ],
            ]
        );
        $widget->add_group_control(
            Group_Control_Typography::get_type(),
            [
                'name' => 'list_typography',
                'selector'     => '{{WRAPPER}} .cms-list-wrap',
            ]
        );
        $widget->end_controls_section();// Style Section End

        // Content Tab End

    }
}
