<?php

use Elementor\Controls_Manager;
use Elementor\Group_Control_Image_Size;
use Elementor\Group_Control_Typography;

if (!function_exists('validus_widget_cms_post_grid_register_controls')) {
    add_action('etc_widget_cms_post_grid_register_controls', 'validus_widget_cms_post_grid_register_controls', 10, 1);
    function validus_widget_cms_post_grid_register_controls($widget)
    {
        // Layout Section Start
        $widget->start_controls_section(
            'layout_section',
            [
                'label' => esc_html__('Layout', 'validus'),
                'tab'   => Controls_Manager::TAB_LAYOUT,
            ]
        );
        
        $widget->add_control(
            'layout',
            [
                'label'   => esc_html__( 'Templates', 'validus' ),
                'type'    => Elementor_Theme_Core::LAYOUT_CONTROL,
                'default' => '1',
                'options' => [
                    '1' => [
                        'label' => esc_html__( 'Layout 1', 'validus' ),
                        'image' => get_template_directory_uri() . '/elementor/templates/widgets/cms_post_grid/layout-images/layout1.jpg'
                    ],
                    '2' => [
                        'label' => esc_html__( 'Layout 2', 'validus' ),
                        'image' => get_template_directory_uri() . '/elementor/templates/widgets/cms_post_grid/layout-images/layout2.jpg'
                    ],
                    '3' => [
                        'label' => esc_html__( 'Layout 3', 'validus' ),
                        'image' => get_template_directory_uri() . '/elementor/templates/widgets/cms_post_grid/layout-images/layout3.jpg'
                    ],
                    '4' => [
                        'label' => esc_html__( 'Layout 4', 'validus' ),
                        'image' => get_template_directory_uri() . '/elementor/templates/widgets/cms_post_grid/layout-images/layout4.jpg'
                    ],
                    '5' => [
                        'label' => esc_html__( 'Layout 5', 'validus' ),
                        'image' => get_template_directory_uri() . '/elementor/templates/widgets/cms_post_grid/layout-images/layout5.jpg'
                    ],
                    '6' => [
                        'label' => esc_html__( 'Layout 6', 'validus' ),
                        'image' => get_template_directory_uri() . '/elementor/templates/widgets/cms_post_grid/layout-images/layout6.jpg'
                    ],
                    '7' => [
                        'label' => esc_html__( 'Layout 7', 'validus' ),
                        'image' => get_template_directory_uri() . '/elementor/templates/widgets/cms_post_grid/layout-images/layout7.jpg'
                    ],
                    '8' => [
                        'label' => esc_html__( 'Layout 8', 'validus' ),
                        'image' => get_template_directory_uri() . '/elementor/templates/widgets/cms_post_grid/layout-images/layout8.jpg'
                    ],
                    '9' => [
                        'label' => esc_html__( 'Layout 9', 'validus' ),
                        'image' => get_template_directory_uri() . '/elementor/templates/widgets/cms_post_grid/layout-images/layout9.jpg'
                    ],
                    '10' => [
                        'label' => esc_html__( 'Layout 10', 'validus' ),
                        'image' => get_template_directory_uri() . '/elementor/templates/widgets/cms_post_grid/layout-images/layout10.jpg'
                    ],
                    '11' => [
                        'label' => esc_html__( 'Layout 11', 'validus' ),
                        'image' => get_template_directory_uri() . '/elementor/templates/widgets/cms_post_grid/layout-images/layout11.jpg'
                    ],
                    '12' => [
                        'label' => esc_html__( 'Layout 12', 'validus' ),
                        'image' => get_template_directory_uri() . '/elementor/templates/widgets/cms_post_grid/layout-images/layout12.jpg'
                    ],
                    '13' => [
                        'label' => esc_html__( 'Layout 13', 'validus' ),
                        'image' => get_template_directory_uri() . '/elementor/templates/widgets/cms_post_grid/layout-images/layout13.jpg'
                    ],
                    '14' => [
                        'label' => esc_html__( 'Layout 14', 'validus' ),
                        'image' => get_template_directory_uri() . '/elementor/templates/widgets/cms_post_grid/layout-images/layout14.jpg'
                    ],
                    '15' => [
                        'label' => esc_html__( 'Layout 15', 'validus' ),
                        'image' => get_template_directory_uri() . '/elementor/templates/widgets/cms_post_grid/layout-images/layout15.jpg'
                    ],
                    '16' => [
                        'label' => esc_html__( 'Layout 16', 'validus' ),
                        'image' => get_template_directory_uri() . '/elementor/templates/widgets/cms_post_grid/layout-images/layout16.jpg'
                    ],
                    '17' => [
                        'label' => esc_html__( 'Layout 17', 'validus' ),
                        'image' => get_template_directory_uri() . '/elementor/templates/widgets/cms_post_grid/layout-images/layout17.jpg'
                    ],
                ],
            ]
        );

        $widget->end_controls_section();
        // Layout Section End
        
        // Content Tab Start
        // Source Section Start
        $widget->start_controls_section(
            'source_section',
            [
                'label' => esc_html__('Source', 'validus'),
                'tab' => Controls_Manager::TAB_CONTENT,
            ]
        );

        $widget->add_control(
            'post_type',
            [
                'label'    => esc_html__( 'Select Post Type', 'validus' ),
                'type'     => \Elementor\Controls_Manager::SELECT,
                'multiple' => true,
                'options'  => etc_get_post_type_options(),
                'default'  => 'post'
            ]
        );

        $array = validus_get_grid_term_by_post_type_options();
        foreach($array as $item) {
            $widget->add_control(
                $item['name'],
                [
                    'label' => $item['label'],
                    'type' => $item['type'],
                    'multiple' => true,
                    'options' => $item['options'],
                    'condition' => $item['condition']
                ]
            );
        }
        
        $widget->add_control(
            'orderby',
            [
                'label' => esc_html__('Order By', 'validus'),
                'type' => Controls_Manager::SELECT,
                'default' => 'date',
                'options' => [
                    'date' => esc_html__('Date', 'validus'),
                    'ID' => esc_html__('ID', 'validus'),
                    'author' => esc_html__('Author', 'validus'),
                    'title' => esc_html__('Title', 'validus'),
                    'rand' => esc_html__('Random', 'validus'),
                ],
            ]
        );

        $widget->add_control(
            'order',
            [
                'label' => esc_html__('Sort Order', 'validus'),
                'type' => Controls_Manager::SELECT,
                'default' => 'desc',
                'options' => [
                    'desc' => esc_html__('Descending', 'validus'),
                    'asc' => esc_html__('Ascending', 'validus'),
                ],
            ]
        );

        $widget->add_control(
            'limit',
            [
                'label' => esc_html__('Total items', 'validus'),
                'type' => Controls_Manager::NUMBER,
                'default' => '6',
            ]
        );

        $widget->add_control(
            'readmore_text',
            [
                'label'     => esc_html__('Readmore Text', 'validus'),
                'type'      => Controls_Manager::TEXT,
                'default'   => esc_html__('Read More','validus'),
                'condition' => [
                    'layout' => '8'
                ]
            ]
        );
        $widget->end_controls_section();
        // Source Section End

        // Grid Section Start
        $widget->start_controls_section(
            'grid_section',
            [
                'label' => esc_html__('Grid', 'validus'),
                'tab' => Controls_Manager::TAB_CONTENT,
            ]
        );
        $widget->add_control(
            'show_pagination',
            [
                'label' => esc_html__('Show Pagination', 'validus'),
                'type' => Controls_Manager::SWITCHER,
                'default' => 'yes',
                'frontend_available' => true,
            ]
        );
        $widget->add_responsive_control(
            'col',
            [
                'label'        => esc_html__('Columns', 'validus'),
                'type'         => Controls_Manager::SELECT,
                'default'      => '',
                'default_args' => [
                    'laptop' => '',
                    'tablet' => '',
                    'tablet_extra' => '',
                    'mobile_extra' => '',
                    'mobile' => ''
                ],
                'options' => [
                    '' => esc_html__('Default', 'validus'),
                    '1' => '1',
                    '2' => '2',
                    '3' => '3',
                    '4' => '4',
                ],
                'condition' => [
                    'layout!' => ['6']
                ],
            ]
        );
        $widget->add_responsive_control(
            'gap',
            [
                'label'        => esc_html__( 'Gap', 'validus' ),
                'type'         => \Elementor\Controls_Manager::SLIDER,
                'default'      => [
                    'size' => '40',
                    'unit' => 'px'
                ],
                'range'        => [
                    'px' => [
                        'min' => 0,
                        'max' => 100,
                    ],
                ],
                'condition' => [
                    'layout!' => ['6', '7', '8', '9']
                ],
                'selectors'    => [
                    '{{WRAPPER}} .cms-grid-content' => 'gap: {{SIZE}}{{UNIT}};',
                ],
            ]
        );
        $widget->add_responsive_control(
            'gap6',
            [
                'label'        => esc_html__( 'Gap', 'validus' ),
                'type'         => \Elementor\Controls_Manager::SLIDER,
                'default'      => [
                    'size' => '0',
                    'unit' => 'px'
                ],
                'range'        => [
                    'px' => [
                        'min' => 0,
                        'max' => 100,
                    ],
                ],
                'condition' => [
                    'layout' => ['6']
                ],
                'selectors'    => [
                    '{{WRAPPER}} .cms-grid-content' => 'gap: {{SIZE}}{{UNIT}};',
                ],
            ]
        );
        $widget->end_controls_section();
        // Grid Section End

        // Display Section Start
        $widget->start_controls_section(
            'display_section',
            [
                'label' => esc_html__('Display', 'validus'),
                'tab' => Controls_Manager::TAB_CONTENT,
            ]
        );
        $widget->add_group_control(
            Group_Control_Image_Size::get_type(),
            [
                'name' => 'thumbnail',
                'type' => Controls_Manager::NUMBER,
                'default' => 'custom',
            ]
        );
        $widget->add_control(
            'show_title',
            [
                'label' => esc_html__('Show Title', 'validus'),
                'type' => Controls_Manager::SWITCHER,
                'default' => 'yes',
                'separator' => 'before',
                'condition' => [
                    'layout!' => ['5']
                ],
            ]
        );
        $widget->add_control(
            'title_tag',
            [
                'label' => esc_html__('HTML Tag', 'validus'),
                'type' => Controls_Manager::SELECT,
                'default' => 'h3',
                'options' => [
                    'h1' => 'H1',
                    'h2' => 'H2',
                    'h3' => 'H3',
                    'h4' => 'H4',
                    'h5' => 'H5',
                    'h6' => 'H6',
                ],
                'condition' => [
                    'show_title' => 'yes'
                ],
            ]
        );
        $widget->add_control(
            'show_excerpt',
            [
                'name' => 'show_excerpt',
                'label' => esc_html__('Show Excerpt', 'validus'),
                'type' => Controls_Manager::SWITCHER,
                'default' => 'yes',
                'separator' => 'before',
                'condition' => [
                    'layout!' => ['5','10']
                ],
            ]
        );
        $widget->add_control(
            'show_categories',
            [
                'label' => esc_html__('Show Categories', 'validus'),
                'type' => Controls_Manager::SWITCHER,
                'default' => 'yes',
                'condition' => [
                    'layout' => ['1','2','3','8']
                ],
            ]
        );
        $widget->add_control(
            'show_readmore',
            [
                'label' => esc_html__('Show Readmore', 'validus'),
                'type' => Controls_Manager::HIDDEN,
                'default' => 'yes',
            ]
        );
        $widget->end_controls_section();


        // Filter Section Start
        $widget->start_controls_section(
            'filter_section',
            [
                'label' => esc_html__('Filter', 'validus'),
                'tab' => Controls_Manager::TAB_CONTENT,
            ]
        );
        $widget->add_control(
            'filter',
            [
                'label'   => esc_html__( 'Show Filter', 'validus' ),
                'type'    => \Elementor\Controls_Manager::SELECT,
                'default' => 'false',
                'options' => [
                    'true'  => esc_html__( 'Enable', 'validus' ),
                    'false' => esc_html__( 'Disable', 'validus' ),
                ]
            ]
        );
        $widget->add_control(
            'filter_default_title',
            [
                'label'     => esc_html__('Filter Default Title', 'validus'),
                'type'      => Controls_Manager::TEXT,
                'default'   => esc_html__('All Cases', 'validus'),
                'condition' => [
                    'filter' => 'true',
                ],
            ]
        );
        $widget->add_control(
            'filter_alignment',
            [
                'label'   => esc_html__('Filter Alignment', 'validus'),
                'type'    => Controls_Manager::SELECT,
                'options' => [
                    'center' => esc_html__('Center', 'validus'),
                    'start'   => esc_html__('Left', 'validus'),
                    'end'  => esc_html__('Right', 'validus'),
                ],
                'default'   => 'center',
                'condition' => [
                    'filter' => 'true',
                ],
            ]
        );
        $widget->end_controls_section();
        // Filter Section End

        // Content Tab End

        // Style Tab Start
        $widget->start_controls_section(
            'general_section',
            [
                'label' => esc_html__('General', 'validus'),
                'tab' => Controls_Manager::TAB_STYLE,
            ]
        );
        $widget->add_control(
            'background_color_hover',
            [
                'label'     => esc_html__( 'Background Color Hover', 'validus' ),
                'type'      => \Elementor\Controls_Manager::COLOR,
                'condition' => [
                    'layout' => '10'
                ],
                'selectors' => [
                    '{{WRAPPER}} .item-readmore:before' => 'background: {{VALUE}};',
                ],
            ]
        );
        $widget->add_responsive_control(
            'title_width',
            [
                'label'        => esc_html__( 'Title Width', 'validus' ),
                'type'         => \Elementor\Controls_Manager::SLIDER,
                'size_units'   => [ '%' ],
                'separator'    => 'before',
                'range'        => [
                    '%' => [
                        'min' => 0,
                        'max' => 100,
                    ],
                ],
                'condition' => [
                    'layout' => ['6','13','15','16']
                ],
                'selectors'    => [
                    '{{WRAPPER}} .item-title' => 'max-width: {{SIZE}}%;',
                    '{{WRAPPER}} .cms-grid-item .item-body .item-title' => 'max-width: {{SIZE}}%;',
                ],
            ]
        );
        $widget->add_control(
            'title_color',
            [
                'label'     => esc_html__( 'Title Color', 'validus' ),
                'type'      => \Elementor\Controls_Manager::COLOR,
                'selectors' => [
                    '{{WRAPPER}} .item-title' => 'color: {{VALUE}};',
                    '{{WRAPPER}} .item-title a' => 'color: {{VALUE}};',
                    '{{WRAPPER}} .item-body .item-title' => 'color: {{VALUE}};',
                    '{{WRAPPER}} .item-body .item-title a' => 'color: {{VALUE}};',
                    '{{WRAPPER}} .item-featured .item-body .item-title a' => 'color: {{VALUE}};',
                ],
            ]
        );
        $widget->add_control(
            'title_color_hover',
            [
                'label'     => esc_html__( 'Title Color Hover', 'validus' ),
                'type'      => \Elementor\Controls_Manager::COLOR,
                'default'   => 'var(--color-primary)',
                'selectors' => [
                    '{{WRAPPER}} .item-title:hover' => 'color: {{VALUE}};',
                    '{{WRAPPER}} .item-title:hover a' => 'color: {{VALUE}};',
                    '{{WRAPPER}} .item-body .item-title:hover' => 'color: {{VALUE}};',
                    '{{WRAPPER}} .item-body .item-title:hover a' => 'color: {{VALUE}};',
                    '{{WRAPPER}} .item-featured .item-body .item-title:hover a' => 'color: {{VALUE}};',
                ],
            ]
        );
        $widget->add_group_control(
            Group_Control_Typography::get_type(),
            [
                'name' => 'title_typography',
                'label' => 'Title Typography',
                'selector' => '{{WRAPPER}} .item-body .item-title',
            ]
        );
        $widget->add_responsive_control(
            'text_width_layout6',
            [
                'label'        => esc_html__( 'Text Width', 'validus' ),
                'type'         => \Elementor\Controls_Manager::SLIDER,
                'default'      => [
                    'size' => '100',
                    'unit' => '%'
                ],
                'range'        => [
                    '%' => [
                        'min' => 0,
                        'max' => 100,
                    ],
                ],
                'condition' => [
                    'layout' => ['6'],
                ],
                'separator' => 'before',
                'selectors'    => [
                    '{{WRAPPER}} .cms-grid-item-inner .item-body .item-content' => 'width: {{SIZE}}%;',
                    '{{WRAPPER}} .cms-grid-item-inner .item-body .item-content .item-text' => 'width: {{SIZE}}%;',
                ],
            ]
        );
        $widget->add_responsive_control(
            'text_width_layout15',
            [
                'label'        => esc_html__( 'Text Width', 'validus' ),
                'type'         => \Elementor\Controls_Manager::SLIDER,
                'range'        => [
                    '%' => [
                        'min' => 0,
                        'max' => 100,
                    ],
                ],
                'condition' => [
                    'layout' => ['15'],
                ],
                'separator' => 'before',
                'selectors'    => [
                    '{{WRAPPER}} .cms-grid-item-inner .item-body .item-content .item-text' => 'width: {{SIZE}}%;',
                ],
            ]
        );
        $widget->add_responsive_control(
            'content_order',
            [
                'label'       => esc_html__( 'Content Order', 'validus' ),
                'type'        => Controls_Manager::SELECT,
                'description' => 'Reorder the position content before or after image',
                'default'     => 'left',
                'options'     => [
                    'left'  => esc_html__( 'Before Image', 'validus' ),
                    'right' => esc_html__( 'After Image', 'validus' ),
                ],
                'separator' => 'before',
                'condition' => [
                    'layout' => ['6']
                ]
            ]
        );
        $widget->add_responsive_control(
            'content_position',
            [
                'label' => esc_html__('Content Position', 'validus'),
                'type' => Controls_Manager::SELECT,
                'default' => 'absolute',
                'options' => [
                    'absolute' => esc_html__('Absolute', 'validus'),
                    'relative' => esc_html__('Relative', 'validus'),
                ],
                'frontend_available' => true,
                'separator' => 'before',
                'condition' => [
                    'layout' => '13'
                ],
                'selectors' => [
                    '{{WRAPPER}} .cms-grid-item-inner' => 'position: {{VALUE}};',
                ]
            ]
        );
        $widget->add_responsive_control(
            'content_width',
            [
                'label'        => esc_html__( 'Content Width', 'validus' ),
                'type'         => \Elementor\Controls_Manager::SLIDER,
                'default'      => [
                    'size' => '80',
                    'unit' => '%'
                ],
                'range'        => [
                    '%' => [
                        'min' => 0,
                        'max' => 100,
                    ],
                ],
                'condition' => [
                    'layout' => '13',
                ],
                'selectors'    => [
                    '{{WRAPPER}} .cms-grid-item-inner' => 'width: {{SIZE}}%;',
                ],
            ]
        );
        $widget->add_responsive_control(
            'content_bottom_space',
            [
                'label'        => esc_html__( 'Content Bototm Space', 'validus' ),
                'type'         => \Elementor\Controls_Manager::SLIDER,
                'size_units'   => [ 'px' ],
                'default'      => [
                    'size' => '',
                    'unit' => 'px'
                ],
                'range'        => [
                    'px' => [
                        'min' => -300,
                        'max' => 300,
                    ],
                ],
                'condition' => [
                    'layout' => '13',
                    'content_position' => 'absolute'
                ],
                'selectors'    => [
                    '{{WRAPPER}} .cms-grid-item-inner' => 'bottom: {{SIZE}}{{UNIT}};',
                ],
            ]
        );
        $widget->add_responsive_control(
            'content_between_space',
            [
                'label'        => esc_html__( 'Space Between Items', 'validus' ),
                'type'         => \Elementor\Controls_Manager::SLIDER,
                'size_units'   => [ 'px' ],
                'default'      => [
                    'size' => '',
                    'unit' => 'px'
                ],
                'range'        => [
                    'px' => [
                        'min' => 0,
                        'max' => 250,
                    ],
                ],
                'condition' => [
                    'layout' => '13',
                    'content_position' => 'absolute'
                ],
                'selectors'    => [
                    '{{WRAPPER}} .cms-grid-item' => 'margin-bottom: {{SIZE}}{{UNIT}};',
                ],
            ]
        );
        $widget->add_control(
            'content_alignment',
            [
				'label' => esc_html__( 'Content Alignment', 'validus' ),
				'type' => Controls_Manager::CHOOSE,
                'description' => esc_html__('Just work if the content exist.', 'validus'),
				'options' => [
					'start' => [
						'title' => esc_html__( 'Left', 'validus' ),
						'icon' => 'eicon-text-align-left',
					],
					'center' => [
						'title' => esc_html__( 'Center', 'validus' ),
						'icon' => 'eicon-text-align-center',
					],
					'end' => [
						'title' => esc_html__( 'Right', 'validus' ),
						'icon' => 'eicon-text-align-right',
					],
				],
				'selectors' => [
					'{{WRAPPER}} .item-body' => 'text-align: {{VALUE}};justify-content: {{VALUE}};',
				],
            ]
        );
        $widget->add_control(
            'content_color',
            [
                'label'     => esc_html__( 'Content Color', 'validus' ),
                'type'      => \Elementor\Controls_Manager::COLOR,
                'condition' => [
                    //'layout' => '13',
                ],
                'selectors' => [
                    '{{WRAPPER}} .item-body .item-content' => 'color: {{VALUE}};',
                ]
            ]
        );
        $widget->add_group_control(
            Group_Control_Typography::get_type(),
            [
                'name' => 'content_typography',
                'label' => 'Content Typography',
                'selector'     => '{{WRAPPER}} .item-body .item-content',
                'condition' => [
                    'layout' => '13',
                ],
            ]
        );
        $widget->add_responsive_control(
            'content_bottom',
            [
                'label'        => esc_html__( 'Content Bottom Space', 'validus' ),
                'type'         => \Elementor\Controls_Manager::SLIDER,
                'size_units'   => ['px'],
                'range'        => [
                    'px' => [
                        'min' => 0,
                        'max' => 100,
                    ],
                ],
                'selectors'    => [
                    '{{WRAPPER}} .cms-grid-content' => 'margin-bottom: {{SIZE}}{{UNIT}};',
                ],
            ]
        );
        $widget->add_responsive_control(
            'image_border_radius',
            [
                'label'        => esc_html__( 'Image Border Radius', 'validus' ),
                'type'         => \Elementor\Controls_Manager::SLIDER,
                'size_units'   => [ 'px' ],
                'default'      => [
                    'size' => '0',
                    'unit' => 'px'
                ],
                'range'        => [
                    'px' => [
                        'min' => 0,
                        'max' => 50,
                    ],
                ],
                'separator' => 'before',
                'selectors'    => [
                    '{{WRAPPER}} .cms-grid-item .item-featured' => '
                        -webkit-border-radius: {{SIZE}}{{UNIT}} !important;
                        -khtml-border-radius: {{SIZE}}{{UNIT}} !important;
                        -moz-border-radius: {{SIZE}}{{UNIT}} !important;
                        -ms-border-radius: {{SIZE}}{{UNIT}} !important;
                        -o-border-radius: {{SIZE}}{{UNIT}} !important;
                        border-radius: {{SIZE}}{{UNIT}} !important;',
                    '{{WRAPPER}} .cms-grid-item-container' => '
                        -webkit-border-radius: {{SIZE}}{{UNIT}} !important;
                        -khtml-border-radius: {{SIZE}}{{UNIT}} !important;
                        -moz-border-radius: {{SIZE}}{{UNIT}} !important;
                        -ms-border-radius: {{SIZE}}{{UNIT}} !important;
                        -o-border-radius: {{SIZE}}{{UNIT}} !important;
                        border-radius: {{SIZE}}{{UNIT}} !important;',
                ],
            ]
        );
        $widget->add_responsive_control(
            'button_border_radius',
            [
                'label'        => esc_html__( 'Button Border Radius', 'validus' ),
                'type'         => \Elementor\Controls_Manager::SLIDER,
                'size_units'   => [ 'px' ],
                'default'      => [
                    'size' => '4',
                    'unit' => 'px'
                ],
                'range'        => [
                    'px' => [
                        'min' => 0,
                        'max' => 50,
                    ],
                ],
                'separator' => 'before',
                'condition' => [
                    'layout' => ['4']
                ],
                'selectors'    => [
                    '{{WRAPPER}} .cms-grid-item .item-body .item-readmore a' => '
                        -webkit-border-radius: {{SIZE}}{{UNIT}} !important;
                        -khtml-border-radius: {{SIZE}}{{UNIT}} !important;
                        -moz-border-radius: {{SIZE}}{{UNIT}} !important;
                        -ms-border-radius: {{SIZE}}{{UNIT}} !important;
                        -o-border-radius: {{SIZE}}{{UNIT}} !important;
                        border-radius: {{SIZE}}{{UNIT}} !important;',
                ],
            ]
        );
        $widget->add_responsive_control(
            'column_border_radius',
            [
                'label'        => esc_html__( 'Column Border Radius', 'validus' ),
                'type'         => \Elementor\Controls_Manager::SLIDER,
                'size_units'   => [ 'px' ],
                'range'        => [
                    'px' => [
                        'min' => 0,
                        'max' => 50,
                    ],
                ],
                'separator' => 'before',
                'selectors'    => [
                    '{{WRAPPER}} .cms-grid-item' => '
                        -webkit-border-radius: {{SIZE}}{{UNIT}} !important;
                        -khtml-border-radius: {{SIZE}}{{UNIT}} !important;
                        -moz-border-radius: {{SIZE}}{{UNIT}} !important;
                        -ms-border-radius: {{SIZE}}{{UNIT}} !important;
                        -o-border-radius: {{SIZE}}{{UNIT}} !important;
                        border-radius: {{SIZE}}{{UNIT}} !important;
                        overflow: hidden;',
                ],
            ]
        );
        $widget->add_responsive_control(
            'circle_size',
            [
                'label'        => esc_html__( 'Circle Size', 'validus' ),
                'type'         => \Elementor\Controls_Manager::SLIDER,
                'size_units'   => [ 'px' ],
                'range'        => [
                    'px' => [
                        'min' => 0,
                        'max' => 300,
                    ],
                ],
                'separator' => 'before',
                'condition' => [
                    'layout' => '15'
                ],
                'selectors'    => [
                    '{{WRAPPER}} .cms-post-grid .cms-grid-item .item-featured .item-image img' => 'width: {{SIZE}}{{UNIT}}; height: {{SIZE}}{{UNIT}};',
                ],
            ]
        );
        $widget->end_controls_section();
        // Naivgation Section End
        // Style Tab End
    }
}
