<?php

use Elementor\Controls_Manager;
use Elementor\Group_Control_Typography;

if (!function_exists('validus_widget_cms_video_player_register_controls')) {
    add_action('etc_widget_cms_video_player_register_controls', 'validus_widget_cms_video_player_register_controls', 10, 1);
    function validus_widget_cms_video_player_register_controls($widget)
    {
        // Content Tab Start

        // video_player Section Start
        $widget->start_controls_section(
            'section_video_player',
            [
                'label' => esc_html__('Video Player', 'validus'),
                'tab'   => Controls_Manager::TAB_CONTENT,
            ]
        );
        $widget->add_control(
            'style',
            [
                'label'   => esc_html__( 'Style', 'validus' ),
                'type'    => \Elementor\Controls_Manager::SELECT,
                'options' => [
                    'style1' => 'Style 1',
                    'style2' => 'Style 2',
                ],
                'default' => 'style1',
            ]
        );
        $widget->add_control(
            'image',
            [
                'label' => esc_html__( 'Choose Image', 'validus' ),
                'type'  => \Elementor\Controls_Manager::MEDIA,
            ]
        );
        $widget->add_control(
            'img_type',
            [
                'label'   => esc_html__( 'Image Type', 'validus' ),
                'type'    => \Elementor\Controls_Manager::SELECT,
                'options' => [
                    'img' => 'Image',
                    'bg'  => 'Background Image',
                ],
                'default' => 'img',
            ]
        );
        $widget->add_control(
            'img_height',
            [
                'label'        => esc_html__( 'Image Height', 'validus' ),
                'type'         => \Elementor\Controls_Manager::SLIDER,
                'control_type' => 'responsive',
                'size_units'   => [ 'px' ],
                'range'        => [
                    'px' => [
                        'min' => 50,
                        'max' => 2000,
                    ],
                ],
                'selectors'    => [
                    '{{WRAPPER}} .cms-video-player .cms-video-bg-image' => 'height: {{SIZE}}{{UNIT}};',
                ],
                'condition'    => [
                    'img_type' => 'bg',
                ],
            ]
        );
        $widget->add_control(
            'video_link',
            [
                'label' => esc_html__( 'Link', 'validus' ),
                'type'  => \Elementor\Controls_Manager::TEXT,
            ]
        );
        $widget->end_controls_section(); // video_player Section End

        // Content Tab End

    }
}
