( function( $ ) {
    /**
     * @param $scope The Widget wrapper element as a jQuery element
     * @param $ The jQuery alias
     */

    var WidgetPostMasonryHandler = function( $scope, $ ) {
        $scope.find('.cms-grid-masonry').imagesLoaded(function(){
            $.sep_grid_refresh();
            
            $scope.find('.cms-post-grid-layout8 .cms-grid-inner').each(function () {
                $(this).find('.cms-grid-item').mouseover(function() {
                    var name = $(this).attr('class').match(/item-\d+/);
                    $('.cms-grid-item-image').not('.' + name).fadeOut('slow');
                    $('.cms-grid-item-image.' + name).fadeIn('slow');
                });
    
            });
    
            $scope.find('.cms-post-grid-layout8 .cms-grid-item').each(function() {
                $(this).hover(function() {
                    $(this).find('.item-body .item-readmore').slideToggle();
                });
            });

            $scope.find('.cms-post-grid-layout14 .cms-grid-item-container').each(function() {
                $(this).hover(function() {
                    $(this).find('.item-body .item-content').slideToggle();
                });
            });
    
            $scope.find('.cms-post-grid-layout16 .cms-grid-item-inner').each(function() {
                $(this).hover(function() {
                    $(this).find('.item-body .item-content').slideToggle();
                });
            });
        });
    };

    // Make sure you run this code under Elementor.
    $( window ).on( 'elementor/frontend/init', function() {
        elementorFrontend.hooks.addAction( 'frontend/element_ready/cms_blog_grid.default', WidgetPostMasonryHandler );
        elementorFrontend.hooks.addAction( 'frontend/element_ready/cms_post_grid.default', WidgetPostMasonryHandler );
        elementorFrontend.hooks.addAction( 'frontend/element_ready/cms_portfolio_grid.default', WidgetPostMasonryHandler );
        elementorFrontend.hooks.addAction( 'frontend/element_ready/cms_team_grid.default', WidgetPostMasonryHandler );
    } );
} )( jQuery );