<?php
$default_settings = [
	'active_section' => '',
	'cms_accordion'  => '',
	'main_icon'      => '',
	'icon_active'    => '',
	'title_html_tag' => 'div',
];
$settings         = array_merge( $default_settings, $settings );
extract( $settings );
$html_id            = etc_get_element_id( $settings );
$active_section     = intval( $active_section );
$accordions         = $widget->get_settings( 'cms_accordion' );

if ( ! empty( $accordions ) ) : ?>
<div id="<?php echo esc_attr( $html_id ); ?>" class="cms-accordion-wrap cms-accordion-layout1">
	<?php foreach ( $accordions as $key => $value ):
		$is_active = ( $key + 1 ) == $active_section;
		$_id        = isset( $value['_id'] ) ? $value['_id'] : '';
		$ac_title   = isset( $value['ac_title'] ) ? $value['ac_title'] : '';
		$ac_content = isset( $value['ac_content'] ) ? $value['ac_content'] : '';

		$title_key = $widget->get_repeater_setting_key( 'ac_title', 'cms_accordion', $key );
		$widget->add_render_attribute( $title_key, [
			'class' => [ 'cms-accordion-title-tex' ],
		] );
		$widget->add_inline_editing_attributes( $title_key, 'basic' );

		$content_key = $widget->get_repeater_setting_key( 'ac_content', 'cms_accordion', $key );
		$widget->add_render_attribute( $content_key, [
			'id'    => $_id . $html_id,
			'class' => [ 'cms-accordion-content d-none text-15' ],
		] );
		if ( $is_active ) {
			$widget->add_render_attribute( $content_key, 'style', 'display:block;' );
		}
		$widget->add_inline_editing_attributes( $content_key, 'basic' );
		?>
    <div class="cms-accordion-item cursor-pointer <?php echo esc_attr( $is_active ? 'active' : '' ); ?>">
        <<?php echo wp_kses_post( $title_html_tag ); ?>
        class="cms-accordion-title cms-transition d-flex flex-nowrap align-items-center text-19 font-700 relative cursor-pointer gap-20 <?php echo esc_attr( $is_active ? 'active' : '' ); ?>"
        data-target="<?php echo esc_attr( '#' . $_id . $html_id ); ?>">
			<span class="cms-ac-title-icon col-auto order-first d-flex align-items-center justify-content-center text-10"> 
				<i aria-hidden="true" class="cms-ac-title--icon cms-ac-title-icon-close cms-transition rtl-flip cmsi-chevron-right d-flex align-items-center justify-content-center text-center text-white radius-100 bg-secondary"></i>
				<i aria-hidden="true" class="cms-ac-title--icon cms-ac-title-icon-open d-none cms-transition rtl-flip cmsi-chevron-down align-items-center justify-content-center text-center text-white radius-100 bg-secondary"></i> 
			</span>
			<a <?php echo wp_kses_post( $widget->get_render_attribute_string( $title_key ) ); ?>><?php echo esc_html( $ac_title ); ?></a>
        </<?php echo wp_kses_post( $title_html_tag ); ?>>
        <div <?php echo wp_kses_post( $widget->get_render_attribute_string( $content_key ) ); ?>>
			<?php echo wp_kses_post( nl2br( $ac_content ) ); ?>
		</div>
    </div>
	<?php
	endforeach;
	?>
</div>
<?php endif; ?>