<?php
$html_id     = etc_get_element_id($settings);
$tax         = array();
$source      = $widget->get_setting('source', '');
$orderby     = $widget->get_setting('orderby', 'date');
$order       = $widget->get_setting('order', 'desc');
$limit       = $widget->get_setting('limit', 6);
$layout_type = 'grid';

extract(etc_get_posts_of_grid('post', [
    'source'   => $source,
    'orderby'  => $orderby,
    'order'    => $order,
    'limit'    => $limit
]));

$show_animation             = $widget->get_setting('show_animation', 'no');
$filter                     = $widget->get_setting('filter', 'false');
$filter_default_title       = $widget->get_setting('filter_default_title', 'All');
$filter_alignment           = $widget->get_setting('filter_alignment', 'center');
$thumbnail_size             = $widget->get_setting('thumbnail_size', '');
$thumbnail_custom_dimension = $widget->get_setting('thumbnail_custom_dimension', '');
$pagination_type            = $widget->get_setting('pagination_type', 'pagination');
$num_words                  = $widget->get_setting('num_words', '');
$readmore_text              = $widget->get_setting('readmore_text', '');
$posts_data = array(
    'startPage'                  => $paged,
    'maxPages'                   => $max,
    'total'                      => $total,
    'perpage'                    => $limit,
    'nextLink'                   => $next_link,
    'source'                     => $source,
    'orderby'                    => $orderby,
    'order'                      => $order,
    'limit'                      => $limit,
    'thumbnail_size'             => $thumbnail_size,
    'thumbnail_custom_dimension' => $thumbnail_custom_dimension,
    'pagination_type'            => $pagination_type,
    'num_words'                  => $num_words,
    'readmore_text'              => $readmore_text
);
// Wrap attributes
$widget->add_render_attribute('wrap',[
    'id'              => $html_id,
    'class'           => ['cms-grid', 'cms-blog-grid cms-blog-grid-layout1 d-flex flex-direction-column gap-40', ' cms-blog-grid-'.$widget->get_setting('layout','1')],
    'data-layout'     => $layout_type,
    'data-start-page' => $paged,
    'data-max-pages'  => $max,
    'data-total'      => $total,
    'data-perpage'    => $limit,
    'data-next-link'  => $next_link
]);
$widget->add_inline_editing_attributes( 'wrap', '' );
// Content attributes
$widget->add_render_attribute('content',[
    'class' => [
        'cms-grid-content',
        'd-grid',
        'grid-'.$widget->get_setting('col','3'),
        'grid-tablet-'.$widget->get_setting('col_tablet','2'),
        'grid-mobile-'.$widget->get_setting('col_mobile','1'),
        'gap',
    ],
    'style' => '--gap:40px;--gap-tablet:30px;--gap-mobile:20px;'
]);
?>

<div <?php echo wp_kses_post($widget->get_render_attribute_string('wrap')); ?>>
    <div <?php echo wp_kses_post($widget->get_render_attribute_string('content')); ?>><?php
        
        $settings['template_type'] = 'blog_grid_layout1';
        validus_get_post_grid($settings, $posts, $posts_data, [
            'item_class' => 'cms-grid-content cms-shadow-3' . ($show_animation == 'yes' ? ' show-animation-hover' : ''),
            'bg_class' => ''
        ]);
    ?></div>
    <?php if ($pagination_type == 'pagination') { ?>
        <div class="cms-grid-pagination" data-loadmore="<?php echo esc_attr(json_encode($posts_data)); ?>"
            data-query="<?php echo esc_attr(json_encode($args)); ?>">
            <?php validus_posts_pagination($query, true); ?>
        </div>
    <?php }
    if (!empty($next_link) && $pagination_type == 'loadmore') { ?>
        <div class="cms-load-more text-center" data-loadmore="<?php echo esc_attr(json_encode($posts_data)); ?>">
            <span class="btn btn-outline">
                <i class="i-hidden"></i>
                <?php echo esc_html__('Load More', 'validus') ?>
            </span>
        </div>
    <?php } ?>
</div>