<?php
$default_settings = [
	'image'       => '',
	'img_link'    => '',
];
$settings         = array_merge( $default_settings, $settings );
extract( $settings );
$html_id = etc_get_element_id( $settings );

$widget->add_render_attribute( 'image', 'class', '' );

$_w_default = 400;
$_h_default = 267;

//image
$thumbnail_size = $widget->get_setting('thumbnail_size', 'full');
$thumbnail_custom_dimension = $widget->get_setting('thumbnail_custom_dimension', ['width' => '400', 'height' => '267']);
if ($thumbnail_size != 'custom') {
    $img_size = $thumbnail_size;

	$width = get_option( $thumbnail_size.'_size_w' );
	$height = get_option( $thumbnail_size.'_size_h' );

	if ($thumbnail_size == '1536x1536' || $thumbnail_size == '2048x2048') {
		$array = explode('x',$thumbnail_size);
		$width = $array[0];
		$height = $array[1];
	}

	if (empty($height) || $height == '' || $height == 0) {
		$array = wp_get_attachment_image_src($settings['right_image']['id'],$thumbnail_size);
		if(isset($array) && is_array($array) && !empty($array)) {
			$params = array(
				'width' => $array[1],
				'height' => $array[2]
			);
		} else {
			$params = array(
				'width' => $_w_default,
				'height' => $_h_default
			);
		}

		$settings['thumbnail_size'] = 'custom';
		$settings['thumbnail_custom_dimension'] = $params;
	} else {
		if ($width <= get_option( 'thumbnail_size_w' )) {
			$width = $_w_default;
		}
		if ($height <= get_option( 'thumbnail_size_h' )) {
			$height = $_h_default;

			$settings['thumbnail_size'] = 'custom';
		}

		$params = array(
			'width' => $width,
			'height' => $height
		);

		$settings['thumbnail_size'] = 'custom';
		$settings['thumbnail_custom_dimension'] = $params;
	}
} elseif (!empty($thumbnail_custom_dimension['width']) && !empty($thumbnail_custom_dimension['height'])) {
    $img_size = $thumbnail_custom_dimension['width'] . 'x' . $thumbnail_custom_dimension['height'];

	$params = array(
        'width' => $thumbnail_custom_dimension['width'],
        'height' => $thumbnail_custom_dimension['height']
    );
} else {
    $img_size = $_w_default.'x'.$_h_default;

	$params = array(
		'width' => $_w_default,
		'height' => $_h_default
	);

	$settings['thumbnail_size'] = 'custom';
    $settings['thumbnail_custom_dimension'] = $params;
}

$max_height = $params['height'].'px';

$thumbnail = '';

//******************************************************************************
$image_url = \Elementor\Group_Control_Image_Size::get_attachment_image_src( $settings['right_image']['id'], 'thumbnail', $settings );

if(!empty($image_url)) {
	//the $image_url always return correct size which we want, just print out the image normally on frontend :
	$src = $image_url;

	//but if $image_url return 80x80 in backend, we will print out the large image size in backend only :
	if (strpos($src, "80x80") !== false) {
		$attach = wp_get_attachment_image_src( $settings['right_image']['id'], 'large' );
		$src = $attach[0];
	}

	$thumbnail = '<img decoding="async" src="'.$src.'" loading="lazy" />';
}
//*******************************************************************************


if (empty($settings['right_image']['id'] && !empty( $settings['right_image']['url']))) {
	$src = get_template_directory_uri() . '/assets/images/elementor/jasper-garratt-hori.jpg';
	$src = $settings['right_image']['url'];
	
	$thumbnail = '<img decoding="async" width="'.$params['width'].'" height="'.$params['height'].'" src="'.$src.'" loading="lazy" />';
}

$widget->add_render_attribute( 'right_text', 'class', 'cms-text' );
$widget->add_inline_editing_attributes( 'right_text' );
?>
<div class="cms-box-content-wrap">
	<div class="cms-box-left">
		<?php if (!empty( $settings['left_heading'] )) { ?>
			<<?php echo wp_kses_post( $settings['left_heading_size'] ); ?> class="cms-text">
				<?php echo wp_kses_post( $settings['left_heading'] );?>
			</<?php echo wp_kses_post( $settings['left_heading_size'] ); ?>>
		<?php } ?>
	</div>
	<div class="cms-box-right">
		<?php if ( ! empty( $settings['right_text'] ) ) : ?>
			<div <?php echo wp_kses_post( $widget->get_render_attribute_string( 'right_text' ) ); ?>>
				<?php echo wpautop( $settings['right_text'] ); ?>
			</div>
		<?php endif; ?>
		<div class="cms-image" style="--max-height: <?php echo esc_html($params['height']);?>px;">
			<?php echo wp_kses_post( $thumbnail ); ?>
		</div>
	</div>
</div>