<?php
use Elementor\Icons_Manager;

$widget->add_render_attribute( 'inner', [
	'class' => 'cms-carousel-inner',
] );
//echo '<pre>';print_r($settings['testimonials']);echo '</pre>';
$widget->add_inline_editing_attributes( 'content', 'none' );
?>
<?php if ( isset( $settings['testimonials'] ) && ! empty( $settings['testimonials'] ) && count( $settings['testimonials'] ) ): ?>
    <div class="cms-box-testimonial-wrap d-flex">
        <div class="testimonial-icon text-white">
            <?php
                $icon_settings = $widget->get_settings_for_display('selected_icon');
                if (empty($icon_settings['value'])) {
                    $icon_settings = [
                        'library' => 'fa-solid',
                        'value'   => 'fas fa-quote-left',
                    ];
                }
                Icons_Manager::render_icon($icon_settings, ['aria-hidden' => 'true']);
            ?>
        </div>
        <div class="testimonial-info d-flex flex-direction-column text-white">
            <div class="testimonial-desc text-17 font-bold">
                <span <?php echo wp_kses_post( $widget->get_render_attribute_string( 'content' ) ); ?>>
                    <?php echo esc_attr( $settings['testimonials'][0]['description'] ); ?>
                </span>
            </div>
            <div class="testimonial-people d-flex align-items-center gap-12">
                <?php 
                $i = 0;
                foreach ( $settings['testimonials'] as $value ):
                    if(!$i) {
                        $class = 'border-2';
                    } else {
                        $class = '';
                    }
                    $img = etc_get_image_by_size( array(
                        'attach_id'  => $value['image']['id'],
                        'thumb_size' => '40x40',
                        'class'      => $class,
                    ) );
                    $i++;
                    //$thumbnail = $img['thumbnail'];
                    $thumbnail = '<img decoding="async" class="cms-transition" src="'.$img['p_img_large'][0].'" loading="lazy" />';
                    ?>
                        <div class="testimonial-inner">
                            <?php if ( ! empty( $value['image']['id'] ) ) { ?>
                                <div class="testimonial-image d-flex">
                                    <?php echo wp_kses_post( $thumbnail ); ?>
                                </div>
                            <?php } else { ?>
                                <div class="testimonial-image d-flex">
                                    <img class="<?php echo esc_html($class);?> radius-100 cursor-pointer" src="<?php echo wp_kses_post($value['image']['url']);?>" />
                                </div>
                            <?php } ?>
                            <div class="testimonial-name"><?php echo esc_attr( $value['name'] ); ?></div>
                            <div class="testimonial-position"><?php echo esc_attr( $value['position'] ); ?></div>
                            <div class="testimonial-description">
                                <span <?php echo wp_kses_post( $widget->get_render_attribute_string( 'description' ) ); ?>>
                                    <?php echo esc_attr( $value['description'] ); ?>
                                </span>
                            </div>
                        </div>
                <?php endforeach; ?>
                <div class="testimonial-people-info">
                    <div class="testimonial-name text-14 font-700"></div>
                    <div class="testimonial-position text-13"></div>
                </div>
            </div>
        </div>
    </div>
<?php endif; ?>
