<?php
use Elementor\Group_Control_Image_Size;
use Elementor\Control_Media;

$brands = $widget->get_setting('brands', []);
$arrows = $widget->get_setting('arrows', '');
$dots = $widget->get_setting('dots', '');

?>
<div class="cms-brands-carousel-wrap">
    <div class="cms-carousel swiper">
        <div class="swiper-wrapper">
            <?php
            foreach ($brands as $key => $brand) {
                ?>
                <div class="cms-carousel-item swiper-slide">
                    <?php if (isset($brand['image']) && isset($brand['image']['url']) && !empty($brand['image']['url'])) { ?>
                        <div class="cms-brand-item-image">
                            <?php
                            	$image_key = $widget->get_repeater_setting_key( 'image', 'cms_brand', $key );
                            	$widget->add_render_attribute( $image_key, 'src', $brand['image']['url'] );
								$widget->add_render_attribute( $image_key, 'alt', Control_Media::get_image_alt( $brand['image'] ) );
								$widget->add_render_attribute( $image_key, 'title', Control_Media::get_image_title( $brand['image'] ) );
								echo Group_Control_Image_Size::get_attachment_image_html( $brand, 'thumbnail', 'image' );
                            ?>
                        </div>
                    <?php } ?>
                    <div class="cms-brand-item-content">
                        <?php if (isset($brand['name'])) { ?>
                            <div class="cms-brand-item-name">
                                <?php
                                	if(!empty( $brand['link']['url'])){
                                		$link_key = $widget->get_repeater_setting_key( 'link', 'cms_brand', $key );
                                		$widget->add_link_attributes( $link_key, $brand['link'] );
                                		?>
                                		<a <?php echo wp_kses_post($widget->get_render_attribute_string( $link_key )); ?>>
                                			<?php echo esc_html($brand['name']); ?>
                                		</a>
                                		<?php
                                	}
                                	else{
                                		echo esc_html($brand['name']);
                                	}
                                ?>
                            </div>
                        <?php } ?>
                    </div>
                </div>
                <?php
            }
            ?>
        </div>
        <?php if ($arrows == 'yes') : ?>
            <div class="cms-brand-button-arrow cms-carousel-button-prev">
                <i aria-hidden="true" class="eicon-chevron-left"></i>
            </div>
            <div class="cms-brand-button-arrow cms-carousel-button-next">
                <i aria-hidden="true" class="eicon-chevron-right"></i>
            </div>
        <?php endif ?>
        <?php if ($dots == 'yes') : ?>
            <div class="cms-carousel-dots"></div>
        <?php endif ?>
    </div>
</div>