<?php
$default_settings = [
	'icons' => '',
];
$settings         = array_merge( $default_settings, $settings );
extract( $settings );
$has_icon = ! empty( $settings['btn_icon'] );
if ( $has_icon ) {
	$widget->add_render_attribute( 'i', 'class', $settings['btn_icon'] );
	$widget->add_render_attribute( 'i', 'aria-hidden', 'true' );
}

if ( ! empty( $settings['link']['url'] ) ) {
	$widget->add_render_attribute( 'button', 'href', $settings['link']['url'] );

	if ( $settings['link']['is_external'] ) {
		$widget->add_render_attribute( 'button', 'target', '_blank' );
	}

	if ( $settings['link']['nofollow'] ) {
		$widget->add_render_attribute( 'button', 'rel', 'nofollow' );
	}
}

if ($settings['button_hover_outline_style'] == 'border') {
	if ($settings['button_hover_outline_border'] != 'custom') {
		$color = $settings['button_hover_outline_border'];
	} else {
		$color = '';
	}
} else {
	$color = $settings['button_hover_outline_full'];
}

$widget->add_render_attribute( 'button', 'class', 'btn ' . $settings['style1']. ' radius-2 ' . $color . ' icon-align-' . $settings['icon_align'] . '' );

if ( ! empty( $settings['button_css_id'] ) ) {
	$widget->add_render_attribute( 'button', 'id', $settings['button_css_id'] );
}

if(isset($settings['icon_inside']) && $settings['icon_inside'] == 'yes') {
	$class = 'btn-icon';
} else {
	$class = '';
}
?>
<div class="cms-button-wrap cms-button-layout2 <?php if (! empty($settings['align'])) { echo wp_kses_post('text-'.$settings['align']); } ?>">
    <a <?php echo wp_kses_post( $widget->get_render_attribute_string( 'button' ) ); ?>>
		<?php
		$widget->add_render_attribute( [
			'icon-align' => [
				'class' => [
					$class,
					'btn-icon',
					'cms-align-icon-' . $settings['icon_align'],
				],
			],
			'text'       => [
				'class' => 'btn-text',
			],
		] );

		$widget->add_inline_editing_attributes( 'text', 'none' ); ?>

        <span <?php echo wp_kses_post( $widget->get_render_attribute_string( 'text' ) ); ?>>
			<?php echo esc_html( $settings['text'] ); ?>
		</span>

		<?php if(trim($settings['btn_icon']['value']) !== '') { ?>
		<span <?php echo wp_kses_post( $widget->get_render_attribute_string( 'icon-align' ) ); ?>>
			<?php \Elementor\Icons_Manager::render_icon( $settings['btn_icon'], [ 'aria-hidden' => 'true' ] ); ?>
		</span>
		<?php } ?>
    </a>
</div>