<?php
$default_settings = [
	'icons' => '',
];
$settings         = array_merge( $default_settings, $settings );
extract( $settings );
$has_icon = ! empty( $settings['btn_icon'] );
if ( $has_icon ) {
	$widget->add_render_attribute( 'i', 'class', $settings['btn_icon'] );
	$widget->add_render_attribute( 'i', 'aria-hidden', 'true' );
}

if ( ! empty( $settings['link']['url'] ) ) {
	$widget->add_render_attribute( 'button', 'href', $settings['link']['url'] );

	if ( $settings['link']['is_external'] ) {
		$widget->add_render_attribute( 'button', 'target', '_blank' );
	}

	if ( $settings['link']['nofollow'] ) {
		$widget->add_render_attribute( 'button', 'rel', 'nofollow' );
	}
}

$widget->add_render_attribute( 'button', 'class', 'btn-text-underline d-inline-flex align-items-center' . ' icon-align-' . $settings['icon_align'] . '' );

if ( ! empty( $settings['button_css_id'] ) ) {
	$widget->add_render_attribute( 'button', 'id', $settings['button_css_id'] );
}
?>
<div class="cms-button-wrap cms-button-layout3 <?php if (! empty($settings['align'])) { echo wp_kses_post('text-'.$settings['align']); } ?>">
    <a <?php echo wp_kses_post( $widget->get_render_attribute_string( 'button' ) ); ?>>
		<?php
		$widget->add_render_attribute( [
			'text'       => [
				'class' => 'btn-text text-primary',
			],
		] );

		$widget->add_inline_editing_attributes( 'text', 'none' ); ?>

        <span <?php echo wp_kses_post( $widget->get_render_attribute_string( 'text' ) ); ?>><?php echo esc_html( $settings['text'] ); ?></span>
    </a>
</div>