<?php
use Elementor\Group_Control_Image_Size;

$clients = $widget->get_setting('clients', []);
$arrows = $widget->get_setting('arrows', '');
$dots = $widget->get_setting('dots', '');

$thumbnail_size = $widget->get_setting('thumbnail_size', 'full');
$thumbnail_custom_dimension = $widget->get_setting('thumbnail_custom_dimension', ['width' => '400', 'height' => '400']);
if ($thumbnail_size != 'custom') {
    $img_size = $thumbnail_size;
} elseif (!empty($thumbnail_custom_dimension['width']) && !empty($thumbnail_custom_dimension['height'])) {
    $img_size = $thumbnail_custom_dimension['width'] . 'x' . $thumbnail_custom_dimension['height'];
} else {
    $img_size = '400x400';
}
?>
<div class="cms-clients-carousel-wrap cms-clients-carousel-layout1 <?php echo esc_html($settings['style']);?>">
    <div class="cms-carousel swiper">
        <div class="swiper-wrapper">
            <?php
            foreach ($clients as $key => $client) {
                $link_key = '';
                if(!empty( $client['link']['url'])){
                    $link_key = $widget->get_repeater_setting_key( 'link', 'cms_client', $key );
                    $widget->add_link_attributes( $link_key, $client['link'] );
                }
                ?>
                <div class="cms-carousel-item swiper-slide">
                    <?php if (isset($client['image']) && isset($client['image']['url']) && !empty($client['image']['url'])) { ?>
                        <div class="cms-client-item-image">
                            <a <?php echo wp_kses_post($widget->get_render_attribute_string( $link_key )); ?>>
                                <?php
                                    $image_key = $widget->get_repeater_setting_key( 'image', 'cms_client', $key );
                                    $widget->add_render_attribute( $image_key, 'src', $client['image']['url'] );
                                    if (isset($client['name'])) {
                                        $widget->add_render_attribute( $image_key, 'alt', esc_html($client['name']) );
                                        $widget->add_render_attribute( $image_key, 'title', esc_html($client['name']) );
                                    }
                                    
                                    $img = etc_get_image_by_size(array(
                                        'attach_id' => $client['image']['id'],
                                        'thumb_size' => $img_size,
                                        'class' => '',
                                    ));
                                    if(isset($img['p_img_large'][0])) {
                                        echo '<img decoding="async" class="cms-transition" src="'.$img['p_img_large'][0].'" loading="lazy" />';
                                    }
                                ?>
                            </a>
                        </div>
                    <?php } ?>
                </div>
                <?php
            }
            ?>
        </div>
        <?php if ($arrows == 'yes') : ?>
            <div class="cms-client-button-arrow cms-carousel-button-prev">
                <i aria-hidden="true" class="eicon-chevron-left"></i>
            </div>
            <div class="cms-client-button-arrow cms-carousel-button-next">
                <i aria-hidden="true" class="eicon-chevron-right"></i>
            </div>
        <?php endif ?>
        <?php if ($dots == 'yes') : ?>
            <div class="cms-carousel-dots"></div>
        <?php endif ?>
    </div>
</div>