<?php
$counters = $widget->get_setting('counters', []);
if(empty($counters)) return;

use Elementor\Icons_Manager;
// Items
$widget->add_render_attribute( 'counter-item',[
	'class' => [
		'counter-item',
		'relative',
		($settings['layout_mode'] === 'carousel') ? 'swiper-slide' : ''
	]
]);
// Title
$widget->add_inline_editing_attributes( 'title');
$widget->add_render_attribute('title', 'class', 'cms-counter-title cms-heading' );
// Description
$widget->add_inline_editing_attributes( 'description');
$widget->add_render_attribute('description', 'class', 'cms-counter-desc text-15' );

// Layout mode setting
$widget->add_render_attribute('grid-settings',[
    'class' => [
        'cms-counter-grid',
        'd-grid',
        'grid-'.$widget->get_setting('col','1'),
        'grid-tablet-'.$widget->get_setting('col_tablet','1'),
        'grid-mobile-'.$widget->get_setting('col_mobile','1'),
        'gap'
    ],
    'style' => '--gap:40px;--gap-tablet:30px;--gap-mobile:20px;'
]);
?>
<div class="cms-counter-wrap cms-counter-layout3">
<?php
//
\Elementor\Group_Control_Image_Size::print_attachment_image_html( $settings, 'banner', 'banner' );
?>
<div class="cms-contents">
	<?php
	switch ($settings['layout_mode']) {
		case 'carousel':
	?>
	<div class="cms-carousel swiper">
		<div class="swiper-wrapper">
	<?php
		break;
		default:
	?>
	<div <?php echo wp_kses_post($widget->get_render_attribute_string('grid-settings')); ?>>
	<?php
		break;
	}
	// Start item
	foreach ($counters as $key => $counter) {
	$data_counter     = $widget->get_repeater_setting_key( 'counter-number', 'cms_counter', $key );
    $widget->add_render_attribute( $data_counter, [
        'class'          => 'cms-counter-number heading elementor-counter-number',
        'data-duration'  => $counter['duration'],
        'data-to-value'  => $counter['ending_number'],
        'data-delimiter' => !empty($counter['thousand_separator_char']) ? $counter['thousand_separator_char'] : ',',
    ] );

    if(isset($counter['show_icon'])) {
		$show_icon = $counter['show_icon'];
	} else {
		$show_icon = null;
	}
   	?>
   	<div <?php echo wp_kses_post($widget->get_render_attribute_string('counter-item')); ?>>
	   	<?php if($show_icon === 'yes'){ ?>
		    <div class="cms-counter-icon empty-none"><?php
			    // Counter Icon
				switch ($counter['icon_type']) {
					case 'image':
						fortis_elementor_image_render($counter, [
							'name'           => 'icon_image',
							'image_size_key' => 'icon_image',
							'custom_size' => ['width' => 64, 'height' => 64]
						]);
						break;
					
					default:
						\Elementor\Icons_Manager::render_icon( $counter['counter_icon'], [ 'aria-hidden' => 'true' ] );
						break;
				}
			?></div>
		<?php } ?>
        <?php
			$prefix = isset($counter['prefix']) ? $counter['prefix'] : null;
			$suffix = isset($counter['suffix']) ? $counter['suffix'] : null;
		?>
		<div class="cms-counters d-flex align-items-end">
			<div class="cms-counter-numbers">
			    <span class="cms-counter-number-prefix"><?php echo esc_html( $prefix ); ?></span>
			    <h4 <?php echo wp_kses_post( $widget->get_render_attribute_string( $data_counter ) ); ?>><?php echo esc_html( $counter['starting_number'] ); ?></h4>
			    <span class="cms-counter-number-suffix"><?php echo esc_html( $suffix ); ?></span>
			</div>
			<?php if ( isset($counter['title']) ) : ?>
			    <div <?php echo wp_kses_post($widget->get_render_attribute_string( 'title')); ?>><?php echo esc_html( $counter['title'] ); ?></div>
			<?php endif; ?>
		</div>
		<?php
		// Description
		if ( $counter['description'] ) : ?>
		    <div <?php echo wp_kses_post($widget->get_render_attribute_string( 'description')); ?>><?php echo esc_html( wp_trim_words($counter['description'],5) ); ?></div>
		<?php endif; ?>
	</div>
<?php
	} // end foreach

	switch ($settings['layout_mode']) {
		case 'carousel':
	?>
		</div>
		<?php if ($settings['arrows'] == 'yes') : ?>
            <div class="cms-carousel-button-in-vert prev cms-carousel-button-prev">
                <?php
                $icon_settings = $widget->get_settings_for_display('arrow_prev_icon');
                if (empty($icon_settings['value'])) {
                    $icon_settings = [
						'library' => 'eicons',
						'value'   => 'eicon-chevron-left',
                    ];
                }
                Icons_Manager::render_icon($icon_settings, ['aria-hidden' => 'true']);
                ?>
            </div>
            <div class="cms-carousel-button-in-vert next cms-carousel-button-next">
                <?php
                $icon_settings = $widget->get_settings_for_display('arrow_next_icon');
                if (empty($icon_settings['value'])) {
                    $icon_settings = [
						'library' => 'eicons',
						'value'   => 'eicon-chevron-right',
                    ];
                }
                Icons_Manager::render_icon($icon_settings, ['aria-hidden' => 'true']);
                ?>
            </div>
        <?php endif ?>
        <?php if ($settings['dots'] == 'yes') : ?>
            <div class="cms-carousel-dots cms-carousel-dots-in style-2"></div>
        <?php endif ?>
	</div>
	<?php
		break;
		default:
	?>
	</div>
	<?php
		break;
	}
?>
</div>
</div>

<div class="cms-counter-item-content">
    <?php if (isset($counter['box_title'])) { ?>
        <div class="cms-counter-item-box-title">
            <?php echo esc_html($carousel['box_title']); ?>
        </div>
    <?php } ?>
    <?php if (isset($counter['box_subtitle'])) { ?>
        <h3 class="cms-counter-item-box-subtitle">
            <?php echo esc_html($counter['box_subtitle']); ?>
        </h3>
    <?php } ?>


    <div class="cms-counter-info">
        <div class="cms-counter-logo">
            <?php \Elementor\Icons_Manager::render_icon( $counter['cms_icon'], [ 'aria-hidden' => 'true' ] ); ?>
        </div>
        <div class="cms-counter-box-desc">
            <?php if (isset($counter['box_description'])) { ?>
            <div class="cms-counter-item-box-description">
                <span <?php echo wp_kses_post($widget->get_render_attribute_string( 'box_description' )); ?>><?php echo esc_html($counter['box_description']); ?></span>
            </div>
            <?php } ?>

            <div class="cms-counter-box-desc-btn">
                <?php
                    if ( ! empty( $counter['button_primary'] ) ) :
                        $button_primary_url = '';
                        if(isset($counter['button_primary_link']) && is_array($counter['button_primary_link']) && isset($counter['button_primary_link']['url'])){
                            $button_primary_url = $counter['button_primary_link']['url'];
                        }
                ?>
                    <div class="cms-counter-item-button">
                        <a href="<?php echo esc_attr($button_primary_url); ?>" class="btn">
                            <span class="cmsi-chevron-right"></span>
                            <span class="text"><?php echo esc_attr( $counter['button_primary'] ); ?></span>
                        </a>
                    </div>
                <?php endif; ?>
                <?php
                    if ( ! empty( $counter['button_secondary'] ) ) :
                        $button_secondary_url = '';
                        if(isset($counter['button_secondary_link']) && is_array($counter['button_secondary_link']) && isset($counter['button_secondary_link']['url'])){
                            $button_secondary_url = $counter['button_secondary_link']['url'];
                        }
                ?>
                    <div class="cms-counter-item-button secondary">
                        <a href="<?php echo esc_url($button_secondary_url); ?>" class="btn">
                            <?php echo esc_attr( $counter['button_secondary'] ); ?>
                        </a>
                    </div>
                <?php endif; ?>
            </div>
        </div>
    </div>
</div>