<?php
use Elementor\Group_Control_Image_Size;
use Elementor\Control_Media;

$items = $widget->get_setting('items', []);

$widget->add_render_attribute('heading','class','cms-download-heading text-22');
$widget->add_inline_editing_attributes('item');
$widget->add_inline_editing_attributes('heading');
?>
<div class="cms-download-wrap cms-download-layout1 d-flex flex-direction-column gap-20 pt-40 pb-50 p-lr-50 p-lr-tablet-extra-20 bg-white cms-shadow-2 cms-divider divider-top divider-accent">
    <?php if (isset($settings['heading_text'])) { ?>
        <h3 <?php echo wp_kses_post($widget->get_render_attribute_string( 'heading' )); ?>>
            <?php echo esc_html($settings['heading_text']); ?>
        </h3>
    <?php } ?>
    <?php
    foreach ($items as $key => $item) {
        if(empty($item['color'])) {
            $color = '';
        } else {
            $color = 'style="background-color: '.$item['color'].'"';
        }
        $widget->add_inline_editing_attributes( 'url' );
        ?>
        <div class="cms-download-item d-flex bg-primary cms-transition align-items-center" <?php echo esc_html($color);?>>
            <?php if (isset($item['name']) && !empty($item['name'])) { ?>
                <div class="cms-download-item-icon d-flex align-items-center text-white text-30">
                    <i class="cmsi-pdf"></i>
                </div>
            <?php } ?>

            <?php if (isset($item['item']['url'])) { ?>
                <?php
                if(empty($item['item']['url'])) {
                    $item['item']['url'] = '#';
                }
                ?>
                <div class="cms-download-item-url pl-25">
                    <a href="<?php echo wp_kses_post($item['item']['url']); ?>" class="text-white font-600">
                        <span <?php echo wp_kses_post($widget->get_render_attribute_string( 'url' )); ?>><?php echo esc_html($item['name']); ?></span>
                    </a>
                </div>
            <?php } ?>
        </div>
        <?php
    }
    ?>
</div>