<?php
use Elementor\Group_Control_Image_Size;
use Elementor\Control_Media;

$items = $widget->get_setting('items', []);

$widget->add_render_attribute('heading','class','cms-download-heading text-22');
$widget->add_inline_editing_attributes('item');
$widget->add_inline_editing_attributes('heading');
?>
<div class="cms-download-wrap cms-download-layout2 d-flex flex-direction-column gap-42">
    <?php if (isset($settings['heading_text']) && !empty($settings['heading_text'])) { ?>
        <h3 <?php echo wp_kses_post($widget->get_render_attribute_string( 'heading' )); ?>>
            <?php echo esc_html($settings['heading_text']); ?>
        </h3>
    <?php } ?>
    <?php
    foreach ($items as $key => $item) {
        $widget->add_inline_editing_attributes( 'url' );
        ?>
        <?php if (isset($item['name'])) { ?>
        <div class="cms-download-item d-flex gap-10 cms-transition align-items-center">
            <div class="cms-download-item-icon d-flex align-items-center text-body">
                <i class="cmsi-chevron-right cms-transition d-flex align-items-center justify-content-center radius-100 text-primary cursor-pointer"></i>
            </div>
            
            <?php if (isset($item['item']['url'])) { ?>
                <?php
                if(empty($item['item']['url'])) {
                    $item['item']['url'] = '#';
                }
                ?>
                <div class="cms-download-item-url">
                    <a href="<?php echo wp_kses_post($item['item']['url']); ?>" class="font-600">
                        <span <?php echo wp_kses_post($widget->get_render_attribute_string( 'url' )); ?>><?php echo esc_html($item['name']); ?></span>
                    </a>
                </div>
            <?php } ?>
        </div>
        <?php }
    }
    ?>
</div>