<?php
use Elementor\Group_Control_Image_Size;
use Elementor\Icons_Manager;
use Elementor\Utils;

$widget->add_render_attribute( 'selected_icon', 'class' );
$has_icon = !empty($settings['selected_icon']) && !empty($settings['selected_icon']['value']);

if ( ! empty( $settings['btn_link']['url'] ) ) {
	$widget->add_render_attribute( 'link', 'href', $settings['btn_link']['url'] );

	if ( $settings['btn_link']['is_external'] ) {
		$widget->add_render_attribute( 'link', 'target', '_blank' );
	}

	if ( $settings['btn_link']['nofollow'] ) {
		$widget->add_render_attribute( 'link', 'rel', 'nofollow' );
	}
}
$link_attributes = $widget->get_render_attribute_string( 'link' );

if ( $has_icon ) {
	$widget->add_render_attribute( 'i', 'class', $settings['selected_icon'] );
	$widget->add_render_attribute( 'i', 'aria-hidden', 'true' );
}

$icon_attributes = $widget->get_render_attribute_string( 'selected_icon' );

$widget->add_render_attribute( 'title', 'class', 'cms-fancy-box-title' );
$widget->add_render_attribute( 'description', 'class', 'cms-fancy-box-description' );
$widget->add_render_attribute( 'background_color', 'class', 'cms-fancy-box-icon cms-fancy-box-background' );

$widget->add_inline_editing_attributes( 'title', 'none' );
$widget->add_inline_editing_attributes( 'description' );
$widget->add_inline_editing_attributes( 'btn_text' );
$widget->add_inline_editing_attributes( 'background_color' );

$thumbnail_size = $widget->get_setting('thumbnail_size', 'full');
$thumbnail_custom_dimension = $widget->get_setting('thumbnail_custom_dimension', '');
if ($thumbnail_size != 'custom') {
    $img_size = $thumbnail_size;

	$image = wp_get_attachment_image_src($settings['icon_image']['id'],$thumbnail_size);
    if(isset($image) && is_array($image) && !empty($image)) {
        $params = array(
            'width' => $image[1],
            'height' => $image[2]
        );
    } else {
        $params = array(
            'width' => '230',
            'height' => '157'
        );
    }
} elseif (!empty($thumbnail_custom_dimension['width']) && !empty($thumbnail_custom_dimension['height'])) {
    $img_size = $thumbnail_custom_dimension['width'] . 'x' . $thumbnail_custom_dimension['height'];

	$params = array(
        'width' => $thumbnail_custom_dimension['width'],
        'height' => $thumbnail_custom_dimension['height']
    );
} else {
    $img_size = '230x157';

	$params = array(
        'width' => '230',
        'height' => '157'
    );
}
?>
<div class="cms-fancy-box-wrap cms-fancy-box-layout1 <?php echo esc_attr( $settings['style'] ); ?>">
	<?php if ( $settings['icon_type'] == 'image' && ! empty( $settings['icon_image']['id'] ) ) : ?>
        <div <?php echo wp_kses_post( $widget->get_render_attribute_string( 'background_color' ) ); ?>>
			<?php $img_icon = etc_get_image_by_size( array(
				'attach_id'  => $settings['icon_image']['id'],
				'thumb_size' => $img_size,
				'class'      => '',
			) );
			//$thumbnail_icon = $img_icon['thumbnail'];
			$thumbnail_icon = '<img decoding="async" class="cms-transition" src="'.$img_icon['p_img_large'][0].'" loading="lazy" />';
			if (!isset($img_icon['p_img_large'][0]) && $img_icon['p_img_large'][0] == '') {
				$src = Elementor\Utils::get_placeholder_image_src();
				$src = get_template_directory_uri() . '/assets/images/elementor/jasper-garratt.jpg';
				
				if ($src == '') {
					$src = get_template_directory_uri().'/assets/images/placeholder.png';                                
				}

				//crop image by $params['width'],$params['height']
				
				$thumbnail_icon = '<img decoding="async" width="'.$params['width'].'" height="'.$params['height'].'" src="'.$src.'" loading="lazy" />';
			}
			echo wp_kses_post( $thumbnail_icon ); ?>
        </div>
	<?php endif;?>

	<?php if($settings['icon_type'] == 'image' && empty($settings['icon_image']['id'])) {
		$url = Utils::get_placeholder_image_src();
		//crop image by $params['width'],$params['height']
		?>
		<div <?php echo wp_kses_post( $widget->get_render_attribute_string( 'background_color' ) ); ?>>
			<img src="<?php echo wp_kses_post($url);?>" />
		</div>
	<?php } ?>

	<?php if ( $settings['icon_type'] == 'icon' && $has_icon ) : ?>
        <div class="cms-fancy-box-icon">
			<?php \Elementor\Icons_Manager::render_icon( $settings['selected_icon'], [ 'aria-hidden' => 'true', 'class' => 'cms-icon' ] ); ?>
        </div>
	<?php endif; ?>

    <div class="cms-fancy-box-content">
        <h3 <?php echo wp_kses_post( $widget->get_render_attribute_string( 'title' ) ); ?>><?php echo wp_kses_post( $settings['title'] ); ?></h3>
        <div <?php echo wp_kses_post( $widget->get_render_attribute_string( 'description' ) ); ?>>
			<?php echo wp_kses_post( $settings['description'] ); ?>
		</div>
		<?php if ( ! empty( $settings['btn_text'] ) ) : ?>
            <div class="cms-fancy-box-button btn-text-line">
                <a <?php echo wp_kses_post( $widget->get_render_attribute_string( 'btn_text' ) ); ?>><?php echo esc_attr( $settings['btn_text'] ); ?></a>
            </div>
		<?php endif; ?>
    </div>
</div>