<?php
use Elementor\Icons_Manager;

$widget->add_render_attribute( 'selected_icon', 'class' );
$has_icon = ! empty( $settings['selected_icon'] );

if ( ! empty( $settings['btn_link']['url'] ) ) {
    $widget->add_render_attribute( 'button', 'href', $settings['btn_link']['url'] );

	if ( $settings['btn_link']['is_external'] ) {
		$widget->add_render_attribute( 'button', 'target', '_blank' );
	}

	if ( $settings['btn_link']['nofollow'] ) {
		$widget->add_render_attribute( 'button', 'rel', 'nofollow' );
	}
}

if ( $has_icon ) {
	$widget->add_render_attribute( 'i', 'class', $settings['selected_icon'] );
	$widget->add_render_attribute( 'i', 'aria-hidden', 'true' );
}

if (empty($settings['btn_text']) || trim($settings['btn_text']) == '') {
    $settings['btn_text'] = esc_attr('Schedule An Appointment');
}

$icon_attributes = $widget->get_render_attribute_string( 'selected_icon' );

$btn_style = ($settings['btn_style'] == 'btn-text-underline') ? 'text-white text-underline font-bold' : $settings['btn_style'];

$widget->add_render_attribute( 'title', 'class', 'cms-fancy-box-title text-white text-22' );
$widget->add_render_attribute( 'description', 'class', 'cms-fancy-box-description text-white text-16' );
$widget->add_render_attribute( 'phone', 'class', 'text-white text-20' );
$widget->add_render_attribute( 'background_color', 'class', 'cms-fancy-box-icon cms-fancy-box-background' );
$widget->add_render_attribute( 'button', 'class', $btn_style . ' radius-2' );
$widget->add_render_attribute( 'btn_text', 'class', 'text-15' );

$widget->add_inline_editing_attributes( 'title', 'none' );
$widget->add_inline_editing_attributes( 'description' );
$widget->add_inline_editing_attributes( 'phone' );
$widget->add_inline_editing_attributes( 'button' );
$widget->add_inline_editing_attributes( 'btn_text' );
$widget->add_inline_editing_attributes( 'background_color' );
?>
<div class="cms-fancy-box-wrap cms-fancy-box-layout3 bg-primary cms-shadow-1 pt-45 pb-50 p-lr-50 p-lr-tablet-extra-20 relative overflow-hidden <?php echo esc_attr( $settings['style'] ); ?>">
    <div <?php echo wp_kses_post( $widget->get_render_attribute_string( 'background_color' ) ); ?>>
        <?php if ( $settings['icon_type'] == 'image' && ! empty( $settings['icon_image']['url'] ) ) : ?>
            <?php 
            if (!empty($settings['icon_image']['id'])) {
                $img_icon = etc_get_image_by_size( array(
                    'attach_id'  => $settings['icon_image']['id'],
                    'thumb_size' => '370x487',
                    'class'      => '',
                ) );
                //$thumbnail_icon = $img_icon['thumbnail'];
                $thumbnail_icon = '<img decoding="async" class="cms-transition" src="'.$img_icon['p_img_large'][0].'" loading="lazy" />';
                echo wp_kses_post( $thumbnail_icon );
            } else {
                if (empty($settings['icon_image']['url']) || $settings['icon_image']['url'] == '') {
                    $settings['icon_image']['url'] = get_template_directory_uri().'/assets/images/placeholder.png';
                }
                echo '<img src="'.$settings['icon_image']['url'].'" />';
            } ?>
        <?php endif; ?>
        <?php if ( $settings['icon_type'] == 'icon' && ! empty( $settings['selected_icon']['value'] ) ) : ?>
        <?php \Elementor\Icons_Manager::render_icon( $settings['selected_icon'], [ 'aria-hidden' => 'true', 'class' => 'cms-icon' ] ); ?>
        <?php endif; ?>
    </div>
    <div class="cms-fancy-box-content">
        <h3 <?php echo wp_kses_post( $widget->get_render_attribute_string( 'title' ) ); ?>><?php echo wp_kses_post( $settings['title'] ); ?></h3>
        <div <?php echo wp_kses_post( $widget->get_render_attribute_string( 'description' ) ); ?>>
			<?php echo wp_kses_post( $settings['description'] ); ?>
		</div>
        <h4 class="cms-fancy-box-phone d-flex align-items-center gap-20">
            <i class="cmsi-phone-alt text-white text-17"></i>
			<span <?php echo wp_kses_post( $widget->get_render_attribute_string( 'phone' ) ); ?>><?php echo wp_kses_post( $settings['phone'] ); ?></span>
        </h4>
		<?php if ( ! empty( $settings['btn_text'] ) ) : ?>
            <div class="cms-fancy-box-button btn-text-line">
                <a <?php echo wp_kses_post( $widget->get_render_attribute_string( 'button' ) ); ?>>
                    <?php if($settings['btn_style'] != 'btn-text-underline') :?>
                    <i class="btn-icon cmsi-chevron-circle-right-01 text-23"></i>
                    <?php endif;?>
                    <span <?php echo wp_kses_post( $widget->get_render_attribute_string( 'btn_text' ) ); ?>><?php echo esc_attr( $settings['btn_text'] ); ?></span>
                </a>
            </div>
		<?php endif; ?>
    </div>
</div>