<?php
use Elementor\Icons_Manager;

$widget->add_render_attribute( 'selected_icon1', 'class' );
$has_icon = ! empty( $settings['selected_icon1']['value'] );

if ( ! empty( $settings['btn_link']['url'] ) ) {
	$widget->add_render_attribute( 'link', 'href', $settings['btn_link']['url'] );

	if ( $settings['btn_link']['is_external'] ) {
		$widget->add_render_attribute( 'link', 'target', '_blank' );
	}

	if ( $settings['btn_link']['nofollow'] ) {
		$widget->add_render_attribute( 'link', 'rel', 'nofollow' );
	}
}
$link_attributes = $widget->get_render_attribute_string( 'link' );

if ( $has_icon ) {
	$widget->add_render_attribute( 'i', 'class', $settings['selected_icon1'] );
	$widget->add_render_attribute( 'i', 'aria-hidden', 'true' );
}

$icon_attributes = $widget->get_render_attribute_string( 'selected_icon1' );

$widget->add_render_attribute( 'title', 'class', 'cms-fancy-box-title text-secondary text-22 m-0' );
$widget->add_render_attribute( 'description', 'class', 'cms-fancy-box-description text-16' );
$widget->add_render_attribute( 'background_color', 'class', 'cms-fancy-box-icon text-65 text-primary pt-5 cms-fancy-box-background' );

$widget->add_inline_editing_attributes( 'title', 'none' );
$widget->add_inline_editing_attributes( 'description' );
$widget->add_inline_editing_attributes( 'btn_text' );
$widget->add_inline_editing_attributes( 'background_color' );

$icon_default = [
	'library' => 'validusicon',
	'value'   => 'validus-icon-gear'       
];
?>
<div class="cms-fancy-box-wrap cms-fancy-box-layout4 <?php echo esc_attr( $settings['style'] ); ?> d-flex flex-initial cms-hover-icon-bounce">
	<?php if ( $has_icon ) : ?>
        <div class="cms-fancy-box-icon text-65 text-primary pt-5">
			<?php \Elementor\Icons_Manager::render_icon( $settings['selected_icon1'], [ 'aria-hidden' => 'true', 'class' => 'cms-icon' ] ); ?>
        </div>
	<?php endif; ?>

    <div class="cms-fancy-box-content d-flex flex-direction-column gap-18">
        <h3 <?php echo wp_kses_post( $widget->get_render_attribute_string( 'title' ) ); ?>><?php echo wp_kses_post( $settings['title'] ); ?></h3>
        <div <?php echo wp_kses_post( $widget->get_render_attribute_string( 'description' ) ); ?>>
			<?php echo wp_kses_post( $settings['description'] ); ?>
		</div>
		<?php if ( ! empty( $settings['btn_text'] ) ) : ?>
            <div class="cms-fancy-box-button btn-text-line">
                <a <?php echo wp_kses_post( $widget->get_render_attribute_string( 'btn_text' ) ); ?>><?php echo esc_attr( $settings['btn_text'] ); ?></a>
            </div>
		<?php endif; ?>
    </div>
</div>