<?php
use Elementor\Icons_Manager;

$widget->add_render_attribute( 'selected_icon1', 'class' );
$has_icon = ! empty( $settings['selected_icon1']['value'] );

if ( ! empty( $settings['btn_link']['url'] ) ) {
	$widget->add_render_attribute( 'link', 'href', $settings['btn_link']['url'] );

	if ( $settings['btn_link']['is_external'] ) {
		$widget->add_render_attribute( 'link', 'target', '_blank' );
	}

	if ( $settings['btn_link']['nofollow'] ) {
		$widget->add_render_attribute( 'link', 'rel', 'nofollow' );
	}
}
$link_attributes = $widget->get_render_attribute_string( 'link' );

if ( $has_icon ) {
	$widget->add_render_attribute( 'i', 'class', $settings['selected_icon1'] );
	$widget->add_render_attribute( 'i', 'aria-hidden', 'true' );
}

$icon_attributes = $widget->get_render_attribute_string( 'selected_icon1' );

$widget->add_render_attribute( 'title', 'class', 'cms-fancy-box-title text-secondary text-21 mb-0' );
$widget->add_render_attribute( 'description', 'class', 'cms-fancy-box-description text-line-3 text-16' );
$widget->add_render_attribute( 'background_color', 'class', 'cms-fancy-box-image d-flex align-items-center justify-content-center text-center' );

$widget->add_inline_editing_attributes( 'title', 'none' );
$widget->add_inline_editing_attributes( 'description' );
$widget->add_inline_editing_attributes( 'btn_text' );
$widget->add_inline_editing_attributes( 'background_color' );

$icon_default = [
	'library' => 'validusicon',
	'value'   => 'validus-icon-gear'       
];

$thumbnail_size = $widget->get_setting('thumbnail_size', 'full');
$thumbnail_custom_dimension = $widget->get_setting('thumbnail_custom_dimension', '');
if ($thumbnail_size != 'custom') {
    $img_size = $thumbnail_size;

	$image = wp_get_attachment_image_src($settings['image']['id'],$thumbnail_size);
    if(isset($image) && is_array($image) && !empty($image)) {
        $params = array(
            'width' => $image[1],
            'height' => $image[2]
        );
    } else {
        $params = array(
            'width' => '230',
            'height' => '157'
        );
    }
} elseif (!empty($thumbnail_custom_dimension['width']) && !empty($thumbnail_custom_dimension['height'])) {
    $img_size = $thumbnail_custom_dimension['width'] . 'x' . $thumbnail_custom_dimension['height'];

	$params = array(
        'width' => $thumbnail_custom_dimension['width'],
        'height' => $thumbnail_custom_dimension['height']
    );
} else {
    $img_size = '230x157';

	$params = array(
        'width' => '230',
        'height' => '157'
    );
}
?>
<div class="cms-fancy-box-wrap cms-fancy-box-layout5 <?php echo esc_attr( $settings['style'] ); ?> relative d-flex flex-direction-column bg-white p-40 pb-30">
	<?php if ( !empty( $settings['icon_image1']['id']) ) : ?>
		<div <?php echo wp_kses_post( $widget->get_render_attribute_string( 'background_color' ) ); ?>>
			<?php $img_icon = etc_get_image_by_size( array(
				'attach_id'  => $settings['icon_image1']['id'],
				'thumb_size' => $img_size,
				'class'      => 'radius-90',
			) );
			//$thumbnail_icon = $img_icon['thumbnail'];
			$thumbnail_icon = '<img decoding="async" class="cms-transition radius-90" src="'.$img_icon['p_img_large'][0].'" loading="lazy" />';
			if (!isset($img_icon['p_img_large'][0]) && $img_icon['p_img_large'][0] == '') {
				$src = Elementor\Utils::get_placeholder_image_src();
				$src = get_template_directory_uri() . '/assets/images/elementor/jasper-garratt-hori-230x157.jpg';
				
				if($src == '') {
					$src = get_template_directory_uri().'/assets/images/placeholder-230x157.png';                                
				}
				
				$thumbnail_icon = '<img decoding="async" class="radius-90" width="'.$params['width'].'" height="'.$params['height'].'" src="'.$src.'" loading="lazy" />';
			}
			echo wp_kses_post( $thumbnail_icon ); ?>
			<?php if ( $has_icon ) : ?>
				<div class="cms-fancy-box-icon cms-transition text-white text-center text-45 bg-primary d-flex align-items-center justify-content-center absolute radius-100">
					<?php \Elementor\Icons_Manager::render_icon( $settings['selected_icon1'], [ 'aria-hidden' => 'true', 'class' => 'cms-icon' ] ); ?>
				</div>
			<?php endif; ?>
		</div>
	<?php else :;?>
	<div <?php echo wp_kses_post( $widget->get_render_attribute_string( 'background_color' ) ); ?>>
		<?php
		$src = Elementor\Utils::get_placeholder_image_src();
		$src = get_template_directory_uri() . '/assets/images/elementor/jasper-garratt-hori-230x157.jpg';
		
		if($src == '') {
			$src = get_template_directory_uri().'/assets/images/placeholder.png';                                
		}
		
		$thumbnail_icon = '<img decoding="async" class="radius-90" width="'.$params['width'].'" height="'.$params['height'].'" src="'.$src.'" loading="lazy" />';
		
		echo wp_kses_post( $thumbnail_icon ); ?>

		<?php if ( $has_icon ) : ?>
			<div class="cms-fancy-box-icon cms-transition text-white text-center text-45 bg-primary d-flex align-items-center justify-content-center absolute radius-100">
				<?php \Elementor\Icons_Manager::render_icon( $settings['selected_icon1'], [ 'aria-hidden' => 'true', 'class' => 'cms-icon' ] ); ?>
			</div>
		<?php endif; ?>
	</div>
	<?php endif;?>

	<?php if(!empty($settings['number'])) { ?>
	<h2 class="cms-fancy-box-number text-65 text-primary font-normal mt--60">
		<?php echo esc_html($settings['number']); ?>
	</h2>
	<?php } ?>

    <div class="cms-fancy-box-content d-flex flex-direction-column gap-18">
        <h3 <?php echo wp_kses_post( $widget->get_render_attribute_string( 'title' ) ); ?>><?php echo wp_kses_post( $settings['title'] ); ?></h3>
        <div <?php echo wp_kses_post( $widget->get_render_attribute_string( 'description' ) ); ?>>
			<?php echo wp_kses_post( $settings['description'] ); ?>
		</div>
		<?php if ( ! empty( $settings['btn_text'] ) ) : ?>
            <div class="cms-fancy-box-button btn-text-line">
                <a <?php echo wp_kses_post( $widget->get_render_attribute_string( 'btn_text' ) ); ?>><?php echo esc_attr( $settings['btn_text'] ); ?></a>
            </div>
		<?php endif; ?>
    </div>
</div>