<?php
use Elementor\Group_Control_Image_Size;
use Elementor\Control_Media;

if ( ! $settings['wp_gallery'] ) {
    return;
}
$col_xl = 12 / intval($widget->get_setting('gallery_col', 4));
$col_lg = 12 / intval($widget->get_setting('gallery_col_tablet', 3));//col-md-{$col_lg}
$col_sm = 12 / intval($widget->get_setting('gallery_col_mobile', 2));

$randGallery = $settings['wp_gallery'];
if ($settings['gallery_rand'] == 'rand'){
    shuffle($randGallery);
}
//echo '<pre>';print_r($settings);echo '</pre>';
?>

<div class="cms-galleries-wrap clearfix" data-show="<?php echo esc_attr($widget->get_setting('gallery_show', '6'));?>" data-loadmore="<?php echo esc_attr($widget->get_setting('gallery_loadmore_show', '6'));?>">
    <div class="row cms-images-light-box d-flex justify-content-center" style="margin: <?php echo esc_attr($settings['gap']/-2);?>px;">
        <?php
        foreach ( $randGallery as $key => $value):
            $item_class = "cms-gallery-item cms-overlay-wrap cms-overlay-zoom-in col-sm-{$col_sm} col-lg-{$col_xl}";
            ?>
            <div class="<?php echo esc_attr($item_class); ?>" style="padding: <?php echo esc_attr($settings['gap']/2);?>px;">
                <div class="grid-item-inner overflow-hidden relative d-flex align-items-center justify-content-center">
                    <span class="hover-effect cms-over"><?php                         
                        $image_src = Group_Control_Image_Size::get_attachment_image_src($value['id'],'thumbnail',$settings);
                        echo "<img src='$image_src' class='cms-transition' />";

                        //echo Group_Control_Image_Size::get_attachment_image_html( $randGallery, 'thumbnail', $key );
                    ?></span>
                    <div class="gallery-item-content absolute cms-transition">
                        <a data-elementor-lightbox-slideshow="<?php echo esc_attr($settings['element_id']);?>" class="cms-galleries-light-box cms-overlay-content d-flex align-items-center justify-content-center text-white text-hover-white text-center p-8 radius-100" href="<?php echo esc_url(wp_get_attachment_image_url($value['id'], 'full')); ?>" title="<?php echo esc_attr(wp_get_attachment_caption($value['id']))?>">
                            <div><span class="cms-gal-popup-icon cmsi-plus text-heading bg-white p-35 radius-100 d-inline-block"></span>
                            <div class="cms-image-caption empty-none w-100"><?php echo wp_get_attachment_caption($value['id']);?></div></div>
                        </a>
                    </div>
                </div>
            </div>
        <?php
        endforeach;
        ?>
    </div>
    <?php if(!empty($widget->get_setting('load_more_text')) && count($randGallery) > $widget->get_setting('gallery_show', '6')) { ?>
    <div class="text-center pt-40">
        <a href="#" class="cms-gallery-load btn btn-outline-secondary btn-hover-black radius-2">
            <span class="cms-btn-content text-15">
                <span class="cms-btn-text"><?php echo wp_kses_post($widget->get_setting('load_more_text', 'Load More')); ?></span>
            </span>
        </a>
    </div>
    <?php } ?>
</div>