<?php
$heading_tag = 'span';
$has_heading = ! empty( $settings['heading_text'] );

if ( ! empty( $settings['link']['url'] ) ) {
	$widget->add_render_attribute( 'link', 'href', $settings['link']['url'] );
	$heading_tag = 'a';

	if ( $settings['link']['is_external'] ) {
		$widget->add_render_attribute( 'link', 'target', '_blank' );
	}

	if ( $settings['link']['nofollow'] ) {
		$widget->add_render_attribute( 'link', 'rel', 'nofollow' );
	}
}

$link_attributes = $widget->get_render_attribute_string( 'link' );

$widget->add_render_attribute( 'wrap', 'class', 'cms-heading-wrap cms-heading-layout1 cms-heading-'.$settings['style'] .' text-'.$settings['align'] );
$widget->add_render_attribute( 'subheading_text', 'class', 'cms-subheading text-primary font-700' );
$widget->add_render_attribute( 'description_text', 'class', 'cms-heading-description' );

$widget->add_inline_editing_attributes( 'heading_text', 'none' );
$widget->add_inline_editing_attributes( 'subheading_text', 'none' );
$widget->add_inline_editing_attributes( 'description_text' );
?>
<div <?php echo wp_kses_post( $widget->get_render_attribute_string('wrap') ); ?>>
    <div class="cms-heading-container">
		<?php if ( ! empty( $settings['subheading_text'] ) ) : ?>
			<div <?php echo wp_kses_post( $widget->get_render_attribute_string( 'subheading_text' ) ); ?>><?php echo wp_kses_post( $settings['subheading_text'] ); ?></div>
		<?php endif; ?>

		<?php if ( ! empty( $settings['heading_text'] ) ) { ?>
			<<?php echo wp_kses_post( $settings['heading_size'] ); ?> class="cms-heading">
				<<?php echo implode( ' ', [
					$heading_tag,
					$link_attributes
				] ); ?><?php echo wp_kses_post( $widget->get_render_attribute_string( 'heading_text' ) ); ?>
				>
				<?php echo wp_kses_post( $settings['heading_text'] );?>
			</<?php echo wp_kses_post( $heading_tag ); ?>>
			</<?php echo wp_kses_post( $settings['heading_size'] ); ?>>

			<?php if ( $settings['divider'] == 'yes' ) : ?>
				<div class="cms-heading-divider"><span></span></div>
			<?php endif; ?>
		<?php } ?>

		<?php if ( ! empty( $settings['description_text'] ) ) : ?>
			<div <?php echo wp_kses_post( $widget->get_render_attribute_string( 'description_text' ) ); ?>><?php echo wpautop( $settings['description_text'] ); ?></div>
		<?php endif; ?>
	</div>
</div>