<?php
$heading_tag = 'span';
$has_heading = ! empty( $settings['heading_text'] );

if ( ! empty( $settings['link']['url'] ) ) {
	$widget->add_render_attribute( 'link', 'href', $settings['link']['url'] );
	$widget->add_render_attribute( 'link', 'class', 'radius-2' );
	$heading_tag = 'a';

	if ( $settings['link']['is_external'] ) {
		$widget->add_render_attribute( 'link', 'target', '_blank' );
	}

	if ( $settings['link']['nofollow'] ) {
		$widget->add_render_attribute( 'link', 'rel', 'nofollow' );
	}
}

$link_attributes = $widget->get_render_attribute_string( 'link' );

$text_align = '';
if (!empty($settings['align'])) { 
	$text_align = ' text-'.$settings['align'];
}
$widget->add_render_attribute( 'wrap', 'class', 'cms-heading-wrap cms-heading-layout2 cms-heading-'.$settings['style'] . $text_align );
$widget->add_render_attribute( 'description_text', 'class', 'cms-heading-description text-17' );
$widget->add_render_attribute( 'btn_text1', 'class', 'text' );

$widget->add_inline_editing_attributes( 'heading_text', 'none' );
$widget->add_inline_editing_attributes( 'subheading_text', 'none' );
$widget->add_inline_editing_attributes( 'description_text' );
$widget->add_inline_editing_attributes( 'btn_text1' );
$widget->add_inline_editing_attributes( 'signature_name' );
$widget->add_inline_editing_attributes( 'signature_desc' );
?>
<div <?php echo wp_kses_post( $widget->get_render_attribute_string('wrap') ); ?>>
	<div class="cms-heading-container">
		<?php if ( ! empty( $settings['heading_text'] ) ) { ?>
		<<?php echo wp_kses_post( $settings['heading_size'] ); ?> class="cms-heading text-45 relative mb-20">
			<<?php echo implode( ' ', [
				$heading_tag,
				$link_attributes
			] ); ?><?php echo wp_kses_post( $widget->get_render_attribute_string( 'heading_text' ) ); ?>
			>
			<?php echo wp_kses_post( $settings['heading_text'] );?>
			</<?php echo wp_kses_post( $heading_tag ); ?>>
		</<?php echo wp_kses_post( $settings['heading_size'] ); ?>>
		<?php } ?>

		<!--Subheading Text-->
		<?php if ( ! empty( $settings['subheading_text'] ) ) { ?>
		<div class="cms-subheading text-17 font-bold mb-25">
			<<?php echo implode( ' ', [
				$heading_tag,
				$link_attributes
			] ); ?><?php echo wp_kses_post( $widget->get_render_attribute_string( 'subheading_text' ) ); ?>
			>
			<?php if ( ! empty( $settings['subheading_text'] ) ) { echo wp_kses_post( $settings['subheading_text'] ); } ?>
			</<?php echo wp_kses_post( $heading_tag ); ?>>
		</div>
		<?php } ?>

		<?php if ( $settings['divider'] == 'yes' ) : ?>
			<div class="cms-heading-divider"><span></span></div>
		<?php endif; ?>

		<?php if ( ! empty( $settings['description_text'] ) ) : ?>
			<div <?php echo wp_kses_post( $widget->get_render_attribute_string( 'description_text' ) ); ?>><?php echo wpautop( $settings['description_text'] ); ?></div>
		<?php endif; ?>
	</div>
</div>