<?php
use Elementor\Group_Control_Image_Size;
use Elementor\Control_Media;

$settings = $widget->get_settings_for_display();
$carousels = $widget->get_setting('heading_carousel', []);
$arrows = $widget->get_setting('arrows', '');
$dots = $widget->get_setting('dots', '');

$has_icon = ! empty( $widget->get_setting('cms_icon') );
if ( $has_icon ) {
	$widget->add_render_attribute( 'i', 'class', $widget->get_setting('cms_icon') );
	$widget->add_render_attribute( 'i', 'aria-hidden', 'true' );
}
?>
<div class="cms-heading-carousel-wrap cms-heading-carousel-layout1">
    <div class="cms-heading-carousel-left">
        <?php if (isset($settings['heading'])) { ?>
            <h4 class="cms-heading-carousel-left-heading">
                <?php echo esc_html($settings['heading']); ?>
            </h4>
        <?php } ?>

        <?php if (isset($settings['description'])) { ?>
            <div class="cms-heading-carousel-left-description">
                <?php echo wpautop(esc_html($settings['description'])); ?>
            </div>
        <?php } ?>
        <?php if ($arrows == 'yes') : ?>
        <div class="cms-heading-carousel-button">
            <div class="cms-carousel-button-arrow cms-carousel-button-prev cms-transition d-flex align-items-center justify-content-center cursor-pointer text-10 text-secondary radius-100">
                <i aria-hidden="true" class="cmsi-arrow-left"></i>
            </div>
            <div class="cms-carousel-button-arrow cms-carousel-button-next cms-transition d-flex align-items-center justify-content-center cursor-pointer text-10 text-secondary radius-100">
                <i aria-hidden="true" class="cmsi-arrow-right"></i>
            </div>
        </div>
        <?php endif ?>
    </div>
    <div class="cms-heading-carousel-right">
        <div class=" cms-carousel swiper">
            <?php if ($dots == 'yes') : ?>
                <div class="cms-carousel-dots"></div>
            <?php endif ?>
            <div class="swiper-wrapper">
                <?php foreach ($carousels as $key => $carousel) { ?>
                    <div class="cms-carousel-item swiper-slide">
                        <?php if (isset($carousel['heading'])) { ?>
                            <h4 class="cms-heading-carousel-item-heading">
                                <?php echo esc_html($carousel['heading']); ?>
                            </h4>
                        <?php } ?>

                        <?php if (isset($carousel['description'])) { ?>
                            <div class="cms-heading-carousel-item-description">
                                <?php echo wpautop(esc_html($carousel['description'])); ?>
                            </div>
                        <?php } ?>

                        <?php if (isset($carousel['name'])) { ?>
                        <div class="cms-heading-carousel-item-dot">
                            <div class="cms-carousel-item-name">
                                <?php echo esc_html($carousel['name']); ?>
                            </div>
                        </div>
                        <?php } ?>
                    </div>
                <?php } ?>
            </div>
        </div>
    </div>
</div>