<?php
use Elementor\Group_Control_Image_Size;
use Elementor\Control_Media;

$carousels = $widget->get_setting('carousels', []);
$arrows = $widget->get_setting('arrows', '');
$dots = $widget->get_setting('dots', '');
?>
<div class="cms-image-carousel-wrap">
    <div class="cms-carousel swiper">
        <div class="swiper-wrapper">
            <?php
            foreach ($carousels as $key => $carousel) {
                ?>
                <div class="cms-carousel-item swiper-slide" style="width: 600px !important;">
                    <?php if (isset($carousel['image']) && isset($carousel['image']['url']) && !empty($carousel['image']['url'])) { ?>
                        <div class="cms-image-carousel-item-image">
                            <?php
                            	$image_key = $widget->get_repeater_setting_key( 'image', 'cms_image_carousel', $key );

                                $src = Group_Control_Image_Size::get_attachment_image_src( $carousel['image']['id'], 'thumbnail', $settings );
                                if ($src == '') {
                                    $src = $carousel['image']['url'];
                                }
                                
                                echo sprintf( '<img src="%s" loading="lazy" />', esc_attr( $src ));
                            ?>
                        </div>
                    <?php } ?>
                </div>
                <?php
            }
            ?>
        </div>
        <?php if ($arrows == 'yes') : ?>
            <div class="cms-image-carousel-button">
                <div class="cms-image-carousel-button-arrow cms-carousel-button-prev">
                    <i aria-hidden="true" class="cmsi-arrow-prev"></i>
                </div>
                <div class="cms-image-carousel-button-arrow cms-carousel-button-next">
                    <i aria-hidden="true" class="cmsi-arrow-next"></i>
                </div>
            </div>
        <?php endif ?>
        <?php if ($dots == 'yes') : ?>
            <div class="cms-carousel-dots"></div>
        <?php endif ?>
    </div>
</div>