<?php
if(class_exists('TRP_Translate_Press')){
    $args = [
        'class'          => '',
        'item_class'     => '',
        'link_class'     => '',   
        'sub_link_class' => '',   
        'show_flag'      => $settings['show_flag'],
        'show_name'      => $settings['show_name'],
        'name_as'        => 'full', // short 
        'dropdown_pos'   => 'bottom'
    ];
    $languages = trp_custom_language_switcher();
    global $TRP_LANGUAGE;

    $classes = ['cms-ls','cms-menu', 'menu-dropdown', 'dropdown-'.$args['dropdown_pos'], $args['class'], 'unstyled'];
    $item_classes = ['cms-ls-item', $args['item_class']];
    $link_classes = ['cms-ls-link', $args['link_class']];
    $sub_link_classes = ['cms-ls-link', $args['sub_link_class']];
    $flag_class = ['cms-lflag'];
    if($args['show_name'] === 'yes' && $args['show_name'] === 'yes'){
        $flag_class[] = 'pr-10'; 
    }
    $text_class =['cms-lname'];
?>  
<div class="cms-language-switcher-wrap">
    <ul class="<?php echo implode(' ', array_filter($classes)) ?>" data-no-translation>
        <li class="<?php echo implode(' ', array_filter(array_merge($item_classes, ['current-language']))) ?>">
            <?php 
                foreach ($languages as $name => $item){
                    if($item['language_code'] === $TRP_LANGUAGE) {
            ?>
                    <a href="<?php echo esc_url($item['current_page_url']);?>" onclick="event.preventDefault()" class="d-flex align-items-center <?php echo implode(' ', array_filter($link_classes)); ?>">
                        <?php if($args['show_flag'] === 'yes'){ 
                            //flag_class[] = 'pr-tablet-0';
                            ?>
                            <img src="<?php echo esc_url($item['flag_link']); ?>" title="<?php echo esc_attr($item['language_name']); ?>" alt="<?php echo esc_attr($item['language_name']); ?>" class="<?php echo implode(' ', array_filter($flag_class)); ?>" />
                        <?php } 
                            if($args['show_name'] === 'yes'){
                                if($args['show_name'] === 'yes' && $args['show_flag'] === 'yes'){
                                    $text_class[] = 'cms-hidden-tablet';
                                }
                        ?>
                            <span class="<?php echo implode(' ', array_filter($text_class)); ?>">
                                <?php 
                                    switch ($args['name_as']) {
                                        case 'short':
                                            echo esc_html($item['short_language_name']);
                                            break;
                                        
                                        default:
                                            echo esc_html($item['language_name']);
                                            break;
                                    }
                                ?>
                            </span>
                        <?php } ?>
                        <span class="main-menu-toggle cms-transition radius-2"></span>
                    </a>
                <?php
                }
            }
            if(count($languages)>1){
            ?>
            <ul class="dropdown sub-menu d-block m-0 absolute bg-white t-30 cms-transition radius-2">
                <?php foreach ($languages as $name => $item){
                    if($item['language_code'] != $TRP_LANGUAGE) { 
                    ?>
                        <li class="<?php echo implode(' ', array_filter($item_classes)); ?>"> 
                            <a href="<?php echo esc_url($item['current_page_url']);?>" class="d-flex align-items-center <?php echo implode(' ', array_filter($sub_link_classes)); ?>">
                                <?php //if($args['show_flag'] === 'yes'){ ?>
                                    <img src="<?php echo esc_url($item['flag_link']); ?>" title="<?php echo esc_attr($item['language_name']); ?>" alt="<?php echo esc_attr($item['language_name']); ?>" class="<?php echo implode(' ', array_filter($flag_class)); ?>" />
                                <?php //} 
                                    //if($args['show_name'] === 'yes'){
                                ?>
                                    <span class="cms-lname">
                                        <?php 
                                            switch ($args['name_as']) {
                                                case 'short':
                                                    echo esc_html($item['short_language_name']);
                                                    break;
                                                
                                                default:
                                                    echo esc_html($item['language_name']);
                                                    break;
                                            }
                                        ?>
                                    </span>
                                <?php //} ?>
                            </a>
                        </li>
                <?php } 
                } ?>
            </ul>
            <?php } ?>
        </li>
    </ul>
</div>
<?php } ?>