<?php
$text_align = '';
if (! empty($settings['align'])) { $text_align = 'text-'.$settings['align']; } 

$header_transparent = validus_get_opts( 'header_transparent', false, 'header_custom');
if (is_search()) {
    $header_transparent = validus_get_opt( 'header_transparent', false );
}

if ( $header_transparent == 'on' ) {
    $transparent = 'header-transparent ';
} else {
    $transparent = '';
}

$widget->add_render_attribute( 'wrap', 'class', 'cms-page-title-wrap cms-page-title-layout1 w-ptt-pt pb-32 '.$transparent.esc_attr( $text_align ).'');
$widget->add_render_attribute( 'selected_icon', 'class' );
$has_icon = ! empty( $settings['selected_icon'] );

if ( ! empty( $settings['btn_link']['url'] ) ) {
	$widget->add_render_attribute( 'link', 'href', $settings['btn_link']['url'] );

	if ( $settings['btn_link']['is_external'] ) {
		$widget->add_render_attribute( 'link', 'target', '_blank' );
	}

	if ( $settings['btn_link']['nofollow'] ) {
		$widget->add_render_attribute( 'link', 'rel', 'nofollow' );
	}
}
$link_attributes = $widget->get_render_attribute_string( 'link' );

if ( $has_icon ) {
	$widget->add_render_attribute( 'i', 'class', $settings['selected_icon'] );
	$widget->add_render_attribute( 'i', 'aria-hidden', 'true' );
}

$icon_attributes = $widget->get_render_attribute_string( 'selected_icon' );

$widget->add_render_attribute( 'description', 'class', 'cms-page-title-description text-white' );
$widget->add_render_attribute( 'btn_text', 'class', 'btn-text' );
$widget->add_render_attribute( 'btn_text2', 'class', 'btn btn-white btn-hover-primary radius-2 cms-transition' );
$widget->add_render_attribute( 'breadcrumb', 'class', 'cms-breadcrumb-wrap cms-page-title-breadcrumb text-white mt-95' );

$widget->add_inline_editing_attributes( 'title', 'none' );
$widget->add_inline_editing_attributes( 'description' );
$widget->add_inline_editing_attributes( 'btn_text' );
$widget->add_inline_editing_attributes( 'btn_text2' );
$widget->add_inline_editing_attributes( 'breadcrumb' );

$thumbnail_size = $settings['thumbnail_size'];
$thumbnail_custom_dimension = $settings['thumbnail_custom_dimension'];
if ($thumbnail_size != 'custom') {
	$img_size = $thumbnail_size;
} elseif (!empty($thumbnail_custom_dimension['width']) && !empty($thumbnail_custom_dimension['height'])) {
	$img_size = $thumbnail_custom_dimension['width'] . 'x' . $thumbnail_custom_dimension['height'];
} else {
	$img_size = '1600x737';
	$settings['thumbnail_custom_dimension'] = ['width' => '1600', 'height' => '737'];
}

if(!empty($settings['pagetitle_image']['id'])){
	$image_url = $settings['pagetitle_image']['url'];
    $widget->add_render_attribute( 'wrap', 'style', 'background-image:url('.$image_url.');background-size: cover;');
} elseif(!empty($settings['pagetitle_image']['url'])){
	$image_url = $settings['pagetitle_image']['url'];
    $widget->add_render_attribute( 'wrap', 'style', 'background-image:url('.$image_url.');background-size: cover;');
} elseif( has_post_thumbnail()) {
	//$image_url = get_the_post_thumbnail_url(get_the_ID(),$img_size);
	$image_url = Elementor\Group_Control_Image_Size::get_attachment_image_src( get_post_thumbnail_id(get_the_ID()), 'thumbnail', $settings );

	//but if $image_url return 80x80 in backend, we will print out the large image size in backend only :
	if (strpos($image_url, "80x80") !== false) {
		$attach = wp_get_attachment_image_src( get_post_thumbnail_id(get_the_ID()), 'large' );
		$image_url = $attach[0];
	}

    $widget->add_render_attribute( 'wrap', 'style', 'background-image:url('.$image_url.');background-size: cover;');
}

$background = '';
?>
<div <?php echo wp_kses_post($widget->get_render_attribute_string( 'wrap' )); ?>>
	<input type='hidden' name='top_space' id='w-ptt-top-space' value='<?php echo esc_html($settings['top_space']['size']);?>' />
	<div class="cms-page-title-top-space"></div>
	<div class="cms-page-title-top-last"></div>
	<div class="container">
		<div class="cms-page-title-content-align">
			<div class="cms-page-title-content">
				<h3 class="cms-page-title-title text-white">
					<span <?php echo wp_kses_post( $widget->get_render_attribute_string( 'title' ) ); ?>><?php echo wp_kses_post( $settings['title'] ); ?></span>
				</h3>
				<?php if(!empty($settings['description'])) { ?>
				<div <?php echo wp_kses_post( $widget->get_render_attribute_string( 'description' ) ); ?>><?php echo wp_kses_post( $settings['description'] ); ?></div>
				<?php } ?>
				<?php if ( ! empty( $settings['btn_text'] ) || ! empty( $settings['btn_text2'] ) ) : ?>
					<div class="cms-page-title-button btn-text-line d-flex align-items-center gap-30">
						<?php if ( ! empty( $settings['btn_text'] ) ) : ?>
						<a href="<?php echo esc_attr( $settings['btn_link']['url'] ); ?>" class="btn btn-primary btn-hover-white radius-2">
							<span class="btn-icon cmsi-chevron-circle-right-01 cms-transition"></span>
							<span <?php echo wp_kses_post($widget->get_render_attribute_string( 'btn_text' )); ?>><?php echo esc_attr( $settings['btn_text'] ); ?></span>
						</a>
						<?php endif; ?>
						<?php if ( ! empty( $settings['btn_text2'] ) ) : ?>
							<a href="<?php echo wp_kses_post( $settings['btn_link2']['url'] ); ?>" <?php echo wp_kses_post($widget->get_render_attribute_string( 'btn_text2' )); ?>><?php echo esc_attr( $settings['btn_text2'] ); ?></a>
						<?php endif; ?>
					</div>
				<?php endif; ?>
			</div>
		</div>
		<?php if($settings['show_breadcrumb'] == 'yes') { ?>
		<div <?php echo wp_kses_post($widget->get_render_attribute_string( 'breadcrumb' )); ?>>
			<?php validus_breadcrumb(); ?>
		</div>
		<?php } ?>
    </div>
</div>