<?php
$text_align = '';
if (! empty($settings['align'])) { $text_align = 'text-'.$settings['align']; } 

$widget->add_render_attribute( 'wrap', 'class', 'cms-page-title-wrap cms-page-title-layout2 w-ptt-pt-tablet-extra-30 pb-150 '.esc_attr( $text_align ).'');
$widget->add_render_attribute( 'selected_icon', 'class' );
$has_icon = ! empty( $settings['selected_icon'] );

if ( ! empty( $settings['btn_link']['url'] ) ) {
	$widget->add_render_attribute( 'link', 'href', $settings['btn_link']['url'] );

	if ( $settings['btn_link']['is_external'] ) {
		$widget->add_render_attribute( 'link', 'target', '_blank' );
	}

	if ( $settings['btn_link']['nofollow'] ) {
		$widget->add_render_attribute( 'link', 'rel', 'nofollow' );
	}
}
$link_attributes = $widget->get_render_attribute_string( 'link' );

if ( $has_icon ) {
	$widget->add_render_attribute( 'i', 'class', $settings['selected_icon'] );
	$widget->add_render_attribute( 'i', 'aria-hidden', 'true' );
}

$icon_attributes = $widget->get_render_attribute_string( 'selected_icon' );

$widget->add_render_attribute( 'description', 'class', 'cms-page-title-description text-white' );
$widget->add_render_attribute( 'btn_text', 'class', 'btn-text' );
$widget->add_render_attribute( 'btn_text2', 'class', 'btn btn-white' );
$widget->add_render_attribute( 'breadcrumb', 'class', 'cms-breadcrumb-wrap cms-page-title-breadcrumb text-white' );

$widget->add_inline_editing_attributes( 'title', 'none' );
$widget->add_inline_editing_attributes( 'description' );
$widget->add_inline_editing_attributes( 'btn_text' );
$widget->add_inline_editing_attributes( 'btn_text2' );
$widget->add_inline_editing_attributes( 'breadcrumb' );

$background = '';
if(!empty($settings['pagetitle_image']['url'])){
    $widget->add_render_attribute( 'wrap', 'style', 'background-image:url('.$settings['pagetitle_image']['url'].');background-size: cover;');
} elseif( has_post_thumbnail()) {
    $widget->add_render_attribute( 'wrap', 'style', 'background-image:url('.get_the_post_thumbnail_url(null, 'full').');background-size: cover;');
}
?>
<div <?php echo wp_kses_post($widget->get_render_attribute_string( 'wrap' )); ?>>
	<div class="container">
		<div class="cms-page-title-content">
			<h3 class="cms-page-title-title text-white">
				<span <?php echo wp_kses_post( $widget->get_render_attribute_string( 'title' ) ); ?>><?php echo wp_kses_post( $settings['title'] ); ?></span>
			</h3>
			<div <?php echo wp_kses_post( $widget->get_render_attribute_string( 'description' ) ); ?>><?php echo wp_kses_post( $settings['description'] ); ?></div>
			<?php if ( ! empty( $settings['btn_text'] ) ) : ?>
				<div class="cms-page-title-button btn-text-line">
					<a href="<?php echo esc_attr( $settings['btn_link']['url'] ); ?>" class="btn btn-primary">
						<span class="btn-icon cmsi-chevron-circle-right-01"></span>
						<span <?php echo wp_kses_post($widget->get_render_attribute_string( 'btn_text' )); ?>><?php echo esc_attr( $settings['btn_text'] ); ?></span>
					</a>
					<?php if ( ! empty( $settings['btn_text2'] ) ) : ?>
						<a href="<?php echo wp_kses_post( $settings['btn_link2']['url'] ); ?>" <?php echo wp_kses_post($widget->get_render_attribute_string( 'btn_text2' )); ?>><?php echo esc_attr( $settings['btn_text2'] ); ?></a>
					<?php endif; ?>
				</div>
			<?php endif; ?>
		</div>
		<div <?php echo wp_kses_post($widget->get_render_attribute_string( 'breadcrumb' )); ?>>
			<?php validus_breadcrumb(); ?>
		</div>
	</div>
</div>