<?php

use Elementor\Icons_Manager;

$html_id = etc_get_element_id($settings);
$source = $widget->get_setting('source_'.$settings['post_type']);
$tag = $widget->get_setting('groupby_'.$settings['post_type'], '');
if ($tag) {
    $source = [$tag];
}
$orderby = $widget->get_setting('orderby', 'date');
$order = $widget->get_setting('order', 'desc');
$limit = $widget->get_setting('limit', 6);
$post_ids = $widget->get_setting('post_ids', '');

extract(etc_get_posts_of_grid($settings['post_type'], [
    'source' => $source,
    'post_type' => $settings['post_type'],
    'orderby' => $orderby,
    'order' => $order,
    'limit' => $limit,
    'readmore_text' => $widget->get_setting('readmore_text', ''),
    'post_status' => 'any'
]));

$arrows = $widget->get_setting('arrows');
$dots = $widget->get_setting('dots');

$title_tag = $widget->get_setting('title_tag', 'h3');

$_w_default = 400;
$_h_default = 300;
$_w_size = 0;
$_h_size = 0;

$thumbnail_size = $widget->get_setting('thumbnail_size', 'full');
$thumbnail_custom_dimension = $widget->get_setting('thumbnail_custom_dimension', '');
if ($thumbnail_size != 'custom') {
    $img_size = $thumbnail_size;
} elseif (!empty($thumbnail_custom_dimension['width']) && !empty($thumbnail_custom_dimension['height'])) {
    $img_size = $thumbnail_custom_dimension['width'] . 'x' . $thumbnail_custom_dimension['height'];
} else {
    $img_size = $_w_default.'x'.$_h_default;
}

foreach ($posts as $post):
    $image = wp_get_attachment_image_src(get_post_thumbnail_id($post->ID),$thumbnail_size);

    if(isset($image) && is_array($image) && !empty($image)) {
        $_w_size = $image[2];
        $_h_size = $image[2];
    }
endforeach;

$show_thumbnail = $widget->get_setting('show_thumbnail', '');
$show_categories = $widget->get_setting('show_categories', 'yes');
$show_title = $widget->get_setting('show_title', '');
$show_featured = $widget->get_setting('show_featured', '');
$show_excerpt = $widget->get_setting('show_excerpt', '');
$num_words = $widget->get_setting('num_words', '');
$num_words_title = $widget->get_setting('num_words_title', '');
$readmore_text = $widget->get_setting('readmore_text', '');
$heading_text = $widget->get_setting('heading_text', '');

$widget->add_render_attribute( 'heading', 'class', 'cms-post-carousel-heading' );
$widget->add_inline_editing_attributes( 'heading', '' );
?>
<?php if (is_array($posts)) : ?>

    <div id="<?php echo esc_attr($html_id) ?>" class="cms-post-carousel cms-post-carousel-layout2">
        <?php if(!empty($heading_text)) { ?>
        <h3 <?php echo wp_kses_post($widget->get_render_attribute_string( 'heading' )); ?>>
            <?php echo esc_html($heading_text);?>
        </h3>
        <?php } ?>
        <div class="cms-carousel swiper">
            <div class="swiper-wrapper">
                <?php
                
                foreach ($posts as $post) {
                $author = get_user_by('id', $post->post_author);
                $cat = $settings['post_type'] != 'post' ? $settings['post_type'].'-category' : 'category';
                ?>
                <div class="cms-carousel-item swiper-slide cms-shadow-3">
                    <div class="cms-carousel-item-inner">
                        <?php if ($show_thumbnail == 'yes') : ?>
                            <?php
                            //calculate size
                            $thumbnail_size = $settings['thumbnail_size'];
                            $thumbnail_custom_dimension = $settings['thumbnail_custom_dimension'];

                            if ($thumbnail_size != 'custom') {
                                $width = get_option( $thumbnail_size.'_size_w' );
                                $height = get_option( $thumbnail_size.'_size_h' );

                                if ($thumbnail_size == '1536x1536' || $thumbnail_size == '2048x2048') {
                                    $array = explode('x',$thumbnail_size);
                                    $width = $array[0];
                                    $height = $array[1];
                                }

                                if (empty($height) || $height == '' || $height == 0) {
                                    $image = wp_get_attachment_image_src(get_post_thumbnail_id($post->ID),$thumbnail_size);

                                    if(isset($image) && is_array($image) && !empty($image)) {
                                        if ($_h_size <= $_h_default && $_h_size <= 300) {
                                            $params = array(
                                                'width' => $_w_default,
                                                'height' => $_h_default
                                            );
                
                                            $settings['thumbnail_size'] = 'custom';
                                        } else {
                                            $params = array(
                                                'width' => $image[1],
                                                'height' => $_h_size
                                            );
                                        }
                                    } else {
                                        if ($_h_default <= $_h_size) {
                                            $_h_default = $_h_size;
                                        }
                
                                        $params = array(
                                            'width' => $_w_default,
                                            'height' => $_h_default
                                        );
                                    }
                                } else {
                                    if ($width <= get_option( 'thumbnail_size_w' )) {
                                        $width = $_w_default;
                                    }
                                    if ($height <= get_option( 'thumbnail_size_h' )) {
                                        $height = $_h_default;

                                        $settings['thumbnail_size'] = 'custom';
                                    }

                                    $params = array(
                                        'width' => $width,
                                        'height' => $height
                                    );
                                }
                            } elseif (!empty($thumbnail_custom_dimension['width']) && !empty($thumbnail_custom_dimension['height'])) {
                                $img_size = $thumbnail_custom_dimension['width'] . 'x' . $thumbnail_custom_dimension['height'];

                                $params = array(
                                    'width' => $thumbnail_custom_dimension['width'],
                                    'height' => $thumbnail_custom_dimension['height']
                                );
                            } else {
                                $img_size = $_w_default.'x'.$_h_default;

                                $params = array(
                                    'width' => $_w_default,
                                    'height' => $_h_default
                                );
                            }

                            if(has_post_thumbnail($post->ID) && wp_get_attachment_image_src(get_post_thumbnail_id($post->ID), false)) {
                                $img_id = get_post_thumbnail_id($post->ID);
                                $img = etc_get_image_by_size(array(
                                    'attach_id' => $img_id,
                                    'thumb_size' => $img_size,
                                    'class' => 'cms-transition',
                                ));

                                $src = $img['p_img_large'][0];

                                $thumbnail = '<img decoding="async" class="cms-transition" src="'.$src.'" loading="lazy" />';
                            } else {
                                //validus custom : 840x562, 570x380
                                $src = Elementor\Utils::get_placeholder_image_src();
                                $src = get_template_directory_uri() . '/assets/images/elementor/jasper-garratt-hori-569x380.jpg';

                                if($src == '') {
                                    $src = get_template_directory_uri().'/assets/images/placeholder.png';
                                }
                                
                                $thumbnail = '<img decoding="async" width="400" height="300" src="'.$src.'" loading="lazy" />';
                            }
                            ?>
                            <div class="item-featured d-flex align-items-center justify-content-center" style="--min-height: <?php echo esc_html($params['height']);?>px;">
                                <?php echo wp_kses_post($thumbnail); ?>
                                <div class="item-overlay d-flex align-items-center justify-content-center absolute t-0 r-0 l-0 b-0 cms-transition">
                                    <a href="<?php echo esc_url(get_permalink($post->ID));?>" class="d-inline-flex text-20 text-secondary radius-200 cms-transition">
                                        <span class="the-link-readmore d-inline-flex align-items-center text-center text-10 justify-content-center radius-200 bg-white cmsi-plus"></span>
                                    </a>
                                </div>
                            </div>
                        <?php endif; ?>
                        <div class="item-body d-flex flex-direction-column cms-transition bg-white">
                            <?php if ($show_title == 'yes') : ?>
                                <<?php echo wp_kses_post($title_tag); ?> class="item-title">
                                <a href="<?php echo esc_url(get_permalink($post->ID)); ?>">
                                    <?php 
                                    $title = get_the_title($post->ID);
                                    $title = esc_attr($title);
                                    echo esc_html($title);
                                    ?>
                                </a>
                                </<?php echo wp_kses_post($title_tag); ?>>
                            <?php endif; ?>

                            <?php if ($show_categories == 'yes') : ?>
                                <?php if (get_the_term_list($post->ID, $cat, '', '')) : ?>
                                    <div class="item-category text-14 text-primary">
                                        <?php
                                        $j = 0;
                                        $array = get_the_terms($post->ID, $cat);
                                        if(isset($array) && is_array($array))
                                        foreach($array as $item) {
                                            if($j < 2) {
                                            ?>
                                            <a class="text-primary" href="<?php echo get_term_link($item); ?>"><?php echo esc_html($item->name);?></a><?php echo (count($array)==2 && $j == 0)?', ':'';?>
                                            <?php $j++; ?>
                                            <?php } ?>
                                        <?php } ?>
                                    </div>
                                <?php endif; ?>
                            <?php endif; ?>
                        </div>
                    </div>
                </div>
                <?php } ?>
            </div>
        </div>

        <?php if ($dots == 'yes' || $arrows == 'yes') : ?>
        <div class="cms-carousel-tool d-flex align-items-center justify-content-between">
            <?php if ($dots == 'yes') : ?>
                <div class="cms-carousel-dots"></div>
            <?php endif ?>
            <?php if ($arrows == 'yes') : ?>
            <div class="cms-carousel-button d-flex gap-20 text-10">
                <div class="cms-carousel-button-prev d-flex align-items-center text-center justify-content-center cursor-pointer radius-100 bg-primary text-secondary cms-transition">
                    <?php
                    $icon_settings = $widget->get_settings_for_display('arrow_prev_icon');
                    if (empty($icon_settings['value'])) {
                        $icon_settings = [
                            'library' => 'eicons',
                            'value' => 'cmsi-arrow-left',
                        ];
                    }
                    Icons_Manager::render_icon($icon_settings, ['aria-hidden' => 'true']);
                    ?>
                </div>
                <div class="cms-carousel-button-next d-flex align-items-center text-center justify-content-center cursor-pointer radius-100 bg-primary text-secondary cms-transition">
                    <?php
                    $icon_settings = $widget->get_settings_for_display('arrow_next_icon');
                    if (empty($icon_settings['value'])) {
                        $icon_settings = [
                            'library' => 'eicons',
                            'value' => 'cmsi-arrow-right',
                        ];
                    }
                    Icons_Manager::render_icon($icon_settings, ['aria-hidden' => 'true']);
                    ?>
                </div>
            </div>
            <?php endif ?>
        </div>
        <?php endif ?>
    </div>
<?php endif; ?>