<?php

use Elementor\Icons_Manager;

$html_id = etc_get_element_id($settings);
$source = $widget->get_setting('source_'.$settings['post_type']);
$tag  = $widget->get_setting('groupby_'.$settings['post_type'], '');
if ($tag) {
    $source = [$tag];
}
$orderby = $widget->get_setting('orderby', 'date');
$order = $widget->get_setting('order', 'desc');
$limit = $widget->get_setting('limit', 6);
$post_ids = $widget->get_setting('post_ids', '');

extract(etc_get_posts_of_grid($settings['post_type'], [
    'source' => $source,
    'post_type' => $settings['post_type'],
    'orderby' => $orderby,
    'order' => $order,
    'limit' => $limit,
    'readmore_text' => $widget->get_setting('readmore_text', ''),
    'post_status' => 'any'
]));

$arrows = $widget->get_setting('arrows');
$dots = $widget->get_setting('dots');

$title_tag = $widget->get_setting('title_tag', 'h3');

$show_thumbnail = $widget->get_setting('show_thumbnail', 'yes');
$show_post_date = $widget->get_setting('show_post_date', '');
$show_title = $widget->get_setting('show_title', '');
$show_featured = $widget->get_setting('show_featured', '');
$show_excerpt = $widget->get_setting('show_excerpt', '');
$show_readmore = $widget->get_setting('show_readmore', 'yes');
$num_words = $widget->get_setting('num_words', '');
$num_words_title = $widget->get_setting('num_words_title', '');
$readmore_text = $widget->get_setting('readmore_text', '');
$heading_text = $widget->get_setting('heading_text', '');

$widget->add_render_attribute( 'heading', 'class', 'cms-post-carousel-heading' );
$widget->add_inline_editing_attributes( 'heading', '' );

// Content attributes
$widget->add_render_attribute('readmore',[
    'class' => [
        'item-readmore absolute cms-transition',
    ],
]);

$widget->add_inline_editing_attributes( 'readmore', '' );
?>
<?php if (is_array($posts)) : ?>

    <div id="<?php echo esc_attr($html_id) ?>" class="cms-post-carousel transition cms-post-carousel-layout6">
        <?php if(!empty($heading_text)) { ?>
        <h3 <?php echo wp_kses_post($widget->get_render_attribute_string( 'heading' )); ?>>
            <?php echo esc_html($heading_text);?>
        </h3>
        <?php } ?>
        <div class="cms-carousel swiper">
            <div class="swiper-wrapper">
                <?php
                foreach ($posts as $post) {
                $author = get_user_by('id', $post->post_author);
                ?>
                <div class="cms-carousel-item swiper-slide">
                    <div class="cms-carousel-item-inner">
                        <?php if ($show_thumbnail == 'yes') : ?>
                            <?php
                            //calculate size
                            $_w_default = 750;
                            $_h_default = 550;
                            $thumbnail_size = $widget->get_setting('thumbnail_size', 'full');
                            $thumbnail_custom_dimension = $widget->get_setting('thumbnail_custom_dimension', '');
                            if ($thumbnail_size != 'custom') {
                                $img_size = $thumbnail_size;

                                $width = get_option( $thumbnail_size.'_size_w' );
                                $height = get_option( $thumbnail_size.'_size_h' );

                                if ($thumbnail_size == '1536x1536' || $thumbnail_size == '2048x2048') {
                                    $array = explode('x',$thumbnail_size);
                                    $width = $array[0];
                                    $height = $array[1];
                                }

                                if (empty($height) || $height == '' || $height == 0) {
                                    $image = wp_get_attachment_image_src(get_post_thumbnail_id($post->ID),$thumbnail_size);

                                    if(isset($image) && is_array($image) && !empty($image)) {
                                        $img_size = $image[1].'x'.$image[2];
                                        
                                        $params = array(
                                            'width' => $image[1],
                                            'height' => $image[2]
                                        );
                                    } else {
                                        $params = array(
                                            'width' => $_w_default,
                                            'height' => $_h_default
                                        );
                                    }
                                } else {
                                    if ($width <= get_option( 'thumbnail_size_w' )) {
                                        $width = $_w_default;
                                    }
                                    if ($height <= get_option( 'thumbnail_size_h' )) {
                                        $height = $_h_default;
                                    }

                                    $img_size = $width.'x'.$height;

                                    $params = array(
                                        'width' => $width,
                                        'height' => $height
                                    );
                                }
                            } elseif (!empty($thumbnail_custom_dimension['width']) && !empty($thumbnail_custom_dimension['height'])) {
                                $img_size = $thumbnail_custom_dimension['width'] . 'x' . $thumbnail_custom_dimension['height'];

                                $params = array(
                                    'width' => $thumbnail_custom_dimension['width'],
                                    'height' => $thumbnail_custom_dimension['height']
                                );
                            } else {
                                $img_size = $_w_default.'x'.$_h_default;

                                $params = array(
                                    'width' => $_w_default,
                                    'height' => $_h_default
                                );
                            }

                            if(has_post_thumbnail($post->ID) && wp_get_attachment_image_src(get_post_thumbnail_id($post->ID), false)) {
                                $img_id = get_post_thumbnail_id($post->ID);
                                $img = etc_get_image_by_size(array(
                                    'attach_id' => $img_id,
                                    'thumb_size' => $img_size,
                                    'class' => 'cms-transition',
                                ));

                                $thumbnail = '<img decoding="async" class="cms-transition" src="'.$img['p_img_large'][0].'" loading="lazy" />';
                            } else {
                                $src = Elementor\Utils::get_placeholder_image_src();
                                $src = get_template_directory_uri() . '/assets/images/elementor/jasper-garratt-hori-600x438.jpg';

                                if($src == '') {
                                    $src = get_template_directory_uri().'/assets/images/placeholder.png';                                
                                }
                                
                                $thumbnail = '<img decoding="async" width="'.$params['width'].'" height="'.$params['height'].'" src="'.$src.'" loading="lazy" />';
                            }

                            $cat = $settings['post_type'] != 'post' ? $settings['post_type'].'-category' : 'category';
                            ?>
                            <div class="item-featured d-flex align-items-center justify-content-center" style="--min-height: <?php echo esc_html($params['height']);?>px;">
                                <?php echo wp_kses_post($thumbnail); ?>
                                <?php if(!empty($show_readmore)) { ?>
                                <div <?php echo wp_kses_post($widget->get_render_attribute_string( 'readmore' )); ?>>
                                    <a href="<?php echo esc_url(get_permalink($post->ID));?>" class="text-white p-10 d-inline-flex radius-150 bg-primary">
                                        <span class="the-link-readmore d-inline-flex align-items-center text-center justify-content-center cmsi-plus text-10 radius-150 bg-primary"></span>
                                    </a>
                                </div>
                                <?php } ?>
                            </div>
                        <?php endif; ?>
                        <div class="item-body d-flex flex-direction-column absolute b-0 gap-16">
                            <?php if ($show_title == 'yes') : ?>
                                <<?php echo wp_kses_post($title_tag); ?> class="item-title">
                                <a href="<?php echo esc_url(get_permalink($post->ID)); ?>">
                                    <?php 
                                    $title = get_the_title($post->ID);
                                    $title = esc_attr($title);
                                    echo esc_html($title);
                                    ?>
                                </a>
                                </<?php echo wp_kses_post($title_tag); ?>>
                            <?php endif; ?>
                            <?php if ($show_excerpt == 'yes' && (!empty($post->post_excerpt) || !empty($post->post_content))) : ?>
                                <div class="item-content">
                                    <div class="text-line-4">
                                        <?php
                                        if (!empty($post->post_excerpt)) {
                                            echo wp_kses_post($post->post_excerpt);
                                        } else {
                                            $content = strip_shortcodes($post->post_content);
                                            $content = str_replace(']]>', ']]&gt;', $content);
                                            $content = wp_trim_words($content, $num_words, '&hellip;');
                                            $content = substr($content, 0, $num_words).'...';
                                            echo wp_kses_post($content);
                                        }
                                        ?>
                                    </div>
                                </div>
                            <?php endif; ?>
                        </div>
                    </div>
                </div>
                <?php } ?>
            </div>
        </div>


        <!--tool outside carousel-->
        <?php if ($dots == 'yes' || $arrows == 'yes') : ?>
            <div class="cms-carousel-tool mr-auto-cms-carousel-tool d-flex align-items-center">
                <?php if ($dots == 'yes') : ?>
                    <div class="cms-carousel-dots"></div>
                <?php endif ?>


                <?php if ($arrows == 'yes') : ?>
                <div class="cms-carousel-button">
                    <div class="cms-carousel-button-prev">
                        <?php
                        $icon_settings = $widget->get_settings_for_display('arrow_prev_icon');
                        if (empty($icon_settings['value'])) {
                            $icon_settings = [
                                'library' => 'eicons',
                                'value' => 'cmsi-arrow-prev',
                            ];
                        }
                        Icons_Manager::render_icon($icon_settings, ['aria-hidden' => 'true']);
                        ?>
                    </div>
                    <div class="cms-carousel-button-next">
                        <?php
                        $icon_settings = $widget->get_settings_for_display('arrow_next_icon');
                        if (empty($icon_settings['value'])) {
                            $icon_settings = [
                                'library' => 'eicons',
                                'value' => 'cmsi-arrow-next',
                            ];
                        }
                        Icons_Manager::render_icon($icon_settings, ['aria-hidden' => 'true']);
                        ?>
                    </div>
                </div>
                <?php endif ?>
            </div>
        <?php endif ?>
    </div>
<?php endif; ?>