<?php
$html_id     = etc_get_element_id($settings);
$tax         = array();
$post_type   = $widget->get_setting('post_type', '');
$cat_type    = ($post_type == 'post') ? 'category' : $post_type.'-category';
$source      = $widget->get_setting('source_'.$settings['post_type'], '');
if ($source) {
    //original source
    $source_cat = $source;
}
$tag         = $widget->get_setting('groupby_'.$settings['post_type'], '');
if ($tag) {
    $source = [$tag];
}
$orderby     = $widget->get_setting('orderby', 'date');
$order       = $widget->get_setting('order', 'desc');
$limit       = $widget->get_setting('limit', 6);
$layout_type = 'grid';

extract(etc_get_posts_of_grid($widget->get_setting('post_type', ''), [
    'source'   => $source,
    'orderby'  => $orderby,
    'order'    => $order,
    'limit'    => $limit,
    'post_status' => ''
]));

$show_pagination            = $widget->get_setting('show_pagination', '');
$filter                     = $widget->get_setting('filter', 'false');
$filter_default_title       = $widget->get_setting('filter_default_title', 'All');
$filter_alignment           = $widget->get_setting('filter_alignment', 'center');
$thumbnail_size             = $widget->get_setting('thumbnail_size', '');
$thumbnail_custom_dimension = $widget->get_setting('thumbnail_custom_dimension', '');
$pagination_type            = $widget->get_setting('pagination_type', 'pagination');
$num_words                  = $widget->get_setting('num_words', '');
$readmore_text              = $widget->get_setting('readmore_text', '');

$settings['posttype'] = $widget->get_setting('post_type', '');
$settings['template_type'] = 'post_grid_layout11';
$settings['source'] = $source;
$settings['readmore_text'] = $readmore_text;

// Wrap attributes
$widget->add_render_attribute('wrap',[
    'id'              => $html_id,
    'class'           => ['cms-grid', 'cms-post-grid cms-post-grid-layout11 gap-40 d-flex flex-direction-column', 'cms-post-grid-'.$widget->get_setting('layout','1')],
    'data-layout'     => $layout_type,
    'data-start-page' => $paged,
    'data-max-pages'  => $max,
    'data-total'      => $total,
    'data-perpage'    => $limit,
    'data-next-link'  => $next_link,
]);
// Content attributes
$widget->add_render_attribute('content',[
    'class' => [
        'cms-grid-content cms-grid-inner animation-time',
        'd-grid',
        'grid-'.$widget->get_setting('col','3'),
        'grid-tablet-'.$widget->get_setting('col_tablet','2'),
        'grid-mobile-'.$widget->get_setting('col_mobile','1'),
        'gap',
    ],
    'style' => '--gap:40px;--gap-tablet:30px;--gap-mobile:20px;'
]);

//get list all categories (except tags)
$cats = etc_get_grid_term_list($post_type,[$cat_type]);
if (empty($source_cat)) {
    //if original source is empty, use tag
    $categories = $cats['terms'];
} else {
    $categories = $source_cat;
}
?>

<div <?php echo wp_kses_post($widget->get_render_attribute_string('wrap')); ?>>
    <?php if ($filter == "true"): ?>
        <div class="grid-filter-wrap d-flex gap-30 pb-32 justify-content-<?php echo esc_attr($filter_alignment); ?>">
            <span class="filter-item active" data-filter="*"><?php echo esc_html($filter_default_title); ?></span>
            <?php foreach ($categories as $category): 
                $category_arr = explode('|', $category);
                $tax[] = $category_arr[1];
                $term = get_term_by('slug', $category_arr[0], $category_arr[1]); 
            ?>
                <span class="filter-item" data-filter="<?php echo esc_attr($category); ?>">
                    <?php echo esc_html($term->name); ?>
                </span>
            <?php endforeach; ?>
        </div>
    <?php endif; ?>

    <div <?php echo wp_kses_post($widget->get_render_attribute_string('content')); ?>><?php
        validus_get_post_grid($settings, $posts);
    ?></div>
    <?php if ($pagination_type == 'pagination' && $show_pagination == 'yes') { ?>
        <div class="cms-grid-pagination" data-loadmore="<?php echo esc_attr(json_encode($settings)); ?>"
            data-query="<?php echo esc_attr(json_encode($args)); ?>">
            <?php validus_posts_pagination($query, true); ?>
        </div>
    <?php }
    if (!empty($next_link) && $pagination_type == 'loadmore') { ?>
        <div class="cms-load-more text-center" data-loadmore="<?php echo esc_attr(json_encode($settings)); ?>" data-query="<?php echo esc_attr(json_encode($args)); ?>">
            <span class="btn btn-outline">
                <i class="i-hidden"></i>
                <?php echo esc_html__('Load More', 'validus') ?>
            </span>
        </div>
    <?php } ?>
</div>