<?php
$html_id     = etc_get_element_id($settings);
$tax         = array();
$post_type   = $widget->get_setting('post_type', '');
$cat_type    = ($post_type == 'post') ? 'category' : $post_type.'-category';
$source      = $widget->get_setting('source_'.$settings['post_type'], '');
if ($source) {
    //original source
    $source_cat = $source;
}
$tag         = $widget->get_setting('groupby_'.$settings['post_type'], '');
if ($tag) {
    $source = [$tag];
}
$orderby     = $widget->get_setting('orderby', 'date');
$order       = $widget->get_setting('order', 'desc');
$limit       = $widget->get_setting('limit', 6);
$layout_type = 'grid';

extract(etc_get_posts_of_grid($widget->get_setting('post_type', ''), [
    'source'   => $source,
    'orderby'  => $orderby,
    'order'    => $order,
    'limit'    => $limit,
    'post_status' => ''
]));

$show_pagination            = $widget->get_setting('show_pagination', '');
$filter                     = $widget->get_setting('filter', 'false');
$filter_default_title       = $widget->get_setting('filter_default_title', 'All');
$filter_alignment           = $widget->get_setting('filter_alignment', 'center');
$thumbnail_size             = $widget->get_setting('thumbnail_size', '');
$thumbnail_custom_dimension = $widget->get_setting('thumbnail_custom_dimension', '');
$pagination_type            = $widget->get_setting('pagination_type', 'pagination');
$num_words                  = $widget->get_setting('num_words', '');
$readmore_text              = $widget->get_setting('readmore_text', '');

$settings['posttype'] = $widget->get_setting('post_type', '');
$settings['template_type'] = 'post_grid_layout8';
$settings['source'] = $source;
$settings['readmore_text'] = $readmore_text;

// Wrap attributes
$widget->add_render_attribute('wrap',[
    'id'              => $html_id,
    'class'           => ['cms-grid', 'cms-post-grid cms-post-grid-layout8', 'cms-post-grid-'.$widget->get_setting('layout','1')],
    'data-layout'     => $layout_type,
    'data-start-page' => $paged,
    'data-max-pages'  => $max,
    'data-total'      => $total,
    'data-perpage'    => $limit,
    'data-next-link'  => $next_link,
]);

//width x height post image
$_h_default = 800;
$_h_size = 0;

$thumbnail_size = $settings['thumbnail_size'];
$thumbnail_custom_dimension = $settings['thumbnail_custom_dimension'];
if ($thumbnail_size != 'custom') {
    foreach ($posts as $post):
        $image = wp_get_attachment_image_src(get_post_thumbnail_id($post->ID),$thumbnail_size);

        if(isset($image) && is_array($image) && !empty($image)) {
            $_h_size = $image[2];
        }
    endforeach;

    $height = get_option( $thumbnail_size.'_size_h' );

    if ($thumbnail_size == '1536x1536' || $thumbnail_size == '2048x2048') {
        $array = explode('x',$thumbnail_size);
        $height = $array[1];
    }
    
    if (empty($height) || $height == '' || $height == 0) {
        if ($height <= $_h_size) {
            $height = $_h_size;

            if ($height <= 300) {
                $height = $_h_default;
            }
        } else {
            $height = $_h_default;
        }
    } else {
        if ($height <= get_option( 'thumbnail_size_h' ) || $height <= 300) {
            $height = $_h_default;
        }
    }

    $max_height = $height;
} elseif (!empty($thumbnail_custom_dimension['width']) && !empty($thumbnail_custom_dimension['height'])) {
    $height = $thumbnail_custom_dimension['height'];
    $max_height = $thumbnail_custom_dimension['height'];
} else {
    $height = $_h_default;
    $max_height = $_h_default;
}

$src = Elementor\Group_Control_Image_Size::get_attachment_image_src( get_post_thumbnail_id($posts[0]->ID), 'thumbnail', $settings );
if ($src == '') {
    $src = Elementor\Utils::get_placeholder_image_src();
}

// Content attributes
$widget->add_render_attribute('content',[
    'class' => [
        'cms-grid-content cms-grid-inner animation-time',
        'd-grid',
        'grid-'.$widget->get_setting('col','3'),
        'grid-tablet-'.$widget->get_setting('col_tablet','2'),
        'grid-mobile-'.$widget->get_setting('col_mobile','1'),
        'gap',
    ],
    'style' => '--gap:0px;--gap-tablet:0px;--gap-mobile:20px;--min-height: '.$max_height.'px;'
]);

//get list all categories (except tags)
$cats = etc_get_grid_term_list($post_type,[$cat_type]);
if (empty($source_cat)) {
    //if original source is empty, use tag
    $categories = $cats['terms'];
} else {
    $categories = $source_cat;
}
?>

<div <?php echo wp_kses_post($widget->get_render_attribute_string('wrap')); ?>>
    <?php if ($filter == "true"): ?>
        <div class="grid-filter-wrap d-flex gap-30 pb-32 justify-content-<?php echo esc_attr($filter_alignment); ?>">
            <span class="filter-item active" data-filter="*"><?php echo esc_html($filter_default_title); ?></span>
            <?php foreach ($categories as $category): 
                $category_arr = explode('|', $category);
                $tax[] = $category_arr[1];
                $term = get_term_by('slug', $category_arr[0], $category_arr[1]); 
            ?>
                <span class="filter-item" data-filter="<?php echo esc_attr($category); ?>">
                    <?php echo esc_html($term->name); ?>
                </span>
            <?php endforeach; ?>
        </div>
    <?php endif; ?>

    <div class="cms-grid-container">
        <div class="cms-grid-image" style="height: <?php echo esc_html($height);?>px">
            <?php
            $count = 0;
            foreach ($posts as $post):
                $count ++;
                $src = Elementor\Group_Control_Image_Size::get_attachment_image_src( get_post_thumbnail_id($post->ID), 'thumbnail', $settings );
                if ($src == '') {
                    $src = Elementor\Utils::get_placeholder_image_src();
                }
                echo '<div class="cms-grid-item-image item-'.$count.'">';
                    echo '<img src="'.$src.'" />';
                echo '</div>';
            endforeach;
            ?>
        </div>

        <div <?php echo wp_kses_post($widget->get_render_attribute_string('content')); ?>>
            <?php validus_get_post_grid($settings, $posts);?>
        </div>
    </div>
    <?php if ($pagination_type == 'pagination' && $show_pagination == 'yes') { ?>
        <div class="cms-grid-pagination" data-loadmore="<?php echo esc_attr(json_encode($settings)); ?>"
            data-query="<?php echo esc_attr(json_encode($args)); ?>">
            <?php validus_posts_pagination($query, true); ?>
        </div>
    <?php }
    if (!empty($next_link) && $pagination_type == 'loadmore') { ?>
        <div class="cms-load-more text-center" data-loadmore="<?php echo esc_attr(json_encode($settings)); ?>" data-query="<?php echo esc_attr(json_encode($args)); ?>">
            <span class="btn btn-outline">
                <i class="i-hidden"></i>
                <?php echo esc_html__('Load More', 'validus') ?>
            </span>
        </div>
    <?php } ?>
</div>