<?php
$html_id = etc_get_element_id( $settings );

/************************************** IMAGE **************************************/
$thumbnail_size = $widget->get_setting('thumbnail_size', 'full');
$thumbnail_custom_dimension = $widget->get_setting('thumbnail_custom_dimension', ['width' => '840', 'height' => '561']);
if ($thumbnail_size != 'custom') {
    $img_size = $thumbnail_size;

	if( has_post_thumbnail()) {
		$id = get_post_thumbnail_id();
	}
	
	//if thumbnail is full size
	if ($thumbnail_size == 'full') {
		if (isset($id)) {
			$src = wp_get_attachment_image_src( $id, 'full' );
			$width = $src[1]; // image width
			$height = $src[2]; // image height

			//check if full image size > 900, set height = 900
			if ($height > 900) {
				$width = 1600;
				$height = 900;
			}
		} else {
			$width = 840; // image width
			$height = 561; // image height
		}
	} else {
		//if thumbnail is not full size
		$_size_w = get_option( $thumbnail_size.'_size_w' );
		$_size_h = get_option( $thumbnail_size.'_size_h' );

		if (isset($id)) {
			$image = wp_get_attachment_image_src($id,$thumbnail_size);
			$_width = $image[1];
			$_height = $image[2];

			if ($_width < $_size_w) {
				$width = $_size_w;
			} else {
				$width = $_width;
			}

			if ($_height < $_size_h) {
				$height = $_size_h;
			} else {
				$height = $_height;
			}

			if ($thumbnail_size == '1536x1536' || $thumbnail_size == '2048x2048') {
				$array = explode('x',$thumbnail_size);
				$width = $array[0];
				$height = $array[1];
			}
		} else {
			if ($thumbnail_size == '1536x1536' || $thumbnail_size == '2048x2048') {
				$array = explode('x',$thumbnail_size);
				$width = $array[0];
				$height = $array[1];
			} else {
				$width = $_size_w; // image width
				$height = $_size_h; // image height
			}
		}

		if ($width == '') {
			$width = 840;
		}
		if ($height == '') {
			$height = 561;
		}
	}

	$params = array(
		'width' => $width,
		'height' => $height
	);
} elseif (!empty($thumbnail_custom_dimension['width']) && !empty($thumbnail_custom_dimension['height'])) {
    $img_size = $thumbnail_custom_dimension['width'] . 'x' . $thumbnail_custom_dimension['height'];

	$params = array(
        'width' => $thumbnail_custom_dimension['width'],
        'height' => $thumbnail_custom_dimension['height']
    );
} else {
    $img_size = '840x561';

	$params = array(
        'width' => '840',
        'height' => '561'
    );

    $settings['thumbnail_custom_dimension'] = $params;
}

//*************************************CREATE IMAGE*****************************************
if( has_post_thumbnail()) {
	$image_url = \Elementor\Group_Control_Image_Size::get_attachment_image_src( get_post_thumbnail_id(get_the_ID()), 'thumbnail', $settings );
} else {
	$image_url = Elementor\Utils::get_placeholder_image_src();
	$image_url = get_template_directory_uri() . '/assets/images/elementor/jasper-garratt-hori.jpg';
}

$thumbnail = '';
if(!empty($image_url)) {
	$max_height = $params['height'].'px';
	$thumbnail = '<img style="--max-height: '.$max_height.'" width="'.$params['width'].'" height="'.$params['height'].'" decoding="async" src="'.$image_url.'" loading="lazy" />';
}
//*************************************CREATE IMAGE******************************************
?>
<div class="cms-post-image-wrap <?php if (! empty($settings['align'])) { echo wp_kses_post('text-'.$settings['align']); } ?>">
	<div class="cms-post-image-container">
		<?php echo wp_kses_post( $thumbnail ); ?>
	</div>
</div>