<?php
$default_settings = [
	'image'       => '',
	'img_link'    => '',
];
$settings         = array_merge( $default_settings, $settings );
extract( $settings );
$html_id = etc_get_element_id( $settings );

if ( ! empty( $img_link['url'] ) ) {
	$widget->add_render_attribute( 'image', 'href', $img_link['url'] );

	if ( $img_link['is_external'] ) {
		$widget->add_render_attribute( 'image', 'target', '_blank' );
	}

	if ( $img_link['nofollow'] ) {
		$widget->add_render_attribute( 'image', 'rel', 'nofollow' );
	}
}

$widget->add_render_attribute( 'image', 'class', 'cms-single-image-tag' );

//image
$thumbnail_size = $widget->get_setting('thumbnail_size', 'full');
$thumbnail_custom_dimension = $widget->get_setting('thumbnail_custom_dimension', ['width' => '400', 'height' => '267']);
if ($thumbnail_size != 'custom') {
    $img_size = $thumbnail_size;

	$array = wp_get_attachment_image_src($settings['image']['id'],$thumbnail_size);
    if(isset($array) && is_array($array) && !empty($array)) {
        $params = array(
            'width' => $array[1],
            'height' => $array[2]
        );
    } else {
        $params = array(
            'width' => '400',
            'height' => '267'
        );
    }
} elseif (!empty($thumbnail_custom_dimension['width']) && !empty($thumbnail_custom_dimension['height'])) {
    $img_size = $thumbnail_custom_dimension['width'] . 'x' . $thumbnail_custom_dimension['height'];

	$params = array(
        'width' => $thumbnail_custom_dimension['width'],
        'height' => $thumbnail_custom_dimension['height']
    );
} else {
    $img_size = '400x267';

	$params = array(
        'width' => '400',
        'height' => '267'
    );

    $settings['thumbnail_custom_dimension'] = $params;
}

$thumbnail = '';


//stamp
$thumbnail_size = $widget->get_setting('thumbstamp_size', 'full');
$thumbnail_custom_dimension = $widget->get_setting('thumbstamp_custom_dimension', ['width' => '400', 'height' => '267']);
if ($thumbnail_size != 'custom') {
    $img_size = $thumbnail_size;
} elseif (!empty($thumbnail_custom_dimension['width']) && !empty($thumbnail_custom_dimension['height'])) {
    $img_size = $thumbnail_custom_dimension['width'] . 'x' . $thumbnail_custom_dimension['height'];
} else {
    $img_size = '400x267';
}

$stamp = '';

$img = etc_get_image_by_size( array(
	'attach_id'  => $stamp_image['id'],
	'thumb_size' => $img_size,
	'class'      => '',
) );

if(isset($img['p_img_large'])) {
	$stamp = $img['p_img_large'][0];
}


//******************************************************************************
$image_url = \Elementor\Group_Control_Image_Size::get_attachment_image_src( $settings['image']['id'], 'thumbnail', $settings );

if(!empty($image_url)) {
	$src = $image_url;
	$class = !empty($stamp) ? 'class="width-100"' : '';
	$thumbnail = '<img decoding="async" src="'.$image_url.'" '.$class.' loading="lazy" />';
}
//*******************************************************************************


if (empty($settings['image']['id'] && ! empty( $settings['image']['url']))) {
	$src = get_template_directory_uri() . '/assets/images/elementor/jasper-garratt.jpg';

	//crop image by $params['width'],$params['height']
	
	$class = !empty($stamp) ? ' class="width-100" ' : '';
	$thumbnail = '<img decoding="async" '.$class.' width="'.$params['width'].'" height="'.$params['height'].'" src="'.$src.'" loading="lazy" />';
}
//

$show_overlay = $widget->get_settings( 'show_overlay', 'no' );
$show_rotate = $widget->get_settings( 'show_rotate', 'no' );
$show_box_stamp = $widget->get_settings( 'show_box_stamp', 'no' );

if ($settings['use_background'] == 'yes') {
	$style = 'background: #fff url("'.$src.'") no-repeat center;background-size: cover;display: inline-block;width: 100%;height: 100%;';

	$widget->add_render_attribute( 'image', 'style', $style );
	$widget->add_render_attribute( 'image', 'class', 'cms-single-image-bg' );
?>
<div class="cms-single-image-wrap cms-single-image-layout2 <?php if (! empty($settings['align'])) { echo wp_kses_post('text-'.$settings['align']); } ?>">
	<div class="cms-single-image-container">
		<?php if($show_overlay == 'yes') { ?>
		<div class="cms-single-image-overlay"></div>
		<?php } ?>

		<?php if ( ! empty( $img_link['url'] ) ) { ?>
			<a <?php echo wp_kses_post( $widget->get_render_attribute_string( 'image' ) ); ?>></a>
		<?php } else { ?>
			<div <?php echo wp_kses_post( $widget->get_render_attribute_string( 'image' ) ); ?>></div>
		<?php } ?>

		<?php 
		if(!empty($stamp)) {
			$cls = $show_rotate == 'yes' ? 'show-rotate' : '';
		?>
		<div class="cms-single-image-stamp <?php echo esc_html($cls);?>">
			<img src="<?php echo esc_html($stamp);?>" />
		</div>
		<?php } ?>

		<?php
		if(!empty($show_box_stamp)) {
			$widget->add_render_attribute( 'heading', 'class', 'cms-single-image-box-stamp-heading font-600' );
			$widget->add_render_attribute( 'text', 'class', 'cms-single-image-box-stamp-text' );
		?>
		<div class="cms-single-image-box-stamp">
			<?php if ( ! empty( $settings['box_stamp_heading'] ) ) { ?>
				<h4 <?php echo wp_kses_post( $widget->get_render_attribute_string( 'heading' ) ); ?>>
					<?php echo wp_kses_post( $settings['box_stamp_heading'] );?>
				</h4>
			<?php } ?>

			<?php if ( ! empty( $settings['box_stamp_text'] ) ) : ?>
				<div <?php echo wp_kses_post( $widget->get_render_attribute_string( 'text' ) ); ?>>
					<?php echo wpautop( $settings['box_stamp_text'] ); ?>
				</div>
			<?php endif; ?>	
		</div>
		<?php } ?>
	</div>
</div>
<?php } else { ?>
<div class="cms-single-image-wrap <?php if (! empty($settings['align'])) { echo wp_kses_post('text-'.$settings['align']); } ?>">
	<div class="cms-single-image-container">
		<?php if($show_overlay == 'yes') { ?>
		<div class="cms-single-image-overlay"></div>
		<?php } ?>

		<?php if ( ! empty( $img_link['url'] ) ) { ?>
			<a <?php echo wp_kses_post( $widget->get_render_attribute_string( 'image' ) ); ?>><?php } ?>
				<?php echo wp_kses_post( $thumbnail ); ?>
				<?php if ( ! empty( $img_link['url'] ) ) { ?>
			</a>
		<?php } ?>

		<?php
		if(!empty($stamp)) {
			$cls = $show_rotate == 'yes' ? 'show-rotate' : '';
		?>
		<div class="cms-single-image-stamp <?php echo esc_html($cls);?>">
			<img src="<?php echo esc_html($stamp);?>" />
		</div>
		<?php } ?>

		<?php
		if(!empty($show_box_stamp)) {
			$widget->add_render_attribute( 'heading', 'class', 'cms-single-image-box-stamp-heading font-600' );
			$widget->add_render_attribute( 'text', 'class', 'cms-single-image-box-stamp-text' );
		?>
		<div class="cms-single-image-box-stamp">
			<?php if ( ! empty( $settings['box_stamp_heading'] ) ) { ?>
				<h4 <?php echo wp_kses_post( $widget->get_render_attribute_string( 'heading' ) ); ?>>
					<?php echo wp_kses_post( $settings['box_stamp_heading'] );?>
				</h4>
			<?php } ?>

			<?php if ( ! empty( $settings['box_stamp_text'] ) ) : ?>
				<div <?php echo wp_kses_post( $widget->get_render_attribute_string( 'text' ) ); ?>>
					<?php echo wpautop( $settings['box_stamp_text'] ); ?>
				</div>
			<?php endif; ?>	
		</div>
		<?php } ?>
	</div>
</div>
<?php } ?>