<?php
$default_settings = [
	'title'        => '',
	'price'        => '',
	'time'         => '',
	'description'  => '',
	'button_text'  => '',
	'button_link'  => '',
	'content_list' => '',
	'feature'      => '',
];
$settings         = array_merge( $default_settings, $settings );
extract( $settings );
if ( ! empty( $button_link['url'] ) ) {
	$widget->add_render_attribute( 'button', 'href', $button_link['url'] );

	if ( $button_link['is_external'] ) {
		$widget->add_render_attribute( 'button', 'target', '_blank' );
	}

	if ( $button_link['nofollow'] ) {
		$widget->add_render_attribute( 'button', 'rel', 'nofollow' );
	}
}
?>
<div class="cms-pricing-layout1 <?php if ( $feature == 'yes' ) { echo 'cms-pricing-feature'; } ?>">
    <div class="cms-pricing-inner">
        <h3 class="pricing-title"><?php echo esc_attr( $title ); ?></h3>
        <div class="pricing-desc"><?php echo wp_kses_post( $description ); ?></div>
        <div class="pricing-meta">
            <div class="pricing-price"><?php echo wp_kses_post( $price ); ?></div>
            <div class="pricing-time"><?php echo esc_attr( $time ); ?></div>
        </div>
		<?php if ( ! empty( $button_text ) ) : ?>
            <div class="pricing-button">
                <a class="<?php if ( $feature == 'yes' ) {
					echo 'btn';
				} else {
					echo 'btn btn-outline-primary';
				} ?>" <?php echo wp_kses_post( $widget->get_render_attribute_string( 'button' ) ); ?>><span><?php echo esc_attr( $button_text ); ?></span></a>
            </div>
		<?php endif; ?>
		<?php if ( isset( $settings['content_list'] ) && ! empty( $settings['content_list'] ) && count( $settings['content_list'] ) ): ?>
            <ul class="cms-pricing-feature">
				<?php
				foreach ( $settings['content_list'] as $key => $cms_list ): ?>
                    <li><i class="fac fa-check"></i><?php echo esc_html( $cms_list['content'] ) ?></li>
				<?php endforeach; ?>
            </ul>
		<?php endif; ?>
    </div>

</div>