<?php
if ( isset( $settings['progressbar_list'] ) && ! empty( $settings['progressbar_list'] ) ):
	foreach ( $settings['progressbar_list'] as $key => $progressbar ):
		$title_key = $widget->get_repeater_setting_key( 'title', 'progressbar_list', $key );
		$wrapper_key = $widget->get_repeater_setting_key( 'wrapper', 'progressbar_list', $key );
		$progress_bar_key = $widget->get_repeater_setting_key( 'progress_bar', 'progressbar_list', $key );
		
		$widget->add_inline_editing_attributes( $title_key );
		$widget->add_render_attribute( $title_key, 'class', 'cms-progress-bar-title' );

		$widget->add_render_attribute( $wrapper_key, [
			'class'         => 'cms-progress-wrap',
			'role'          => 'progressbar',
			'aria-valuemin' => '0',
			'aria-valuemax' => '100',
			'aria-valuenow' => $progressbar['percent']['size'],
		] );

		if ( ! empty( $progressbar['progress_type'] ) ) {
			$widget->add_render_attribute( $wrapper_key, 'class', 'progress-' . $progressbar['progress_type'] );
		}

		$widget->add_render_attribute( $progress_bar_key, [
			'class'    => 'cms-progress-bar',
			'data-max' => $progressbar['percent']['size'],
		] );

		if ( ! empty( $progressbar['title'] ) ) { ?>
            <div class="cms-progress-bar-wrap">
            <div <?php echo wp_kses_post( $widget->get_render_attribute_string( $title_key ) ); ?>><?php echo esc_html( $progressbar['title'] ); ?></div>
		<?php } ?>

        <div <?php echo wp_kses_post( $widget->get_render_attribute_string( $wrapper_key ) ); ?>>
            <div <?php echo wp_kses_post( $widget->get_render_attribute_string( $progress_bar_key ) ); ?>>
				<span class="cms-progress-bar-progress-percentage text-14 font-700"><?php echo esc_html( $progressbar['percent']['size'] ); ?>%</span>
			</div>
        </div>
        </div>
	<?php endforeach; ?>
<?php endif; ?>