<?php

use Elementor\Icons_Manager;

$html_id = etc_get_element_id($settings);
$source = $widget->get_setting('source', '');
$orderby = $widget->get_setting('orderby', 'date');
$order = $widget->get_setting('order', 'desc');
$limit = $widget->get_setting('limit', 6);
$post_ids = $widget->get_setting('post_ids', '');

extract(etc_get_posts_of_grid('project', [
    'source' => $source,
    'orderby' => $orderby,
    'order' => $order,
    'limit' => $limit,
    'post_ids' => $post_ids,
]));

$arrows = $widget->get_setting('arrows');
$dots = $widget->get_setting('dots');

$title_tag = $widget->get_setting('title_tag', 'h3');

$thumbnail_size = $widget->get_setting('thumbnail_size', 'full');
$thumbnail_custom_dimension = $widget->get_setting('thumbnail_custom_dimension', '');
if ($thumbnail_size != 'custom') {
    $img_size = $thumbnail_size;
} elseif (!empty($thumbnail_custom_dimension['width']) && !empty($thumbnail_custom_dimension['height'])) {
    $img_size = $thumbnail_custom_dimension['width'] . 'x' . $thumbnail_custom_dimension['height'];
} else {
    $img_size = '600x438';
}
$show_thumbnail = $widget->get_setting('show_thumbnail', 'yes');
$show_post_date = $widget->get_setting('show_post_date', '');
$show_categories = $widget->get_setting('show_categories', '');
$show_title = $widget->get_setting('show_title', '');
$show_featured = $widget->get_setting('show_featured', '');
$show_excerpt = $widget->get_setting('show_excerpt', '');
$num_words = $widget->get_setting('num_words', '');
$readmore_text = $widget->get_setting('readmore_text', '');
?>
<?php if (is_array($posts)) : ?>

    <div id="<?php echo esc_attr($html_id) ?>" class="cms-project-carousel layout1">
        <div class="cms-carousel swiper">
            <div class="swiper-wrapper">
                <?php
                foreach ($posts

                as $post) {
                $author = get_user_by('id', $post->post_author);
                ?>
                <div class="cms-carousel-item swiper-slide">
                    <div class="cms-carousel-item-inner">
                        <div class="item-body">
                            <?php if ($show_categories == 'yes') : ?>
                                <?php if (get_the_term_list($post->ID, 'project-category', '', '')) : ?>
                                    <div class="item-category text-13">
                                        <?php
                                        $j = 0;
                                        $array = get_the_terms($post->ID, 'project-category');
                                        foreach($array as $item) {
                                            if($j < 2) {
                                            ?>
                                            <a href="<?php echo get_term_link($item); ?>"><?php echo esc_html($item->name);?></a>
                                            <?php $j++; ?>
                                            <?php } ?>
                                        <?php } ?>
                                    </div>
                                <?php endif; ?>
                            <?php endif; ?>
                            <?php if ($show_title == 'yes') : ?>
                            <<?php echo wp_kses_post($title_tag); ?> class="item-title">
                            <a href="<?php echo esc_url(get_permalink($post->ID)); ?>">
                                <?php echo esc_attr(get_the_title($post->ID)); ?>
                            </a>
                        </<?php echo wp_kses_post($title_tag); ?>>
                    <?php endif; ?>
                        <?php if ($show_excerpt == 'yes') : ?>
                            <div class="item-content">
                                <?php
                                if (!empty($post->post_excerpt)) {
                                    echo wp_trim_words($post->post_excerpt, $num_words, $more = null);
                                } else {
                                    $content = strip_shortcodes($post->post_content);
                                    $content = apply_filters('the_content', $content);
                                    $content = str_replace(']]>', ']]&gt;', $content);
                                    $content = wp_trim_words($content, $num_words, '&hellip;');
                                    echo wp_kses_post($content);
                                }
                                ?>
                            </div>
                        <?php endif; ?>
                        <?php if ($show_post_date == 'yes') : ?>
                            <div class="item-date">
                                <?php
                                $date_formart = get_option('date_format');
                                echo get_the_date($date_formart, $post->ID);
                                ?>
                            </div>
                        <?php endif; ?>
                    </div>
                </div>
            </div>
            <?php } ?>
        </div>
        <?php if ($arrows == 'yes') : ?>
            <div class="cms-carousel-button-prev">
                <?php
                $icon_settings = $widget->get_settings_for_display('arrow_prev_icon');
                if (empty($icon_settings['value'])) {
                    $icon_settings = [
                        'library' => 'eicons',
                        'value' => 'eicon-chevron-left',
                    ];
                }
                Icons_Manager::render_icon($icon_settings, ['aria-hidden' => 'true']);
                ?>
            </div>
            <div class="cms-carousel-button-next">
                <?php
                $icon_settings = $widget->get_settings_for_display('arrow_next_icon');
                if (empty($icon_settings['value'])) {
                    $icon_settings = [
                        'library' => 'eicons',
                        'value' => 'eicon-chevron-right',
                    ];
                }
                Icons_Manager::render_icon($icon_settings, ['aria-hidden' => 'true']);
                ?>
            </div>
        <?php endif ?>
        <?php if ($dots == 'yes') : ?>
            <div class="cms-carousel-dots"></div>
        <?php endif ?>
    </div>
    </div>
<?php endif; ?>