<?php
use Elementor\Icons_Manager;

$widget->add_render_attribute( 'selected_icon', 'class' );
$has_icon = ! empty( $settings['selected_icon'] );

if ( ! empty( $settings['btn_link']['url'] ) ) {
	$widget->add_render_attribute( 'link', 'href', $settings['btn_link']['url'] );

	if ( $settings['btn_link']['is_external'] ) {
		$widget->add_render_attribute( 'link', 'target', '_blank' );
	}

	if ( $settings['btn_link']['nofollow'] ) {
		$widget->add_render_attribute( 'link', 'rel', 'nofollow' );
	}
}
$link_attributes = $widget->get_render_attribute_string( 'link' );

if ( $has_icon ) {
	$widget->add_render_attribute( 'i', 'class', $settings['selected_icon'] );
	$widget->add_render_attribute( 'i', 'aria-hidden', 'true' );
}

$icon_attributes = $widget->get_render_attribute_string( 'selected_icon' );

//link email
if ( ! empty( $settings['link_email']['url'] ) ) {
	$widget->add_render_attribute( 'email', 'href', $settings['link_email']['url'] );

	if ( $settings['link_email']['is_external'] ) {
		$widget->add_render_attribute( 'email', 'target', '_blank' );
	}

	if ( $settings['link_email']['nofollow'] ) {
		$widget->add_render_attribute( 'email', 'rel', 'nofollow' );
	}
}

//link phone
if ( ! empty( $settings['link_phone']['url'] ) ) {
	$widget->add_render_attribute( 'phone', 'href', $settings['link_phone']['url'] );

	if ( $settings['link_phone']['is_external'] ) {
		$widget->add_render_attribute( 'phone', 'target', '_blank' );
	}

	if ( $settings['link_phone']['nofollow'] ) {
		$widget->add_render_attribute( 'phone', 'rel', 'nofollow' );
	}
}

//link address
if ( ! empty( $settings['link_address']['url'] ) ) {
	$widget->add_render_attribute( 'address', 'href', $settings['link_address']['url'] );

	if ( $settings['link_address']['is_external'] ) {
		$widget->add_render_attribute( 'address', 'target', '_blank' );
	}

	if ( $settings['link_address']['nofollow'] ) {
		$widget->add_render_attribute( 'address', 'rel', 'nofollow' );
	}
}

$widget->add_render_attribute( 'address', 'class', 'cms-quickcontact-address text-body' );
$widget->add_render_attribute( 'email', 'class', 'cms-quickcontact-email text-primary' );
$widget->add_render_attribute( 'phone', 'class', 'cms-quickcontact-phone text-primary' );

$widget->add_inline_editing_attributes( 'title', 'none' );
$widget->add_inline_editing_attributes( 'address' );
$widget->add_inline_editing_attributes( 'email' );
$widget->add_inline_editing_attributes( 'phone' );
$widget->add_inline_editing_attributes( 'btn_text' );

$is_new = \Elementor\Icons_Manager::is_migration_allowed();
?>
<div class="cms-quickcontact-wrap cms-quickcontact-layout1">
    <div class="cms-quickcontact-content">
        <h3 class="cms-quickcontact-title text-secondary text-19 font-500">
			<span <?php echo wp_kses_post( $widget->get_render_attribute_string( 'title' ) ); ?>><?php echo wp_kses_post( $settings['title'] ); ?></span>
        </h3>
		<?php if (!empty($settings['link_address']['url'])) { ?>
		<a <?php echo wp_kses_post( $widget->get_render_attribute_string( 'address' ) ); ?>>
			<?php echo wp_kses_post( $settings['address'] ); ?>
		</a>
		<?php } else { ?>
			<span <?php echo wp_kses_post( $widget->get_render_attribute_string( 'address' ) ); ?>>
				<?php echo wp_kses_post( $settings['address'] ); ?>
			</span>
		<?php } ?>
		<?php if ( ! empty( $settings['email'] ) ) : ?>
			<a <?php echo wp_kses_post( $widget->get_render_attribute_string( 'email' ) ); ?>>
				<i class="cmsi-email"></i>
				<span class="cms-transition"><?php echo esc_attr( $settings['email'] ); ?></span>
			</a>
			<a <?php echo wp_kses_post( $widget->get_render_attribute_string( 'phone' ) ); ?>>
				<i class="cmsi-phone-alt"></i>
				<span class="cms-transition"><?php echo esc_attr( $settings['phone'] ); ?></span>
			</a>
		<?php endif; ?>
    </div>
</div>