<?php
use Elementor\Icons_Manager;

$widget->add_render_attribute( 'selected_icon', 'class' );
$has_icon = ! empty( $settings['selected_icon'] );

if ( ! empty( $settings['btn_link']['url'] ) ) {
	$widget->add_render_attribute( 'link', 'href', $settings['btn_link']['url'] );

	if ( $settings['btn_link']['is_external'] ) {
		$widget->add_render_attribute( 'link', 'target', '_blank' );
	}

	if ( $settings['btn_link']['nofollow'] ) {
		$widget->add_render_attribute( 'link', 'rel', 'nofollow' );
	}
}
$link_attributes = $widget->get_render_attribute_string( 'link' );

if ( $has_icon ) {
	$widget->add_render_attribute( 'i', 'class', $settings['selected_icon'] );
	$widget->add_render_attribute( 'i', 'aria-hidden', 'true' );
}

$icon_attributes = $widget->get_render_attribute_string( 'selected_icon' );

//link email
if ( ! empty( $settings['link_email']['url'] ) ) {
	$widget->add_render_attribute( 'email', 'href', $settings['link_email']['url'] );

	if ( $settings['link_email']['is_external'] ) {
		$widget->add_render_attribute( 'email', 'target', '_blank' );
	}

	if ( $settings['link_email']['nofollow'] ) {
		$widget->add_render_attribute( 'email', 'rel', 'nofollow' );
	}
}

//link phone
if ( ! empty( $settings['link_phone']['url'] ) ) {
	$widget->add_render_attribute( 'phone', 'href', $settings['link_phone']['url'] );

	if ( $settings['link_phone']['is_external'] ) {
		$widget->add_render_attribute( 'phone', 'target', '_blank' );
	}

	if ( $settings['link_phone']['nofollow'] ) {
		$widget->add_render_attribute( 'phone', 'rel', 'nofollow' );
	}
}

//link address
if ( ! empty( $settings['link_address']['url'] ) ) {
	$widget->add_render_attribute( 'address', 'href', $settings['link_address']['url'] );

	if ( $settings['link_address']['is_external'] ) {
		$widget->add_render_attribute( 'address', 'target', '_blank' );
	}

	if ( $settings['link_address']['nofollow'] ) {
		$widget->add_render_attribute( 'address', 'rel', 'nofollow' );
	}
}

$widget->add_render_attribute( 'email', 'class', $settings['text_color'] . ' cms-quickcontact-item cms-quickcontact-email gap-10 d-flex align-items-center');
$widget->add_render_attribute( 'phone', 'class', $settings['text_color'] . ' cms-quickcontact-item cms-quickcontact-phone gap-10 d-flex align-items-center');
$widget->add_render_attribute( 'address', 'class', $settings['text_color'] . ' cms-quickcontact-item cms-quickcontact-address gap-10 d-flex align-items-center');

$widget->add_inline_editing_attributes( 'email' );
$widget->add_inline_editing_attributes( 'phone' );
$widget->add_inline_editing_attributes( 'address' );

$is_new = \Elementor\Icons_Manager::is_migration_allowed();
?>
<div class="cms-quickcontact-wrap cms-quickcontact-layout2">
    <div class="cms-quickcontact-content gap-30 align-items-center">
        <?php if ( ! empty( $settings['phone'] ) ) : ?>
            <a <?php echo wp_kses_post( $widget->get_render_attribute_string( 'phone' ) ); ?>>
                <i class="cmsi-phone-alt text-primary"></i>
                <span class="cms-transition"><?php echo esc_attr( $settings['phone'] ); ?></span>
            </a>
        <?php endif; ?>
		
        <?php if ( ! empty( $settings['email'] ) ) : ?>
            <a <?php echo wp_kses_post( $widget->get_render_attribute_string( 'email' ) ); ?>>
                <i class="cmsi-email text-primary"></i>
                <span class="cms-transition"><?php echo esc_attr( $settings['email'] ); ?></span>
            </a>
        <?php endif; ?>
		
        <?php if ( ! empty( $settings['address'] ) ) : ?>
            <a <?php echo wp_kses_post( $widget->get_render_attribute_string( 'address' ) ); ?>>
                <i class="cmsi-map-marker text-primary"></i>
                <span class="cms-transition"><?php echo esc_attr( $settings['address'] ); ?></span>
            </a>
		<?php endif; ?>
    </div>
</div>