<?php

use Elementor\Icons_Manager;

$html_id = etc_get_element_id($settings);
$source = $widget->get_setting('source', '');
$tag = $widget->get_setting('groupby', '');
if ($tag) {
    $source = [$tag];
}
$orderby = $widget->get_setting('orderby', 'date');
$order = $widget->get_setting('order', 'desc');
$limit = $widget->get_setting('limit', 6);
$post_ids = $widget->get_setting('post_ids', '');

extract(etc_get_posts_of_grid('service', [
    'source' => $source,
    'orderby' => $orderby,
    'order' => $order,
    'limit' => $limit,
    'post_ids' => $post_ids,
    'post_status' => 'publish',
]));

$arrows = $widget->get_setting('arrows');
$dots = $widget->get_setting('dots');

$title_tag = $widget->get_setting('title_tag', 'h3');

$show_post_date = $widget->get_setting('show_post_date', '');
$show_categories = $widget->get_setting('show_categories', 'no');
$show_title = $widget->get_setting('show_title', '');
$show_featured = $widget->get_setting('show_featured', '');
$show_excerpt = $widget->get_setting('show_excerpt', '');
$num_words = $widget->get_setting('num_words', 200);
$readmore_text = $widget->get_setting('readmore_text', '');

$exclude = $widget->get_setting('exclude', '');
$tmp = explode('|', $exclude);
if (isset($tmp[0]) && isset($tmp[1])) {
    $exclude = $tmp[0];
} else {
    $exclude = '';
}
?>
<?php if (is_array($posts)) : ?>
    <div id="<?php echo esc_attr($html_id) ?>" class="cms-service-carousel cms-service-carousel-layout1">
        <div class="cms-carousel swiper cms-shadow-5">
            <div class="swiper-wrapper">
            <?php
            $_w_default = '600';
            $_h_default = '438';
            $_w_size = 0;
            $_h_size = 0;

            $thumbnail_size = $widget->get_setting('thumbnail_size', 'full');
            $thumbnail_custom_dimension = $widget->get_setting('thumbnail_custom_dimension', '');

            foreach ($posts as $post):
                $image = wp_get_attachment_image_src(get_post_thumbnail_id($post->ID),$thumbnail_size);

                if(isset($image) && is_array($image) && !empty($image)) {
                    if ($image[2] > $_h_size) {
                        $_w_size = $image[1];
                        $_h_size = $image[2];
                    }
                }
            endforeach;

            foreach ($posts as $post) {
                $author = get_user_by('id', $post->post_author);

                //calculate size
                if ($thumbnail_size != 'custom') {
                    $img_size = $thumbnail_size;

                    $width = get_option( $thumbnail_size.'_size_w' );
                    $height = get_option( $thumbnail_size.'_size_h' );
                
                    if ($thumbnail_size == '1536x1536' || $thumbnail_size == '2048x2048') {
                        $array = explode('x',$thumbnail_size);
                        $width = $array[0];
                        $height = $array[1];
                    }
                    
                    if (empty($height) || $height == '' || $height == 0) {
                        $img_size = $_w_size.'x'.$_h_size;

                        $image = wp_get_attachment_image_src(get_post_thumbnail_id($post->ID),$thumbnail_size);//print_r($image);

                        if(isset($image) && is_array($image) && !empty($image)) {
                            //$img_size = $image[1].'x'.$_h_size;

                            if ($_h_size <= $_h_default && $_h_size <= 300) {
                                $img_size = $_w_default.'x'.$_h_default;
    
                                $params = array(
                                    'width' => $_w_default,
                                    'height' => $_h_default
                                );
    
                                $settings['thumbnail_size'] = 'custom';
                            } else {
                                $params = array(
                                    'width' => $_w_size,
                                    'height' => $_h_size
                                );
                            }
                        } else {
                            if ($_h_default <= $_h_size) {
                                $_h_default = $_h_size;
                            }

                            $params = array(
                                'width' => $_w_default,
                                'height' => $_h_default
                            );
                        }
                    } else {
                        if ($width <= get_option( 'thumbnail_size_w' )) {
                            $width = $_w_default;
                        }
                        if ($height <= get_option( 'thumbnail_size_h' )) {
                            $height = $_h_default;

                            $settings['thumbnail_size'] = 'custom';

                            $img_size = $width.'x'.$height;
                        }
                
                        $params = array(
                            'width' => $width,
                            'height' => $height
                        );
                    }
                } elseif (!empty($thumbnail_custom_dimension['width']) && !empty($thumbnail_custom_dimension['height'])) {
                    $img_size = $thumbnail_custom_dimension['width'] . 'x' . $thumbnail_custom_dimension['height'];

                    $params = array(
                        'width' => $thumbnail_custom_dimension['width'],
                        'height' => $thumbnail_custom_dimension['height']
                    );
                } else {
                    $img_size = $_w_default.'x'.$_h_default;
    
                    $params = array(
                        'width' => $_w_default,
                        'height' => $_h_default
                    );

                    $settings['thumbnail_custom_dimension'] = ['width' => $_w_default, 'height' => $_h_default];
                }
                ?>
                <div class="cms-carousel-item swiper-slide cms-shadow-6">
                    <div class="cms-carousel-item-inner">
                        <div class="item-featured" style="--min-height: <?php echo esc_html($params['height']);?>px;">
                            <?php if (has_post_thumbnail($post->ID) && wp_get_attachment_image_src(get_post_thumbnail_id($post->ID), false)) : ?>
                            <?php
                            $img_id = get_post_thumbnail_id($post->ID);
                            $img = etc_get_image_by_size(array(
                                'attach_id' => $img_id,
                                'thumb_size' => $img_size,
                                'class' => '',
                            ));

                            $thumbnail = '<img decoding="async" class="cms-transition" src="'.$img['p_img_large'][0].'" loading="lazy" />';
                            
                            else :
                            
                            $src = Elementor\Utils::get_placeholder_image_src();
                            $src = get_template_directory_uri() . '/assets/images/elementor/jasper-garratt-hori-600x438.jpg';

                            if ($src == '') {
                                $src = get_template_directory_uri().'/assets/images/placeholder.png';
                            }
                            
                            $thumbnail = '<img decoding="async" width="'.$params['width'].'" height="'.$params['height'].'" src="'.$src.'" loading="lazy" />';
                            ?>
                            <?php endif ?>

                            <?php echo wp_kses_post($thumbnail); ?>

                            <?php if ($show_categories == 'yes') : ?>
                            <?php if (get_the_term_list($post->ID, 'service-category', '', '')) : ?>
                                <div class="item-category text-13 text-white p-lr-15 bg-primary">
                                    <?php the_terms($post->ID, 'service-category', '', ', '); ?>
                                </div>
                            <?php endif; ?>
                            <?php endif; ?>
                        </div>
                        <?php if ($show_title == 'yes' || $show_excerpt == 'yes') : ?>
                        <div class="item-body d-flex flex-direction-column gap-16 relative cms-transition">
                            <?php if ($show_title == 'yes') : ?>
                                <<?php echo wp_kses_post($title_tag); ?> class="item-title">
                                <a href="<?php echo esc_url(get_permalink($post->ID)); ?>">
                                    <?php
                                    $title = get_the_title($post->ID);
                                    $title = esc_attr($title);
                                    echo esc_html($title);
                                    ?>
                                </a>
                                </<?php echo wp_kses_post($title_tag); ?>>
                            <?php endif; ?>
                            <?php if ($show_excerpt == 'yes') : ?>
                                <div class="item-content">
                                    <?php
                                    if (!empty($post->post_excerpt)) {
                                        $content = wp_trim_words($post->post_excerpt, $num_words, $more = null);
                                        echo substr($content, 0, $num_words).'...';
                                    } else {
                                        $content = strip_shortcodes($post->post_content);
                                        $content = str_replace(']]>', ']]&gt;', $content);
                                        $content = wp_trim_words($content, $num_words, '&hellip;');
                                        $content = substr($content, 0, $num_words).'...';
                                        echo wp_kses_post($content);
                                    }
                                    ?>
                                </div>
                            <?php endif; ?>
                            <?php if ($show_post_date == 'yes') : ?>
                                <div class="item-date">
                                    <?php
                                    $date_formart = get_option('date_format');
                                    echo get_the_date($date_formart, $post->ID);
                                    ?>
                                </div>
                            <?php endif; ?>
                        </div>
                        <?php endif; ?>
                        <div class="item-readmore absolute d-flex justify-content-center">
                            <a href="<?php echo esc_url(get_permalink($post->ID));?>" class="d-flex align-items-center flex-direction-column gap-10 text-15 text-heading font-bold">
                                <span class="the-link-readmore cmsi-plus radius-100 bg-secondary text-white text-11"></span>
                            </a>
                        </div>
                    </div>
                </div>
            <?php } ?>
            </div>
        </div>
        <div class="cms-carousel-tool">
            <?php if ($dots == 'yes') : ?>
                <div class="cms-carousel-dots"></div>
            <?php endif ?>
            <?php if ($arrows == 'yes') : ?>
                <div class="cms-carousel-button d-flex flex-nowrap absolute gap-20 text-10">
                    <div class="cms-carousel-button-prev d-flex align-items-center justify-content-center text-center text-secondary cursor-pointer radius-100 cms-transition">
                        <?php
                        $icon_settings = $widget->get_settings_for_display('arrow_prev_icon');
                        if (empty($icon_settings['value'])) {
                            $icon_settings = [
                                'library' => 'eicons',
                                'value' => 'cmsi-arrow-left',
                            ];
                        }
                        Icons_Manager::render_icon($icon_settings, ['aria-hidden' => 'true']);
                        ?>
                    </div>
                    <div class="cms-carousel-button-next d-flex align-items-center justify-content-center text-center text-secondary cursor-pointer radius-100 cms-transition">
                        <?php
                        $icon_settings = $widget->get_settings_for_display('arrow_next_icon');
                        if (empty($icon_settings['value'])) {
                            $icon_settings = [
                                'library' => 'eicons',
                                'value' => 'cmsi-arrow-right',
                            ];
                        }
                        Icons_Manager::render_icon($icon_settings, ['aria-hidden' => 'true']);
                        ?>
                    </div>
                </div>
            <?php endif ?>
        </div>
    </div>
<?php endif; ?>