<?php

use Elementor\Icons_Manager;

$html_id = etc_get_element_id($settings);
$source = $widget->get_setting('source', '');
$orderby = $widget->get_setting('orderby', 'date');
$order = $widget->get_setting('order', 'desc');
$limit = $widget->get_setting('limit', 6);
$post_ids = $widget->get_setting('post_ids', '');

extract(etc_get_posts_of_grid('service', [
    'source' => $source,
    'orderby' => $orderby,
    'order' => $order,
    'limit' => $limit,
    'post_ids' => $post_ids,
    'post_status' => 'publish'
]));

$arrows = $widget->get_setting('arrows');
$dots = $widget->get_setting('dots');
$cta = $widget->get_setting('cta', 'yes');

$title_tag = $widget->get_setting('title_tag', 'h3');


$_w_default = '400';
$_h_default = '542';

//thumbnail size
$thumbnail_size = $widget->get_setting('thumbnail_size', 'full');
$thumbnail_custom_dimension = $widget->get_setting('thumbnail_custom_dimension', '');
if ($thumbnail_size != 'custom') {
    $img_size = $thumbnail_size;

    $width = get_option( $thumbnail_size.'_size_w' );
    $height = get_option( $thumbnail_size.'_size_h' );

    if ($thumbnail_size == '1536x1536' || $thumbnail_size == '2048x2048') {
        $array = explode('x',$thumbnail_size);
        $width = $array[0];
        $height = $array[1];
    }

    if (empty($height) || $height == '' || $height == 0) {
        if(isset($posts[0]->ID)) {
            $image = wp_get_attachment_image_src(get_post_thumbnail_id($posts[0]->ID),$thumbnail_size);
            if(isset($image) && is_array($image) && !empty($image)) {
                $params = array(
                    'width' => $image[1],
                    'height' => $image[2]
                );
            } else {
                if ($width <= get_option( 'thumbnail_size_w' )) {
                    $width = $_w_default;
                }
                if ($height <= get_option( 'thumbnail_size_h' )) {
                    $height = $_h_default;
                }
                
                $params = array(
                    'width' => $_w_default,
                    'height' => $_h_default
                );
            }
        } else {
            $params = array(
                'width' => $_w_default,
                'height' => $_h_default
            );
        }
    } else {
        if ($width <= get_option( 'thumbnail_size_w' )) {
            $width = $_w_default;
        }
        if ($height <= get_option( 'thumbnail_size_h' )) {
            $height = $_h_default;
        }

        $params = array(
            'width' => $width,
            'height' => $height
        );
    }
} elseif (!empty($thumbnail_custom_dimension['width']) && !empty($thumbnail_custom_dimension['height'])) {
    $img_size = $thumbnail_custom_dimension['width'] . 'x' . $thumbnail_custom_dimension['height'];

    $params = array(
        'width' => $thumbnail_custom_dimension['width'],
        'height' => $thumbnail_custom_dimension['height']
    );
} else {
    $img_size = $_w_default.'x'.$_h_default;
    
    $params = array(
        'width' => $_w_default,
        'height' => $_h_default
    );
    $settings['thumbnail_custom_dimension'] = ['width' => $_w_default, 'height' => $_h_default];
}

$show_thumbnail = $widget->get_setting('show_thumbnail', 'yes');
$show_post_date = $widget->get_setting('show_post_date', '');
$show_categories = $widget->get_setting('show_categories', '');
$show_title = $widget->get_setting('show_title', '');
$show_featured = $widget->get_setting('show_featured', '');
$show_excerpt = $widget->get_setting('show_excerpt', '');
$num_words = $widget->get_setting('num_words', 25);
$readmore_text = $widget->get_setting('readmore_text', '');
?>
<?php if (is_array($posts)) : ?>

    <div id="<?php echo esc_attr($html_id) ?>" class="cms-service-carousel cms-service-carousel-layout2">
        <div class="cms-carousel swiper">
            <div class="swiper-wrapper">
                <?php
                foreach ($posts as $post) {
                $author = get_user_by('id', $post->post_author);
                ?>
                <div class="cms-carousel-item swiper-slide d-flex flex-direction-column relative bg-white">
                    <?php if (has_post_thumbnail($post->ID) && wp_get_attachment_image_src(get_post_thumbnail_id($post->ID), false) && $show_thumbnail == 'yes') : ?>
                        <?php
                        $img_id = get_post_thumbnail_id($post->ID);
                        $img = etc_get_image_by_size(array(
                            'attach_id' => $img_id,
                            'thumb_size' => $img_size,
                            'class' => 'radius-150',
                        ));
                        $thumbnail = '<img decoding="async" class="cms-transition radius-150" src="'.$img['p_img_large'][0].'" loading="lazy" />';
                    
                    elseif ($thumbnail == '') :
                        $src = Elementor\Utils::get_placeholder_image_src();
                        $src = get_template_directory_uri() . '/assets/images/elementor/jasper-garratt-hori-600x438.jpg';
                        
                        if($src == '') {
                            $src = get_template_directory_uri().'/assets/images/placeholder.png';
                        }
                        
                        $thumbnail = '<img decoding="async" width="400" class="radius-150" height="542" src="'.$src.'" loading="lazy" />';
                    endif ?>

                    <div class="item-image-overlay absolute r-0 l-0 b-0 bg-primary"><?php echo wp_kses_post($thumbnail);?></div>
                    <div class="item-overlay cms-transition absolute d-flex align-items-center justify-content-center t-0 r-0 l-0 b-0 bg-primary"></div>

                    <div class="item-featured relative d-flex align-items-center justify-content-center text-center cms-transition">
                        <div class="item-image">
                            <a href="<?php echo esc_url(get_permalink($post->ID)); ?>"><?php echo wp_kses_post($thumbnail); ?></a>
                        </div>

                        <div class="item-icon-top cms-transition absolute d-flex align-items-start t-0 r-0 l-0 b-0">
                            <?php 
                            $icon = get_post_meta($post->ID, 'icon', true);
                            $array['value'] = $icon;
                            $array['library'] = 'cmsi-validus';

                            if(!is_array($array) || !$array || $array['value'] == '') {
                                $array['value'] = 'validus-icon-gear';
                                $array['library'] = 'validusicon';
                            }
                            ?>
                            <?php \Elementor\Icons_Manager::render_icon( $array, [ 'aria-hidden' => 'true', 'class' => 'cms-transition d-flex align-items-center justify-content-center text-center text-white text-65' ] ); ?>
                        </div>
                        <div class="item-icon absolute d-flex align-items-center justify-content-center text-center cms-transition">
                            <?php 
                            $icon = get_post_meta($post->ID, 'icon', true);
                            $array['value'] = $icon;
                            $array['library'] = 'cmsi-validus';

                            if(!is_array($array) || !$array || $array['value'] == '') {
                                $array['value'] = 'validus-icon-gear';
                                $array['library'] = 'validusicon';
                            }
                            ?>
                            <?php \Elementor\Icons_Manager::render_icon( $array, [ 'aria-hidden' => 'true', 'class' => 'cms-transition d-flex align-items-center justify-content-center text-center text-white text-65 radius-100 bg-primary' ] ); ?>
                        </div>
                    </div>
                    <div class="item-body">
                        <?php if ($show_title == 'yes') : ?>
                            <?php
                            $title = get_the_title($post->ID);
                            $title = esc_attr($title);
                            if (!empty($title)) :
                            ?>
                                <<?php echo wp_kses_post($title_tag); ?> class="item-title font-500 mt-11">
                                <a href="<?php echo esc_url(get_permalink($post->ID)); ?>" class="cms-transition">
                                    <?php echo esc_html($title);?>
                                </a>
                                </<?php echo wp_kses_post($title_tag); ?>>
                            <?php endif;?>
                        <?php endif; ?>
                        <?php if ($show_excerpt == 'yes') : ?>
                            <div class="item-content cms-transition d-flex flex-initial justify-content-end text-15 mt-20">
                                <span class="text-line-4">
                                    <?php
                                    if (!empty($post->post_excerpt)) {
                                        echo wp_trim_words($post->post_excerpt, $num_words, $more = null);
                                    } else {
                                        $content = strip_shortcodes($post->post_content);
                                        $content = str_replace(']]>', ']]&gt;', $content);
                                        $content = wp_trim_words($content, $num_words, '&hellip;');
                                        echo wp_kses_post($content);
                                    }
                                    ?>
                                </span>
                                <a href="<?php echo esc_url(get_permalink($post->ID)); ?>" class="btn-icon d-flex align-items-center">
                                    <i class="cmsi-chevron-right cms-transition d-inline-flex align-items-center justify-content-center text-center text-11 text-white bg-secondary radius-100"></i>
                                </a>
                            </div>
                        <?php endif; ?>
                        <?php if ($show_post_date == 'yes') : ?>
                            <div class="item-date">
                                <?php
                                $date_formart = get_option('date_format');
                                echo get_the_date($date_formart, $post->ID);
                                ?>
                            </div>
                        <?php endif; ?>
                    </div>
                </div>
                <?php } ?>
            </div>

            <?php if ($cta == 'yes') : ?>
            <div class="cms-service-carousel-cta d-flex">
                <div class="cms-service-carousel-cta-container">
                    <?php if (!empty($settings['cta_text'])) : ?>
                    <span class="cms-service-carousel-cta-text font-700"><?php echo esc_html($settings['cta_text']);?></span>
                    <?php endif;?>

                    <?php if (!empty($settings['cta_name'])) : ?>
                        <a href="<?php echo esc_html($settings['cta_name_link']['url']);?>" class="cms-service-carousel-cta-name font-700 text-primary">
                            <?php echo esc_html($settings['cta_name']);?>
                        </a>
                    <?php endif;?>
                </div>
            </div>
            <?php endif ?>
        </div>

        <div class="cms-carousel-tool d-flex flex-nowrap align-items-center">
            <?php if ($dots == 'yes') : ?>
                <div class="cms-carousel-dots"></div>
            <?php endif ?>
            <?php if ($arrows == 'yes') : ?>
                <div class="cms-carousel-button d-flex flex-nowrap cursor-pointer gap-30">
                    <div class="cms-carousel-button-prev d-flex align-items-center justify-content-center text-center text-secondary cursor-pointer radius-100">
                        <?php
                        $icon_settings = $widget->get_settings_for_display('arrow_prev_icon');
                        if (empty($icon_settings['value'])) {
                            $icon_settings = [
                                'library' => 'eicons',
                                'value' => 'cmsi-arrow-left',
                            ];
                        }
                        Icons_Manager::render_icon($icon_settings, ['aria-hidden' => 'true']);
                        ?>
                    </div>
                    <div class="cms-carousel-button-next d-flex align-items-center justify-content-center text-center text-secondary cursor-pointer radius-100">
                        <?php
                        $icon_settings = $widget->get_settings_for_display('arrow_next_icon');
                        if (empty($icon_settings['value'])) {
                            $icon_settings = [
                                'library' => 'eicons',
                                'value' => 'cmsi-arrow-right',
                            ];
                        }
                        Icons_Manager::render_icon($icon_settings, ['aria-hidden' => 'true']);
                        ?>
                    </div>
                </div>
            <?php endif ?>
        </div>
    </div>
<?php endif; ?>