<?php
$default_settings = [
	'image'       => '',
	'img_link'    => '',
];
$settings         = array_merge( $default_settings, $settings );
extract( $settings );
$html_id = etc_get_element_id( $settings );

if ( ! empty( $img_link['url'] ) ) {
	$widget->add_render_attribute( 'image', 'href', $img_link['url'] );

	if ( $img_link['is_external'] ) {
		$widget->add_render_attribute( 'image', 'target', '_blank' );
	}

	if ( $img_link['nofollow'] ) {
		$widget->add_render_attribute( 'image', 'rel', 'nofollow' );
	}
}

$widget->add_render_attribute( 'image', 'class', 'cms-single-image-tag' );

/************************************** IMAGE **************************************/
$_w_default = '400';
$_h_default = '267';

$thumbnail_size = $widget->get_setting('thumbnail_size', 'full');
$thumbnail_custom_dimension = $widget->get_setting('thumbnail_custom_dimension', ['width' => $_w_default, 'height' => $_h_default]);
if ($thumbnail_size != 'custom') {
    $img_size = $thumbnail_size;

	$_size_w = get_option( $thumbnail_size.'_size_w' );
	$_size_h = get_option( $thumbnail_size.'_size_h' );

	if (isset($settings['image']['id'])) {
		$image = wp_get_attachment_image_src($settings['image']['id'],$thumbnail_size);

		if (is_array($image) && !empty($image)) {
			$_width = $image[1];
			$_height = $image[2];

			if ($_width < $_size_w) {
				$width = $_size_w;
			} else {
				$width = $_width;
			}

			if ($_height < $_size_h) {
				$height = $_size_h;
			} else {
				$height = $_height;
			}
		} else {
			$width = $_size_w;
			$height = $_size_h;
		}
	} else {
		$width = $_size_w;
		$height = $_size_h;
	}

	if ($thumbnail_size == '1536x1536' || $thumbnail_size == '2048x2048') {
		$array = explode('x',$thumbnail_size);
		$width = $array[0];
		$height = $array[1];
	}

	$_size_w = get_option( 'large_size_w' );
	$_size_h = get_option( 'large_size_h' );

	if ($width == '') {
		$width = $_size_w;
	}
	if ($height == '') {
		$height = $_size_h;
	}

	if ($thumbnail_size == 'full') {
		$height = '';
	}

	$params = array(
		'width' => $width,
		'height' => $height
	);
} elseif (!empty($thumbnail_custom_dimension['width']) && !empty($thumbnail_custom_dimension['height'])) {
    $img_size = $thumbnail_custom_dimension['width'] . 'x' . $thumbnail_custom_dimension['height'];

	$params = array(
        'width' => $thumbnail_custom_dimension['width'],
        'height' => $thumbnail_custom_dimension['height']
    );
} else {
    $img_size = $_w_default.'x'.$_h_default;

	$params = array(
        'width' => $_w_default,
        'height' => $_h_default
    );

    $settings['thumbnail_custom_dimension'] = $params;
}

$max_height = $params['height'].'px';

$thumbnail = '';


/************************************** STAMP **************************************/
$thumbnail_size = $widget->get_setting('thumbstamp_size', 'full');
$thumbnail_custom_dimension = $widget->get_setting('thumbstamp_custom_dimension', ['width' => $_w_default, 'height' => $_h_default]);
if ($thumbnail_size != 'custom') {
    $img_size = $thumbnail_size;
} elseif (!empty($thumbnail_custom_dimension['width']) && !empty($thumbnail_custom_dimension['height'])) {
    $img_size = $thumbnail_custom_dimension['width'] . 'x' . $thumbnail_custom_dimension['height'];
} else {
    $img_size = $_w_default.'x'.$_h_default;
}

$stamp = '';

$img = etc_get_image_by_size( array(
	'attach_id'  => $stamp_image['id'],
	'thumb_size' => $img_size,
	'class'      => '',
) );

if(isset($img['p_img_large'])) {
	$stamp = $img['p_img_large'][0];
}


//******************************************************************************
$image_url = \Elementor\Group_Control_Image_Size::get_attachment_image_src( $settings['image']['id'], 'thumbnail', $settings );

if(!empty($settings['image']['id'])) {
	$src = $image_url;

	$class = !empty($stamp) ? 'class="width-100"' : '';
	$thumbnail = '<img style="--max-height: '.$max_height.'" decoding="async" src="'.$image_url.'" '.$class.' loading="lazy" />';
}
//*******************************************************************************


if (empty($settings['image']['id'] && ! empty( $settings['image']['url']))) {
	$src = $settings['image']['url'];
	
	$class = !empty($stamp) ? ' class="width-100" ' : '';
	$thumbnail = '<img style="--max-height: '.$max_height.'" decoding="async" '.$class.' width="'.$params['width'].'" height="'.$params['height'].'" src="'.$src.'" loading="lazy" />';
}
//

$show_overlay = $widget->get_settings( 'show_overlay', 'no' );
$show_rotate = $widget->get_settings( 'show_rotate', 'no' );
$class = $settings['use_background'] == 'yes' ? 'background':'';

$widget->add_render_attribute( 'container', 'style', '--min-height: 40px;' );//300px
$widget->add_render_attribute( 'container', 'class', 'cms-single-image-container' );
?>
<div class="cms-single-image-wrap <?php echo esc_html($class);?> <?php if (! empty($settings['align'])) { echo wp_kses_post('text-'.$settings['align']); } ?>">
	<div <?php echo wp_kses_post( $widget->get_render_attribute_string( 'container' ) ); ?>>
	<?php
	if ($settings['use_background'] == 'yes') {
		$style = 'background-image: url("'.$src.'");';

		$widget->add_render_attribute( 'image', 'style', $style );
		$widget->add_render_attribute( 'image', 'class', 'cms-single-image-bg' );
	?>
		<?php if($show_overlay == 'yes') { ?>
		<div class="cms-single-image-overlay"></div>
		<?php } ?>

		<?php if ( ! empty( $img_link['url'] ) ) { ?>
			<a <?php echo wp_kses_post( $widget->get_render_attribute_string( 'image' ) ); ?>></a>
		<?php } else { ?>
			<div <?php echo wp_kses_post( $widget->get_render_attribute_string( 'image' ) ); ?>></div>
		<?php } ?>

		<?php 
		if(!empty($stamp)) {
			$cls = $show_rotate == 'yes' ? 'show-rotate' : '';
		?>
		<div class="cms-single-image-stamp <?php echo esc_html($cls);?>">
			<img src="<?php echo esc_html($stamp);?>" />
		</div>
		<?php } ?>
	<?php } else { ?>
		<?php if($show_overlay == 'yes') { ?>
		<div class="cms-single-image-overlay"></div>
		<?php } ?>

		<?php if ( ! empty( $img_link['url'] ) ) { ?>
			<a <?php echo wp_kses_post( $widget->get_render_attribute_string( 'image' ) ); ?>>
		<?php } ?>
			<?php echo wp_kses_post( $thumbnail ); ?>
		<?php if ( ! empty( $img_link['url'] ) ) { ?>
			</a>
		<?php } ?>

		<?php
		if(!empty($stamp)) {
			$cls = $show_rotate == 'yes' ? 'show-rotate' : '';
		?>
		<div class="cms-single-image-stamp <?php echo esc_html($cls);?>">
			<img src="<?php echo esc_html($stamp);?>" />
		</div>
		<?php } ?>
	<?php } ?>
	</div>
</div>