<?php
use Elementor\Group_Control_Image_Size;
use Elementor\Controls_Manager;
use Elementor\Control_Media;
use Elementor\Icons_Manager;

$class = new class($widget) {
	public $_settings;
	public $_widget;
	
	public function __construct($widget) {
		$this->_settings = $widget->get_settings_for_display();
		$this->_widget = $widget;
	}
};

$header_transparent = validus_get_opts( 'header_transparent', false, 'header_custom');
if(is_search()) {
    $header_transparent = validus_get_opt( 'header_transparent', false );
}

if ( $header_transparent == 'on' ) {
    $transparent = 'header-transparent ';
} else {
    $transparent = '';
}

$cms_slides = $widget->get_setting('cms_slides', []);
$arrows = $widget->get_setting('arrows', '');
$dots = $widget->get_setting('dots', '');
$style = $widget->get_setting('style', 'style1');

$adjust = $widget->get_setting('adjust_slides_height', '');
$adjust_mobile = $widget->get_setting('adjust_slides_height_mobile', '');
$adjust_mobile_extra = $widget->get_setting('adjust_slides_height_mobile_extra', '');
$adjust_tablet = $widget->get_setting('adjust_slides_height_tablet', '');
$adjust_tablet_extra = $widget->get_setting('adjust_slides_height_tablet_extra', '');
$adjust_laptop = $widget->get_setting('adjust_slides_height_laptop', '');

$_adjust = '';

if (empty($adjust) && $adjust == '') {
    $_adjust .= 'cms-slider-adjust';
} 
if (empty($adjust_laptop)) {
    $_adjust .= ' cms-slider-adjust-laptop';
}
if (empty($adjust_tablet_extra)) {
    $_adjust .= ' cms-slider-adjust-tablet-extra';
}
if (empty($adjust_tablet)) {
    $_adjust .= ' cms-slider-adjust-tablet';
}
if (empty($adjust_mobile_extra)) {
    $_adjust .= ' cms-slider-adjust-mobile-extra';
}
if (empty($adjust_mobile)) {
    $_adjust .= ' cms-slider-adjust-mobile';
}

$widget->add_render_attribute( 'wrap', 'class', 'cms-slider-wrap cms-slider-layout4 ' . $transparent . esc_attr($style) . ' ' . $_adjust);

$widget->add_inline_editing_attributes( 'btn_text' );

$thumbnail_size = $widget->get_setting('thumbnail_size', 'full');
$thumbnail_custom_dimension = $widget->get_setting('thumbnail_custom_dimension', '');
if ($thumbnail_size != 'custom') {
    $img_size = $thumbnail_size;
} elseif (!empty($thumbnail_custom_dimension['width']) && !empty($thumbnail_custom_dimension['height'])) {
    $img_size = $thumbnail_custom_dimension['width'] . 'x' . $thumbnail_custom_dimension['height'];
} else {
    $img_size = '1600x800';

    $settings['thumbnail_custom_dimension'] = ['width' => '1600', 'height' => '800'];
}
?>
<div <?php echo wp_kses_post( $widget->get_render_attribute_string( 'wrap' ) ); ?>>
    <div class="cms-carousel swiper d-flex align-items-center">
        <div class="swiper-wrapper">
            <?php
            foreach ($cms_slides as $key => $cms_slide) {
                $settings['thumb1_size'] = '240x175';
                $settings['thumb1_custom_dimension'] = ['width' => '240', 'height' => '175'];
                $box_image1 = \Elementor\Group_Control_Image_Size::get_attachment_image_src( $cms_slide['box_image1']['id'], 'thumb1', $settings );
                if ($box_image1 == '') {
                    $box_image1 = $cms_slide['box_image1']['url'];
                }

                $settings['thumb2_size'] = '240x175';
                $settings['thumb2_custom_dimension'] = ['width' => '240', 'height' => '175'];
                $box_image2 = \Elementor\Group_Control_Image_Size::get_attachment_image_src( $cms_slide['box_image2']['id'], 'thumb2', $settings );
                if ($box_image2 == '') {
                    $box_image2 = $cms_slide['box_image2']['url'];
                }
                ?>
                <div class="cms-carousel-item elementor-repeater-item-<?php echo esc_html($cms_slide['_id']);?> swiper-slide d-flex align-items-center">
                    <div class="swiper-slide-bg"></div>
                    <div class="cms-slider-item-overlay cms-transition absolute d-flex align-items-center justify-content-center t-0 r-0 l-0 b-0"></div>
                    
                    <div class="cms-slider-top-space"></div>
	                <div class="cms-slider-top-last"></div>

                    <div class="cms-slider-content w-ptt-pt absolute p-lr-tablet-extra-115 pt-230 pt-tablet-extra-0 p-lr-tablet-landscape-100 p-lr-mobile-0">
                        <div class="container">
                            <div class="cms-slider-top">
                                <?php if (isset($cms_slide['title']) && !empty($cms_slide['title'])) { ?>
                                    <div class="cms-slider-item-title text-17 text-white font-600 mb-15" data-cms-animation="title_animation" data-cms-animation-delay="title_animation_delay">
                                        <?php echo esc_html($cms_slide['title']); ?>
                                    </div>
                                <?php } ?>
                                <?php if (isset($cms_slide['subtitle']) && !empty($cms_slide['subtitle'])) { ?>
                                    <h3 class="cms-slider-item-subtitle text-85 text-white font-500 mb-126 mb-tablet-extra-50 mb-tablet-landscape-100 mb-tablet-70 mb-mobile-50" data-cms-animation="subtitle_animation" data-cms-animation-delay="subtitle_animation_delay">
                                        <?php echo esc_html($cms_slide['subtitle']); ?>
                                    </h3>
                                <?php } ?>
                            </div>

                            <div class="cms-slider-bottom d-flex justify-content-between gap" style="--gap:20px;--gap-tablet-extra:20px;--gap-mobile-extra:20px;--gap-mobile:20px;">
                                <div class="cms-slider-content-text">
                                    <?php if (isset($cms_slide['description']) && !empty($cms_slide['description'])) { ?>
                                        <div class="cms-slider-item-description text-17 text-white font-bold mb-30" data-cms-animation="description_animation" data-cms-animation-delay="description_animation_delay">
                                            <?php echo esc_html($cms_slide['description']); ?>
                                        </div>
                                    <?php } ?>
                                    <div class="cms-slider-item-button d-flex gap-30">
                                        <?php
                                            if ( ! empty( $cms_slide['button_primary'] ) ) :
                                                $button_primary_url = '';
                                                if(isset($cms_slide['button_primary_link']) && is_array($cms_slide['button_primary_link']) && isset($cms_slide['button_primary_link']['url'])){
                                                    $button_primary_url = $cms_slide['button_primary_link']['url'];
                                                }
                                        ?>
                                            <div class="button-primary" data-cms-animation="button_primary_animation" data-cms-animation-delay="button_primary_animation_delay">
                                                <a href="<?php echo esc_attr($button_primary_url); ?>" class="btn btn-primary radius-2">
                                                    <i class="btn-icon cmsi-chevron-circle-right-01"></i>
                                                    <span <?php echo wp_kses_post( $widget->get_render_attribute_string( 'btn_text' ) ); ?>><?php echo esc_attr( $cms_slide['button_primary'] ); ?></span>
                                                </a>
                                            </div>
                                        <?php endif; ?>
                                        <?php
                                            if ( ! empty( $cms_slide['button_secondary'] ) ) :
                                                $button_secondary_url = '';
                                                if(isset($cms_slide['button_secondary_link']) && is_array($cms_slide['button_secondary_link']) && isset($cms_slide['button_secondary_link']['url'])){
                                                    $button_secondary_url = $cms_slide['button_secondary_link']['url'];
                                                }
                                        ?>
                                            <div class="button-secondary" data-cms-animation="button_secondary_animation" data-cms-animation-delay="button_secondary_animation_delay">
                                                <a href="<?php echo esc_url($button_secondary_url); ?>" class="btn btn-white radius-2">
                                                    <?php echo esc_attr( $cms_slide['button_secondary'] ); ?>
                                                </a>
                                            </div>
                                        <?php endif; ?>
                                    </div>
                                </div>

                                <div class="cms-slider-item-box d-flex align-items-end gap-30">
                                    <div class="cms-slider-item-left relative bg-white">
                                        <?php if (isset($cms_slide['box_title1'])) { ?>
                                            <div class="cms-slider-item-left-title p-tb-35 p-lr-40 m-0 relative">
                                                <h4><?php echo esc_html($cms_slide['box_title1']); ?></h4>

                                                <?php
                                                if ( ! empty( $cms_slide['box_url1'] ) ) :
                                                    $box_url1 = '';
                                                    if(isset($cms_slide['box_url1']) && is_array($cms_slide['box_url1']) && isset($cms_slide['box_url1']['url'])){
                                                        $box_url1 = $cms_slide['box_url1']['url'];
                                                    }
                                                ?>
                                                <div class="cms-slider-item-left-readmore absolute b--17 text-30">
                                                    <a href="<?php echo esc_url($box_url1); ?>">
                                                        <i class="btn-icon cmsi-chevron-circle-right-01 cms-transition"></i>
                                                    </a>
                                                </div>
                                                <?php endif; ?>
                                            </div>
                                        <?php } ?>

                                        <?php if (isset($cms_slide['box_image1'])) { ?>
                                            <div class="cms-slider-item-left-image absolute b-0 cms-transition" style="background: url('<?php echo esc_html($box_image1); ?>') no-repeat bottom; background-size: cover;">
                                                <!-- <img src="<?php echo esc_html($box_image1); ?>" /> -->
                                            </div>
                                        <?php } ?>
                                    </div>                                    
                                    <div class="cms-slider-item-right bg-white">
                                        <?php if (isset($cms_slide['box_title2'])) { ?>
                                            <div class="cms-slider-item-right-title p-tb-35 p-lr-40">
                                                <h4><?php echo esc_html($cms_slide['box_title2']); ?></h4>

                                                <?php
                                                if ( ! empty( $cms_slide['box_url2'] ) ) :
                                                    $box_url2 = '';
                                                    if(isset($cms_slide['box_url2']) && is_array($cms_slide['box_url2']) && isset($cms_slide['box_url2']['url'])){
                                                        $box_url2 = $cms_slide['box_url2']['url'];
                                                    }
                                                ?>
                                                <div class="cms-slider-item-right-readmore absolute b--17 text-30">
                                                    <a href="<?php echo esc_url($box_url2); ?>">
                                                        <i class="btn-icon cmsi-chevron-circle-right-01 cms-transition"></i>
                                                    </a>
                                                </div>
                                                <?php endif; ?>
                                            </div>
                                        <?php } ?>

                                        <?php if (isset($cms_slide['box_image2'])) { ?>
                                            <div class="cms-slider-item-right-image absolute b-0 cms-transition" style="background: url('<?php echo esc_html($box_image2); ?>') no-repeat bottom; background-size: cover;">
                                                <!-- <img src="<?php echo esc_html($box_image2); ?>" /> -->
                                            </div>
                                        <?php } ?>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <?php
            }
            ?>
        </div>
        <?php if ($arrows == 'yes') : ?>
            <div class="cms-carousel-tool">
                <div class="cms-slider-button-arrow d-flex align-items-center justify-content-center p-lr-40 p-lr-mobile-20 gap-30">
                    <div class="cms-carousel-button-prev absolute d-flex align-items-center justify-content-center cursor-pointer">
                        <i aria-hidden="true" class="cmsi-arrow-prev"></i>
                    </div>
                    <div class="cms-carousel-button-next absolute d-flex align-items-center justify-content-center cursor-pointer">
                        <i aria-hidden="true" class="cmsi-arrow-next"></i>
                    </div>
                </div>
            </div>
        <?php endif ?>
        <?php if ($dots == 'yes') : ?>
            <div class="cms-carousel-pagination">
                <div class="container">
                    <div class="cms-carousel-dots align-items-center justify-content-center b-40"></div>
                </div>
            </div>
        <?php endif ?>
    </div>
</div>