<?php
use Elementor\Icons_Manager;

$icons = $widget->get_setting('icons', []);
$icon_color = $widget->get_setting('icon_color', '');
$icon_color = !empty($icon_color)?$icon_color:'primary';
$hover_animation = $widget->get_setting('hover_animation', '');
$class_animation = '';
if(!empty($hover_animation)){
	$class_animation = 'elementor-animation-' . $hover_animation;
}
$settings = $widget->get_settings_for_display();
?>
<div class="cms-social-icons-wrap cms-social-icons-layout2 d-flex align-items-center gap-10 text-14">
	<?php
		foreach ( $icons as $key => $value ) {
			$_id = isset( $value['_id'] ) ? $value['_id'] : '';
			$social = '';
			if ( 'svg' !== $value['social_icon']['library'] ) {
				$social = explode( ' ', $value['social_icon']['value'], 2 );
				if ( empty( $social[1] ) ) {
					$social = '';
				} else {
					$social = str_replace( 'fa-', '', $social[1] );
				}
			}
			if ( 'svg' === $value['social_icon']['library'] ) {
				$social = get_post_meta( $value['social_icon']['value']['id'], '_wp_attachment_image_alt', true );
			}
			$link_key = $widget->get_repeater_setting_key( 'link', 'icons', $key );
            $widget->add_render_attribute( $link_key, 'class', [
                'cms-social-icon d-flex align-items-center gap-12',
                'cms-animate-icon',
				'cms-transition',
                $class_animation,
                // 'elementor-social-icon-' . $social,
                'elementor-repeater-item-' . $_id,
                'cms-social-icon-border'
            ] );

			$widget->add_link_attributes( $link_key, $value['link'] );

			$title_key = $widget->get_repeater_setting_key( 'title', 'icons', $key );
			$widget->add_inline_editing_attributes($title_key);
			
	?>
	<a <?php echo wp_kses_post($widget->get_render_attribute_string( $link_key )); ?>>
		<?php Icons_Manager::render_icon( $value['social_icon'], [ 'aria-hidden' => 'true', 'class' => 'text-20 radius-50 p-8 cms-transition text-'.$icon_color ] ); ?>
		<?php if ( 'yes' === $settings['show_title'] && !empty($value['title']) ) { ?><span <?php echo wp_kses_post($widget->get_render_attribute_string( $title_key )); ?>><?php echo esc_html($value['title']); ?></span><?php } ?>
	</a>
	<?php } ?>
</div>