<?php
use Elementor\Icons_Manager;

if ( ! empty( $settings['btn_link']['url'] ) ) {
	$widget->add_render_attribute( 'link', 'href', $settings['btn_link']['url'] );

	if ( $settings['btn_link']['is_external'] ) {
		$widget->add_render_attribute( 'link', 'target', '_blank' );
	}

	if ( $settings['btn_link']['nofollow'] ) {
		$widget->add_render_attribute( 'link', 'rel', 'nofollow' );
	}

    $btn_link = $settings['btn_link']['url'];
} else {
    $btn_link = '';
}

$link_attributes = $widget->get_render_attribute_string( 'link' );

if (empty($settings['btn_text']) || trim($settings['btn_text']) == '') {
    $settings['btn_text'] = esc_attr('Schedule An Appointment');
}

$btn_style = ($settings['btn_style'] == 'btn-text-underline') ? 'text-white text-underline font-bold' : $settings['btn_style'];

$widget->add_render_attribute( 'title', 'class', 'cms-support-title text-white text-22 mb-25' );
$widget->add_render_attribute( 'description', 'class', 'cms-support-description text-white text-16' );
$widget->add_render_attribute( 'phone', 'class', 'text-white text-20' );
$widget->add_render_attribute( 'background_color', 'class', 'cms-support-icon cms-support-background absolute t-0 l-0 r-0 b-0' );
$widget->add_render_attribute( 'button', 'href', $btn_link );
$widget->add_render_attribute( 'button', 'class', $settings['btn_style']. ' radius-2' );
$widget->add_render_attribute( 'btn_text', 'class', 'text-15' );

$widget->add_inline_editing_attributes( 'title', 'none' );
$widget->add_inline_editing_attributes( 'description' );
$widget->add_inline_editing_attributes( 'phone' );
$widget->add_inline_editing_attributes( 'button' );
$widget->add_inline_editing_attributes( 'btn_text' );
$widget->add_inline_editing_attributes( 'background_color' );
?>
<div class="cms-support-wrap cms-support-layout1 bg-primary cms-shadow-1 pt-45 pb-50 p-lr-50 p-lr-tablet-extra-20 relative overflow-hidden <?php echo esc_attr( $settings['style'] ); ?>">
    <div <?php echo wp_kses_post( $widget->get_render_attribute_string( 'background_color' ) ); ?>>
        <?php if ( ! empty( $settings['background_image']['id'] ) ) : ?>
            <?php $img_icon = etc_get_image_by_size( array(
                'attach_id'  => $settings['background_image']['id'],
                'thumb_size' => '370x487',
                'class'      => '',
            ) );
            $thumbnail_icon = $img_icon['p_img_large'][0];
            if(!empty($thumbnail_icon)) {
                $thumbnail_icon = '<img decoding="async" class="cms-transition" src="'.$thumbnail_icon.'" loading="lazy" />';
                echo wp_kses_post( $thumbnail_icon );
            } else {
                $src = $settings['background_image']['url'];
                echo "<img src='$src' />";
            } ?>
        <?php endif; ?>
    </div>
    <div class="cms-support-content">
        <h3 <?php echo wp_kses_post( $widget->get_render_attribute_string( 'title' ) ); ?>><?php echo wp_kses_post( $settings['title'] ); ?></h3>
        <div <?php echo wp_kses_post( $widget->get_render_attribute_string( 'description' ) ); ?>>
			<?php echo wp_kses_post( $settings['description'] ); ?>
		</div>
        <h4 class="cms-support-phone d-flex align-items-center gap-20 mb-25">
            <i class="cmsi-phone-alt text-white text-17"></i>
			<span <?php echo wp_kses_post( $widget->get_render_attribute_string( 'phone' ) ); ?>><?php echo wp_kses_post( $settings['phone'] ); ?></span>
        </h4>
		<?php if ( ! empty( $settings['btn_text'] ) ) : ?>
            <div class="cms-support-button btn-text-line">
                <a <?php echo wp_kses_post( $widget->get_render_attribute_string( 'button' ) ); ?>>
                    <?php if($settings['btn_style'] != 'btn-text-underline') :?>
                    <i class="btn-icon cmsi-chevron-circle-right-01 text-23"></i>
                    <?php endif;?>
                    <span <?php echo wp_kses_post( $widget->get_render_attribute_string( 'btn_text' ) ); ?>><?php echo esc_attr( $settings['btn_text'] ); ?></span>
                </a>
            </div>
		<?php endif; ?>
    </div>
</div>