<?php
use Elementor\Group_Control_Image_Size;
use Elementor\Control_Media;

$item_class = "cms-grid-item";
$teams = $widget->get_setting('teams');
?>
<?php if ( is_array($teams) && count( $teams ) ): ?>
    <div class="cms-grid cms-team-grid layout1">
        <div class="cms-grid-inner row">
			<?php
				foreach ( $teams as $key => $team ):
			?>
                <div class="<?php echo esc_attr( $item_class ); ?>">
                	<div class="cms-team-item-image">
                		<?php
                        	$image_key = $widget->get_repeater_setting_key( 'image', 'cms_team', $key );
                        	$widget->add_render_attribute( $image_key, 'src', $team['image']['url'] );
							$widget->add_render_attribute( $image_key, 'alt', Control_Media::get_image_alt( $team['image'] ) );
							$widget->add_render_attribute( $image_key, 'title', Control_Media::get_image_title( $team['image'] ) );
							echo Group_Control_Image_Size::get_attachment_image_html( $team, 'thumbnail', 'image' );
                        ?>
                	</div>
                	<div class="cms-team-item-content">
                        <?php if (isset($team['name'])) { ?>
                            <div class="cms-team-item-name">
                                <?php
                                	if(!empty( $team['link']['url'])){
                                		$link_key = $widget->get_repeater_setting_key( 'link', 'cms_team', $key );
                                		$widget->add_link_attributes( $link_key, $team['link'] );
                                		?>
                                		<a <?php echo wp_kses_post($widget->get_render_attribute_string( $link_key )); ?>>
                                			<?php echo esc_html($team['name']); ?>
                                		</a>
                                		<?php
                                	}
                                	else{
                                		echo esc_html($team['name']);
                                	}
                                ?>
                            </div>
                        <?php } ?>
                        <?php if (isset($team['position'])) { ?>
                        	<div class="cms-team-item-position">
                        		<?php echo esc_html($team['position']); ?>
                        	</div>
                    	<?php } ?>
                    	<?php
                    		if (isset($team['social_links'])) {
                    			$social_links = json_decode($team['social_links'], true);
                    			if(is_array($social_links) && count($social_links)){
                		?>
                        	<div class="cms-team-item-socials">
                        		<?php
                        			foreach ($social_links as $social) {
                        				?>
                        				<a href="<?php echo esc_url($social['url']); ?>" class="cms-team-item-social">
                        					<i class="<?php echo esc_attr($social['icon']); ?>"></i>
                        				</a>
                        				<?php
                        			}
                        		?>
                        	</div>
                    	<?php
			                    }
			                }
		                ?>
                    </div>
                </div>
			<?php endforeach; ?>
        </div>
    </div>
<?php endif; ?>
