<?php
use Elementor\Group_Control_Image_Size;
use Elementor\Control_Media;
use Elementor\Icons_Manager;

$testimonials = $widget->get_setting('testimonials', []);
$arrows = $widget->get_setting('arrows', '');
$dots = $widget->get_setting('dots', '');
$style = $widget->get_setting('color', '');
?>
<div class="cms-testimonials-carousel-wrapper cms-testimonials-layout2">
    <div class="cms-carousel swiper">
        <div class="swiper-wrapper">
            <?php foreach ($testimonials as $key => $testimonial) { ?>
                <div class="cms-carousel-item swiper-slide">
                    <div class="cms-testimonial-item-content cms-hover-icon-bounce">
						<div class="cms-testimonial-icon">
							<?php
								$icon_settings = $widget->get_settings_for_display('selected_icon');
								if (empty($icon_settings['value'])) {
									$icon_settings = [
										'library' => 'fa-solid',
										'value'   => 'fas fa-quote-left',
									];
								}
								Icons_Manager::render_icon($icon_settings, ['aria-hidden' => 'true', 'class' => 'cms-icon']);
							?>
						</div>
						<div class="cms-testimonial-info d-flex flex-direction-column gap-21">
							<?php if (isset($testimonial['description'])) { ?>
								<div class="cms-testimonial-item-description">
									<?php echo esc_html($testimonial['description']); ?>
								</div>
							<?php } ?>
							<div class="cms-testimonial-people d-none gap-12 align-items-center flex-wrap relative">
								<?php if (isset($testimonial['image']) && isset($testimonial['image']['url']) && !empty($testimonial['image']['url'])) { ?>
								<div class="cms-testimonial-item-image d-flex radius-100">
									<?php
										$image_key = $widget->get_repeater_setting_key( 'image', 'cms_testimonial', $key );
										$widget->add_render_attribute( $image_key, 'src', $testimonial['image']['url'] );
										$widget->add_render_attribute( $image_key, 'alt', Control_Media::get_image_alt( $testimonial['image'] ) );
										$widget->add_render_attribute( $image_key, 'title', Control_Media::get_image_title( $testimonial['image'] ) );
										$widget->add_render_attribute( $image_key, 'class', 'border-2 cursor-pointer radius-100');
									?>
									<?php echo Group_Control_Image_Size::get_attachment_image_html( $testimonial, 'thumbnail', 'image' );?>
								</div>
								<?php } ?>
								<div class="cms-testimonial-text">
									<?php if (isset($testimonial['name'])) { ?>
										<div class="cms-testimonial-item-name">
											<?php echo esc_html($testimonial['name']); ?>
										</div>
									<?php } ?>
									<?php if (isset($testimonial['position'])) { ?>
										<div class="cms-testimonial-item-position">
											<?php echo esc_html($testimonial['position']); ?>
										</div>
									<?php } ?>
								</div>
							</div>
						</div>
                    </div>
                </div>
                <?php
            }
            ?>
        </div>
        <?php if ($arrows == 'yes') : ?>
            <div class="cms-testimonial-button-arrow cms-carousel-button-prev">
                <i aria-hidden="true" class="eicon-chevron-left"></i>
            </div>
            <div class="cms-testimonial-button-arrow cms-carousel-button-next">
                <i aria-hidden="true" class="eicon-chevron-right"></i>
            </div>
        <?php endif ?>
        
        <?php if ($dots == 'yes') : ?>
            <div class="cms-carousel-pagination d-flex align-items-center">
	            <div class="cms-carousel-dots"></div>
				<div class="cms-testimonial-text">
					<?php if (isset($testimonials[0]['name'])) { ?>
						<div class="cms-testimonial-item-name">
							<?php echo esc_html($testimonials[0]['name']); ?>
						</div>
					<?php } ?>
					<?php if (isset($testimonials[0]['position'])) { ?>
						<div class="cms-testimonial-item-position">
							<?php echo esc_html($testimonials[0]['position']); ?>
						</div>
					<?php } ?>
				</div>
			</div>
        <?php endif ?>
    </div>
</div>











