<?php
// Silence is golden.
$args = [
    'title' => esc_html__('Header', 'validus'),
    'fields' => [
        'header_custom' => validus_theme_on_off_opts([
            'title'         => esc_html__('Custom Header','validus'),
            'default'       => false,
            'default_value' => 'off'
        ]),
        'header_layout' => validus_theme_header_layout_opts([
            'default'       => $default,
            'default_value' => $default_value,
            'required'      => [
                'header_custom',
                '=',
                'on'
            ]
        ]),
        'header_width' => validus_theme_content_width_opts([
            'title'         => esc_html__('Header Width', 'validus'),
            'default'       => $default,
            'default_value' => $default_width,
            'required'      => [
                'header_custom',
                '=',
                'on'
            ]
        ]),
        'header_sticky' => validus_theme_on_off_opts([
            'title'         => esc_html__('Header Sticky', 'validus'),
            'subtitle'      => esc_html__('Header will be sticked when applicable.', 'validus'),
            'default'       => $default,
            'default_value' => $default_value,
            'required' => [
                'header_custom',
                '=',
                'on'
            ]
        ]),
        'header_transparent' => validus_theme_on_off_opts([
            'title'         => esc_html__('Header Transparent', 'validus'),
            'subtitle'      => esc_html__('Header transparent use with background.', 'validus'),
            'default'       => $default,
            'default_value' => $default_value,
            'required' => [
                'header_custom',
                '=',
                'on'
            ]
        ]),
        'header_height' => [
            'type'     => 'dimensions',
            'title'    => esc_html__('Header Height', 'validus'),
            'subtitle' => esc_html__('Set height for your header, especially when turn on Header Top. Just use this on Header Transparent only, default = 110px', 'validus'),
            'width'    => false,
            'required' => [
                'header_transparent',
                '=',
                'on'
            ]
        ],
        'logo' => [
            'type'  => Theme_Core_Options::MEDIA_FIELD,
            'title' => esc_html__('Logo', 'validus'),
            'required' => [
                'header_transparent',
                '=',
                'off'
            ]
        ],
        'logo_mobile' => [
            'type'  => Theme_Core_Options::MEDIA_FIELD,
            'title' => esc_html__('Logo Tablet & Mobile', 'validus'),
            'required' => [
                'header_transparent',
                '=',
                'off'
            ]
        ],
        'logo_light' => [
            'type' => Theme_Core_Options::MEDIA_FIELD,
            'title' => esc_html__('Logo', 'validus'),
            'required' => [
                'header_transparent',
                '=',
                'on'
            ]
        ],
        'logo_light_mobile' => [
            'type'  => Theme_Core_Options::MEDIA_FIELD,
            'title' => esc_html__('Logo Tablet & Mobile', 'validus'),
            'required' => [
                'header_transparent',
                '=',
                'on'
            ]
        ],
        'custom_attribute' => [
            'type'  => Theme_Core_Options::HEADING_FIELD,
            'title' => esc_html__('Attributes Settings', 'validus'),
            'required' => [
                'header_custom',
                '=',
                'on'
            ]
        ],
        'search_icon' => validus_theme_on_off_opts([
            'title'         => esc_html__('Search Icon', 'validus'),
            'subtitle'      => esc_html__('Note: it is search button on the header layout2', 'validus'),
            'default'       => $default,
            'default_value' => $default_value,
            'required' => [
                'header_custom',
                '=',
                'on'
            ]
        ]),
        'cart_icon' => validus_theme_on_off_opts([
            'title'         => esc_html__('Cart Icon', 'validus'),
            'default'       => $default,
            'default_value' => $default_value,
            'required' => [
                'header_custom',
                '=',
                'on'
            ]
        ]),
        'h_phone_on' => validus_theme_on_off_opts([
            'title'         => esc_html__('Show/Hide Phone', 'validus'),
            'subtitle'      => esc_html__('Note: the phone just show on the header layout 1 & 3 only', 'validus'),
            'default'       => $default,
            'default_value' => $default_value,
            'required' => [
                'header_custom',
                '=',
                'on'
            ]
        ]),
        'h_btn_on' => validus_theme_on_off_opts([
            'title'         => esc_html__('Show/Hide Button', 'validus'),
            'subtitle'      => esc_html__('The Button just show on layout 3 only', 'validus'),
            'default'       => $default,
            'default_value' => $default_value,
            'required' => [
                'header_custom',
                '=',
                'on'
            ]
        ]),
        'h_btn_radius' => [
            'type' => Theme_Core_Options::TEXT_FIELD,
            'title' => esc_html__('Button Border Radius', 'validus'),
            'description' => esc_html__('Turn border button into radius', 'validus'),
        ],
        'h_btn2_on' => validus_theme_on_off_opts([
            'title'         => esc_html__('Show/Hide Button #2', 'validus'),
            'subtitle'      => esc_html__('The Button #2 just show on layouts : 1,3,4,5,7,8,9 only', 'validus'),
            'default'       => $default,
            'default_value' => $default_value,
            'required' => [
                'header_custom',
                '=',
                'on'
            ]
        ]),
        'h_btn2_radius' => [
            'type' => Theme_Core_Options::TEXT_FIELD,
            'title' => esc_html__('Button #2 Border Radius', 'validus'),
            'subtitle' => esc_html__('The Button #2 will show on layouts : 1,3,4,5,7,8,9', 'validus'),
            'description' => esc_html__('Turn border button #2 into radius', 'validus'),
        ],
    ]
];
return $args;