<?php
// Silence is golden.
$args = [
    'title' => esc_html__('Page Title', 'validus'),
    'fields' => [
        'pagetitle' => [
            'type' => Theme_Core_Options::BUTTON_SET_FIELD,
            'title' => esc_html__('Page Title', 'validus'),
            'options' => [
                'themeoption' => esc_html__('Theme Option', 'validus'),
                'show' => esc_html__('Custom', 'validus'),
                'hide' => esc_html__('Hide', 'validus'),
            ],
            'default' => 'themeoption',
        ],
        'custom_title' => [
            'type' => Theme_Core_Options::TEXTAREA_FIELD,
            'title' => esc_html__('Title', 'validus'),
            'subtitle' => esc_html__('Use custom title for this page. The default title will be used on document title.', 'validus'),
            'required' => [
                'pagetitle',
                '=',
                'show'
            ],
        ],
        'page_title_bg' => [
            'type' => Theme_Core_Options::MEDIA_FIELD,
            'title' => esc_html__('Page Title Image', 'validus'),
            'required' => [
                'pagetitle',
                '=',
                'show'
            ],
        ],
        'page_title_pbg_color' => [
            'type' => Theme_Core_Options::COLOR_FIELD,
            'title' => esc_html__('Page Title Background Color', 'validus'),
            'required' => [
                'pagetitle',
                '=',
                'show'
            ],
        ],
        'page_title_padding' => [
            'type' => Theme_Core_Options::SPACING_FIELD,
            'title' => esc_html__('Content Padding', 'validus'),
            'description' => esc_html__('Default: Theme Option.', 'validus'),
            'right' => false,
            'left' => false,
            'mode' => 'padding',
            'output' => [
                'body #cms-page-title.page-title'
            ],
            'required' => [
                'pagetitle',
                '=',
                'show'
            ],
        ],
        'page_breadcrumb' => [
            'type' => Theme_Core_Options::BUTTON_SET_FIELD,
            'title' => esc_html__('Breadcrumbs', 'validus'),
            'options' => [
                'themeoption' => esc_html__('Theme Option', 'validus'),
                'show' => esc_html__('Show', 'validus'),
                'hide' => esc_html__('Hide', 'validus'),
            ],
            'default' => 'themeoption',
            'required' => [
                'pagetitle',
                '=',
                'show'
            ],
        ],
    ]
];

return $args;