<?php
// Silence is Golden
add_filter('tco_page_page_options_args', 'validus_page_options_args');
function validus_page_options_args(){
    $default       = true;
    $default_value = $default_on = $default_off = $default_width = '-1';
    $custom_opts   = true;

    $header     = include get_template_directory() . '/inc/post-type-options/args-page/header.php';
    $header_top = include get_template_directory() . '/inc/post-type-options/args-page/header-top.php';
    $page_title = include get_template_directory() . '/inc/theme-options/args/page-title.php';
    $footer     = include get_template_directory() . '/inc/theme-options/args/footer.php';

    $general = [
        'title' => esc_html__('General','validus'),
        'sections' => [
            'colors' => [
                'title' => esc_html__('Colors', 'validus'),
                'fields' => [
                    'color_custom' => validus_theme_on_off_opts([
                        'title'         => esc_html__('Custom Color','validus'),
                        'default'       => false,
                        'default_value' => 'off'
                    ]),
                    'primary_color' => [
                        'type'     => Theme_Core_Options::COLOR_FIELD,
                        'title'    => esc_html__('Primary Color', 'validus'),
                        'required' => ['color_custom', '=', 'on']
                    ],
                    'secondary_color' => [
                        'type'     => Theme_Core_Options::COLOR_FIELD,
                        'title'    => esc_html__('Secondary Color', 'validus'),
                        'required' => ['color_custom', '=', 'on']
                    ],
                    'link_color' => [
                        'type'     => Theme_Core_Options::LINK_COLOR_FIELD,
                        'title'    => esc_html__('Link Color', 'validus'),
                        'required' => ['color_custom', '=', 'on']
                    ],
                    'padding_bottom' => [
			            'type' => Theme_Core_Options::TEXT_FIELD,
			            'title' => esc_html__('Padding Bottom', 'validus'),
			            'subtitle' => esc_html__('Use on the "main" tag with id="cms-main"', 'validus'),
			            'description' => esc_html__('Padding Bottom', 'validus'),
                    ],
                    'heading_font_typo' => [
                        'type'     => Theme_Core_Options::TYPOGRAPHY_FIELD,
                        'title'    => esc_html__('Heading Font', 'validus'),
                        'subtitle' => esc_html__('This will be the default font for all Heading tags of your website.', 'validus'),
                        'output'   => [
                            'h1,h2,h3,h4,h5,h6',
                            '.h1,.h2,.h3,.h4,.h5,.h6',
                            '.heading',
                            '.cms-heading'
                        ],
                        'required' => [
                            'heading_font',
                            '=',
                            'custom',
                        ],
                        'font_backup'  => false,
                        'font_subsets' => false,
                        'font_style'   => true,
                        'line_height'  => false,
                        'font_size'    => false,
                        'color'        => false,    
                    ]
                ]
            ]
        ]
    ];

    $icons = [
        'title'    => esc_html__('Icons', 'validus'),
        'sections' => [
            'icons'    => validus_icon_opts(),
        ],
    ];

    $content = [
        'title'  => esc_html__('Content', 'validus'),
        'fields' => [
            'content_width' => validus_theme_content_width_opts([
                'default'       => $default,
                'default_value' => $default_value
            ]),
        ]
    ];

    $args = [  
        'general'    => $general,
        'icons'      => $icons,
        'header'     => $header,
        'header-top' => $header_top,
        'page-title' => $page_title,
        'content'    => $content,
        'footer'     => $footer,
    ];

    return $args;
}