<?php
// Silence is Golden
add_filter('tco_product_page_options_args', 'validus_product_options_args');
function validus_product_options_args(){
    $default       = false;
    $default_value = $default_on = $default_off = $default_width = '-1';
    $custom_opts   = true;

    $page_title = include get_template_directory() . '/inc/theme-options/args/page-title.php';
    $page_title = include get_template_directory() . '/inc/post-type-options/args-product/page-title.php';

    $general = [
        'title' => esc_html__('General','validus'),
        'sections' => [
            'colors' => [
                'title' => esc_html__('Colors', 'validus'),
                'fields' => [
                    'color_custom' => validus_theme_on_off_opts([
                        'title'         => esc_html__('Custom Color','validus'),
                        'default'       => false,
                        'default_value' => 'off'
                    ]),
                    'primary_color' => [
                        'type'     => Theme_Core_Options::COLOR_FIELD,
                        'title'    => esc_html__('Primary Color', 'validus'),
                        'required' => ['color_custom', '=', 'on']
                    ],
                    'secondary_color' => [
                        'type'     => Theme_Core_Options::COLOR_FIELD,
                        'title'    => esc_html__('Secondary Color', 'validus'),
                        'required' => ['color_custom', '=', 'on']
                    ],
                    'link_color' => [
                        'type'     => Theme_Core_Options::LINK_COLOR_FIELD,
                        'title'    => esc_html__('Link Color', 'validus'),
                        'required' => ['color_custom', '=', 'on']
                    ]
                ]
            ]
        ]
    ];

    $args = [  
        'general'    => $general,
        'page-title' => $page_title,
    ];

    return $args;
}