<?php 
/**
 * Change Theme Options
 *  
 * */
/**
 * Create the rating interface.
 * 
 * 
*/
if(!function_exists('validus_comment_rating_fields')){
    function validus_comment_rating_fields ($args =[]) {
        $args = wp_parse_args($args, [
            'echo'  => true,
            'class' => ''
        ]);
        $show_rating = validus_get_opt('post_comments_rating_on','0');
        $rating = '';
        if('1' === $show_rating && is_singular('post')){
            $rating .= '<div class="cms-comment-form-rating cms-comment-form-fields-wrap row align-items-center '.esc_attr($args['class']).'">';
                $rating .= '<div  class="comment-form-field col-auto">'. esc_html__('Your Rating','validus').'<span class="required">*</span></div>';
                $rating .= '<div class="comment-form-field comments-rating col">';
                    $rating .= '<span class="rating-container stars">';
                        for ( $i = 5; $i >= 1; $i-- ) :
                            $rating .= '<input type="radio" id="rating-'.$i.'" class="star-'.$i.'" name="rating" value="'.$i.'" />
                                        <label for="rating-'.$i.'"><span class="d-none">'.$i.'</span></label>';
                        endfor;
                        $rating .= '<input type="radio" id="rating-0" class="star-cb-clear star-0" name="rating" value="0" /><label for="rating-0"><span class="d-none">0</span></label>';
                    $rating .= '</span>
                </div>
            </div>';
        }
        if($args['echo']){
            printf('%s', $rating);
        } else {
            return $rating;
        }
    }
}
if(!function_exists('validus_woocommerce_comment_rating_fields')){
    function validus_woocommerce_comment_rating_fields($args =[]){
        $args = wp_parse_args($args, [
            'echo' => true,
            'class' => ''
        ]);
        $rating = '';
        if(!function_exists('wc_review_ratings_enabled')) return;
        if (wc_review_ratings_enabled() && is_singular('product') ) {
            $rating .= '<div class="cms-comment-form-rating cms-comment-form-fields-wrap row align-items-center '.esc_attr($args['class']).'">';
                $rating .= '<div class="comment-form-field col-auto cms-heading font-700">' . esc_html__( 'Your rating', 'validus' ) . ( wc_review_ratings_required() ? '&nbsp;<span class="required">*</span>' : '' ) . '</div>';
                $rating .= '<div class="comment-form-field comments-rating col">';
                    $rating .= '<select name="rating" id="rating" required>
                        <option value="">' . esc_html__( 'Rate&hellip;', 'validus' ) . '</option>
                        <option value="5">' . esc_html__( 'Perfect', 'validus' ) . '</option>
                        <option value="4">' . esc_html__( 'Good', 'validus' ) . '</option>
                        <option value="3">' . esc_html__( 'Average', 'validus' ) . '</option>
                        <option value="2">' . esc_html__( 'Not that bad', 'validus' ) . '</option>
                        <option value="1">' . esc_html__( 'Very poor', 'validus' ) . '</option>
                    </select>';
                $rating .= '</div>';
            $rating .= '</div>';
        }
        if($args['echo']){
            printf('%s', $rating);
        } else {
            return $rating;
        }
    }
}
// add rating to after comment form fields
if(!function_exists('validus_comment_rating_default_fields')){
    function validus_comment_rating_default_fields ($fields) {
        $fields_rating = [];
        ob_start();
            validus_comment_rating_fields();
            validus_woocommerce_comment_rating_fields();
        $fields_rating['rating'] = ob_get_clean();
        $fields = array_merge($fields_rating, $fields);
        return $fields;
    }
}

//Save the new meta added by theme  submitted by the user.
if(!function_exists('validus_comment_rating_save_comment_meta')){
    add_action( 'comment_post', 'validus_comment_rating_save_comment_meta' );
    function validus_comment_rating_save_comment_meta( $comment_id ) {
        $rating = $address = '';
        // rating
        if ( ( isset( $_POST['rating'] ) ) && ( '' !== $_POST['rating'] ) )
        $rating = intval( $_POST['rating'] );
        // address
        if ( ( isset( $_POST['address'] ) ) && ( '' !== $_POST['address'] ) )
        $address = $_POST['address'];
        add_comment_meta( $comment_id, 'rating', $rating );
        add_comment_meta( $comment_id, 'address', $address );
    }
}
// Make the rating required.
if(!function_exists('validus_comment_rating_require_rating')){
    add_filter( 'preprocess_comment', 'validus_comment_rating_require_rating' );
    function validus_comment_rating_require_rating( $commentdata ) {
        $show_rating = validus_get_opt('post_comments_rating_on','0');
        if('1' !== $show_rating) return $commentdata;

        if ( ! is_admin() && ( ! isset( $_POST['rating'] ) || 0 === intval( $_POST['rating'] ) ) )
        wp_die( esc_html__( 'Error: You did not add a rating. Hit the Back button on your Web browser and resubmit your comment with a rating.','validus' ) );
        return $commentdata;
    }
}

//Display the rating on a submitted comment.
if(!function_exists('validus_comment_rating_display_rating')){
    function validus_comment_rating_display_rating( $comment_text ){
        if ( $rating = get_comment_meta( get_comment_ID(), 'rating', true ) ) {
            $stars = '<div class="stars">';
            for ( $i = 1; $i <= $rating; $i++ ) {
                $stars .= '<span class="rating-icon cms-rating-icon-filled"></span>';
            }
            $stars .= '</div>';
            $comment_text = $comment_text . $stars;
            return $comment_text;
        } else {
            return $comment_text;
        }
    }
}

//Get the average rating of a post.
if(!function_exists('validus_comment_rating_get_average_ratings')){
    function validus_comment_rating_get_average_ratings( $id ) {
        $comments = get_approved_comments( $id );
        if ( $comments ) {
            $i = 0;
            $total = 0;
            foreach( $comments as $comment ){
                $rate = get_comment_meta( $comment->comment_ID, 'rating', true );
                if( isset( $rate ) && '' !== $rate ) {
                    $i++;
                    $total += $rate;
                }
            }

            if ( 0 === $i ) {
                return false;
            } else {
                return round( $total / $i, 1 );
            }
        } else {
            return false;
        }
    }
}
// Display the star average rating only
if(!function_exists('validus_comment_rating_display_average')){
    function validus_comment_rating_display_average($args = []) {

        global $post;

        if ( false === validus_comment_rating_get_average_ratings( $post->ID ) ) {
            return false;
        }
        $args = wp_parse_args($args, [
            'width' => 20,
            'class' => ''
        ]);
        $stars   = '';
        $average = validus_comment_rating_get_average_ratings( $post->ID );

        for ( $i = 1; $i <= $average + 1; $i++ ) {
            
            $width = intval( $i - $average > 0 ? $args['width'] - ( ( $i - $average ) * $args['width'] ) : $args['width'] );

            if ( 0 === $width ) {
                continue;
            }
            $stars .= '<span style="overflow:hidden; width:' . $width . 'px" class="rating-icon cms-rating-icon-filled"></span>';

            if ( $i - $average > 0 ) {
                $stars .= '<span style="overflow:hidden; position:relative; left:-' . ($width - 1) .'px;" class="cms-rating-icon cms-rating-icon-empty"></span>';
            }
        }
        $classes = ['cms-average-rating cms-average-rating-star', $args['class']];
        $custom_content  = '<div class="'.implode(' ', $classes).'">' . $stars .'</div>';
        return $custom_content;
    }
}

//Display the average rating above the content.
if(!function_exists('validus_comment_rating_display_average_rating')){
    function validus_comment_rating_display_average_rating( $content ) {

        global $post;

        if ( false === validus_comment_rating_get_average_ratings( $post->ID ) ) {
            return $content;
        }
        
        $stars   = '';
        $average = validus_comment_rating_get_average_ratings( $post->ID );

        for ( $i = 1; $i <= $average + 1; $i++ ) {
            
            $width = intval( $i - $average > 0 ? 20 - ( ( $i - $average ) * 20 ) : 20 );

            if ( 0 === $width ) {
                continue;
            }

            $stars .= '<span style="overflow:hidden; width:' . $width . 'px" class="rating-icon cms-rating-icon-filled"></span>';

            if ( $i - $average > 0 ) {
                $stars .= '<span style="overflow:hidden; position:relative; left:-' . $width .'px;" class="rating-icon cms-rating-icon-empty"></span>';
            }
        }
        
        $custom_content  = '<div class="average-rating">This post\'s average rating is: ' . $average .' ' . $stars .'</div>';
        $custom_content .= $content;
        return $custom_content;
    }
}
if(!function_exists('validus_comment_rating_display_feedback')){
    function validus_comment_rating_display_feedback($args=[]){
        $args = wp_parse_args($args,[
            'id'        => get_the_ID(),
            'mode'      => 'good', //bad
            'good_text' => esc_html__('positive feedback', 'validus'),
            'bad_text'  => esc_html__('negative feedback', 'validus'),
            'good_icon' => 'icofont-simple-smile',
            'bad_icon'  => 'icofont-sad'
        ]);
        $comments = get_approved_comments( $args['id'] );
        if ( $comments ) {
            $i = 0;
            $total = 0;
            $good_rate = $bad_rate = 0;
            foreach( $comments as $comment ){
                $rate = get_comment_meta( $comment->comment_ID, 'rating', true );
                if( isset( $rate ) && '' !== $rate ) {
                    $i++;
                    $total += $rate;
                }
                if(isset($rate) && $rate > 3){
                    $good_rate ++;
                }
                if(isset($rate) && $rate <= 3){
                    $bad_rate ++;
                }
            }

            if ( 0 === $i ) {
                return false;
            } else {
                //return  $total .' good:'.$good_rate.' bad:'.$bad_rate ;
                if($args['mode'] == 'good'){
                    return '<span class="cms-rating-good text-accent text-17 '.$args['good_icon'].'"></span> <span class="cms-rating-percent text-accent font-700">'.number_format_i18n( $good_rate*100 / $i, 2 ).'%</span> '.$args['good_text'];
                } else {
                    return '<span class="cms-rating-bad text-accent text-17 '.$args['bad_icon'].'"></span> <span class="cms-rating-percent text-accent font-700">'.number_format_i18n( $bad_rate*100 / $i, 2 ).'%</span> '.$args['bad_text'];
                }
            }
        } else {
            return false;
        }
    }
}
// Display the address on a submitted comment.
if(!function_exists('validus_comment_display_address')){
    function validus_comment_display_address(){
        $address =  get_comment_meta( get_comment_ID(), 'address', true ) ;
        if(empty($address)) return;
        ?>
            <div class="cms-comment-address"><?php echo esc_html($address); ?></div>
        <?php
    }
}


/**
 * Update Wordpress Configs
 * Change thumbnail size
 * 
 * */
add_action('after_switch_theme', 'validus_thumbnail_size');
if(!function_exists('validus_thumbnail_size')){
    function validus_thumbnail_size(){
        /* Change default image thumbnail sizes in wordpress */
        add_image_size( 'cms-image-carousel-thumbnail', 640, 500, true);
        add_image_size( 'cms-fancy-box-thumbnail', 230, 157, true);

        $thumbnail_size = array(
            'large_size_w'        => '840',
            'large_size_h'        => '562',
            'large_crop'          => 1,
            'medium_size_w'       => '570',
            'medium_size_h'       => '380',
            'medium_crop'         => 1, 
            'thumbnail_size_w'    => '80',
            'thumbnail_size_h'    => '80',
            'thumbnail_crop'      => 1
        );
        foreach ($thumbnail_size as $option => $value) {
            if (get_option($option, '') != $value)
                update_option($option, $value);
        }
    }
}

/**
 * Custom Elementor Row
 * Columns Presets
 * 
 * **/
if(!function_exists('validus_custom_section_presets')){
    add_filter('etc-custom-section/custom-presets', 'validus_custom_section_presets');
    function validus_custom_section_presets(){
        return [
            2 => [
                [
                    'preset' => ['auto', 'basic']
                ],
                [
                    'preset' => ['basic', 'auto']
                ]
            ],
            3 => [
                [
                    'preset' => ['50', '50', '100']
                ],
                [
                    'preset' => ['100', '50', '50']
                ]
            ],
            4 => [
                [
                    'preset' => ['100', '33', '33', '33']
                ]
            ]
        ];
    }
}

// Add custom field to section
if(!function_exists('validus_custom_section_params')){
    add_filter('etc-custom-section/custom-params', 'validus_custom_section_params'); 
    function validus_custom_section_params(){
        return array(
            'sections' => array(
                // add more
                array(
                    'name'     => 'cms_custom_layout',
                    'label'    => esc_html__( 'Validus Custom Settings', 'validus' ),
                    'tab'      => \Elementor\Controls_Manager::TAB_LAYOUT,
                    'controls' => array_merge(
                        array(
                            // make section full content with a space on start / end
                            array(
                                'name'         => 'full_content_with_space',
                                'label'        => esc_html__( 'Full Content with space from?', 'validus' ),
                                'type'         => \Elementor\Controls_Manager::SELECT,
                                'prefix_class' => 'cms-full-content-with-space-',
                                'options'      => array(
                                    'none'       => esc_html__( 'None', 'validus' ),
                                    'start'      => esc_html__( 'Start', 'validus' ),
                                    'end'        => esc_html__( 'End', 'validus' ),
                                    'start-wide' => esc_html__( 'Start (Container Wide)', 'validus' ),
                                    'end-wide'   => esc_html__( 'End (Container Wide)', 'validus' ),
                                ),
                                'default'      => 'none',
                                'condition' => [
                                    'layout' => 'full_width'
                                ]
                            ),
                            array(
                                'name'    => 'column_display',
                                'label'   => esc_html__( 'Element Display Settings', 'validus' ),
                                'type'    => \Elementor\Controls_Manager::SELECT,
                                'options' => array(
                                    ''           => __( 'Default', 'validus' ),
                                    'width-auto' => __( 'Column Width Auto', 'validus' ),
                                ),
                                //'control_type' => 'responsive',
                                'label_block'  => true, 
                                'default'      => '',
                                'prefix_class' => 'cms-column-',
                                'separator' => 'before',
                            ),
                            array(
                                'name'    => 'column_align',
                                'label'   => esc_html__( 'Column Align', 'validus' ),
                                'type'    => \Elementor\Controls_Manager::SELECT,
                                'options' => array(
                                    'start'           => __( 'Start', 'validus' ),
                                    'center' => __( 'Center', 'validus' ),
                                    'end'           => __( 'End', 'validus' ),
                                ),
                                'control_type' => 'responsive',
                                'label_block'  => true, 
                                'default'      => 'start',
                                'selectors' => [
                                    '{{WRAPPER}} .elementor-container' => 'justify-content: {{VALUE}};',
                                ],
                                'condition' => [
                                    'column_display' => 'width-auto'
                                ]
                            ),
                        )
                    )
                )
            )
        );
    }
}

/**
 * Custom Elementor Column
 * Add options horizontal element
 * 
 * **/
if(!function_exists('validus_custom_column_params')){
    add_filter('etc-custom-column/custom-params', 'validus_custom_column_params');
    function validus_custom_column_params(){
        return array(
            'sections' => array(
                array(
                    'name'     => 'custom_section',
                    'label'    => esc_html__( 'Custom Settings', 'validus' ),
                    'tab'      => \Elementor\Controls_Manager::TAB_LAYOUT,
                    'controls' => array(
                        array(
                            'name'    => 'element_display',
                            'label'   => esc_html__( 'Element Display Settings', 'validus' ),
                            'type'    => \Elementor\Controls_Manager::SELECT,
                            'options' => array(
                                ''           => __( 'Default', 'validus' ),
                                'vert'   => __( 'Vertical', 'validus' ),
                                'horiz' => __( 'Horizontal', 'validus' ),
                                'pad' => __( 'Padding', 'validus' ),
                            ),
                            //'control_type' => 'responsive',
                            'label_block'  => true, 
                            'default'      => '',
                            'prefix_class' => 'cms-column-'
                        ),
                        array(
                            'name' => 'element_display_gap',
                            'label'   => esc_html__( 'Element Gap', 'validus' ),
                            'type'    => \Elementor\Controls_Manager::SELECT,
                            'options' => array(
                                '10' => '10',
                                '20' => '20',
                                '30' => '30',
                                '40' => '40'
                            ),
                            'label_block'  => true, 
                            'default'      => '40',
                            'prefix_class' => 'gap-',
                            'condition'    => [
                                'element_display' => ['horiz']
                            ]
                        ),
                        array(
                            'name' => 'element_display_pad',
                            'label'   => esc_html__( 'Element Padding', 'validus' ),
                            'type'    => \Elementor\Controls_Manager::SELECT,
                            'options' => array(
                                '0' => '0',
                            ),
                            'label_block'  => true, 
                            'default'      => '40',
                            'prefix_class' => 'pad-',
                            'condition'    => [
                                'element_display' => ['pad']
                            ]
                        )
                    )
                )
            )
        );
    }
}
// Change html tag for Elementor image render
if(!function_exists('validus_elementor_image_size_get_attachment_image_html')){
    //apply_filters( 'elementor/image_size/get_attachment_image_html', $html, $settings, $image_size_key, $image_key );
    add_filter('elementor/image_size/get_attachment_image_html','validus_elementor_image_size_get_attachment_image_html', 10, 4);
    function validus_elementor_image_size_get_attachment_image_html($html, $settings, $image_size_key, $image_key){
        if ( ! $image_key ) {
            $image_key = $image_size_key;
        }

        $image = $settings[ $image_key ];

        // Old version of image settings.
        if ( ! isset( $settings[ $image_size_key . '_size' ] ) ) {
            $settings[ $image_size_key . '_size' ] = '';
        }

        $size = $settings[ $image_size_key . '_size' ];

        $image_class = ! empty( $settings['hover_animation'] ) ? 'elementor-animation-' . $settings['hover_animation'] : '';

        $html = '';

        // If is the new version - with image size.
        $image_sizes = get_intermediate_image_sizes();

        $image_sizes[] = 'full';

        if ( ! empty( $image['id'] ) && ! wp_attachment_is_image( $image['id'] ) ) {
            $image['id'] = '';
        }

        $is_static_render_mode = \Elementor\Plugin::$instance->frontend->is_static_render_mode();
        // On static mode don't use WP responsive images.
        if ( ! empty( $image['id'] ) && in_array( $size, $image_sizes ) && ! $is_static_render_mode ) {
            $image_class .= " attachment-$size size-$size wp-image-{$image['id']}";
            $image_attr = [
                'class'  => trim( $image_class ),
                'width'  => get_option($image_size_key.'_size_w'),
                'height' => get_option($image_size_key.'_size_h')
            ];
            
            $html = wp_get_attachment_image( $image['id'], $size, false, $image_attr );
        } else {
            $custom_dimension = isset($settings[ $image_size_key . '_custom_dimension' ]) ? $settings[ $image_size_key . '_custom_dimension' ] : ['width' => get_option('full_size_h'), 'height' => get_option('full_size_h')];

            $image_src = \Elementor\Group_Control_Image_Size::get_attachment_image_src( $image['id'], $image_size_key, $settings );

            if ( ! $image_src && isset( $image['url'] ) ) {
                $image_src = $image['url'];
            }

            if ( ! empty( $image_src ) ) {
                $image_class_html = ! empty( $image_class ) ? ' class="' . $image_class . '"' : '';

                $html = sprintf( '<img width="%s" height="%s" src="%s" title="%s" alt="%s"%s loading="lazy" />', 
                    $custom_dimension['width'],
                    $custom_dimension['height'],
                    esc_attr( $image_src ), 
                    \Elementor\Control_Media::get_image_title( $image ), 
                    \Elementor\Control_Media::get_image_alt( $image ), 
                    $image_class_html 
                );
            }
        }

        return $html;
    }
}

// Elementor Image Render
if(!function_exists('validus_elementor_post_thumbnail_render')){
    function validus_elementor_post_thumbnail_render( $settings = [], $args = []){
        if(!class_exists('\Elementor\Plugin') || !class_exists('Elementor_Theme_Core')) return;
        $args = wp_parse_args($args, [
            'post_id'        => '',
            'image_size_key' => 'thumbnail',
            'custom_size'    => ['width' => get_option('medium_size_w'), 'height' => get_option('medium_size_h')],
            'img_size'       => '',
            'prefix'         => 'cms-post-grid',
            'before'         => '',
            'after'          => ''
        ]);
        if(!has_post_thumbnail($args['post_id'])) {
            
            $src = Elementor\Utils::get_placeholder_image_src();
            $src = get_template_directory_uri().'/assets/images/placeholder_400x300.png';

            $params = $args['custom_size'];

            if ($args['img_size']) {
                $file = get_template_directory().'/assets/images/placeholder_'.$args['img_size'].'.png';

                if (file_exists($file)) {
                    $src = get_template_directory_uri().'/assets/images/placeholder_'.$args['img_size'].'.png';
                }
            }

            echo '<img decoding="async" width="'.$params['width'].'" height="'.$params['height'].'" src="'.$src.'" loading="lazy">';

            return;
        }

        if(!isset($settings[$args['image_size_key']])){
            $settings[$args['image_size_key']] = [
                'id'  => get_post_thumbnail_id($args['post_id'])
            ];
        }

        if(!isset($settings['thumbnail_custom_dimension'])){
            $settings['thumbnail_custom_dimension'] = $args['custom_size'];
        } else {
            $settings['thumbnail_custom_dimension'] = wp_parse_args($args['custom_size'], $settings['thumbnail_custom_dimension']);
        }

        printf('%s', $args['before']);
        
        \Elementor\Group_Control_Image_Size::print_attachment_image_html( $settings, $args['image_size_key'], $args['image_size_key'] );
        printf('%s', $args['after']);
    }
}

// multiple support for wp_dropdown_categories
add_filter( 'wp_dropdown_cats', 'validus_dropdown_cats_multiple', 10, 2 );

function validus_dropdown_cats_multiple( $output, $r ) {
    if( isset( $r['multiple'] ) && $r['multiple'] ) {

         $output = preg_replace( '/^<select/i', '<select multiple', $output );

        $output = str_replace( "name='{$r['name']}'", "name='{$r['name']}[]'", $output );

        foreach ( array_map( 'trim', explode( ",", $r['selected'] ) ) as $value )
            $output = str_replace( "value=\"{$value}\"", "value=\"{$value}\" selected", $output );

    }

    return $output;
}

/**
 * Get Tags
 * @return array
 */
if (!function_exists('validus_list_tags')) {
    function validus_list_tags($default = false)
    {
        $list = array();
        $list['-1'] = esc_html('All Tags');
        $terms = get_terms(
            'product_tag',
            array(
                //'fields'       => 'ids',
                'hide_empty'   => true,
            )
        );
        
        if (!empty($terms)) {
            foreach ($terms as $term) {
                if (isset($term->term_id)) {
                    $list[$term->term_id] = $term->name;
                }
            }
        }
        return $list;
    }
}

if(!function_exists('validus_get_grid_term_tags')){
    function validus_get_grid_term_tags($post_type = 'post', $slug = false)
    {
        if ($post_type == 'post') {
            $args = array(
                'taxonomy' => $post_type.'_tag',
            );
        } else {
            $args = array(
                'taxonomy' => $post_type.'-tag',
            );
        }

        $tags = get_tags($args);
        $term_list = array();

        $term_list[0] = esc_html__('Default', 'validus');

        foreach ($tags as $tag) {
            if($slug) {
                if (isset($tag->slug)) {
                    $term_list[$tag->slug] = $tag->name;
                }
            } else {
                if (isset($tag->slug)) {
                    $term_list[$tag->slug.'|'.$args['taxonomy']] = $tag->name;
                }
            }
        }

        return $term_list;
    }
}

/**
 *  Overrite post type
 * 
 * */
add_filter('etc_get_post_types', function(){ 
    return [
        'cms-header-top',
        'cms-footer',
        //'page',
        'attachment',
        'revision',
        'nav_menu_item',
        'vc_grid_item',
        'custom_css',
        'customize_changeset',
        'oembed_cache',
        'cms-mega-menu',
        'elementor_library',
        'e-landing-page'
    ];
});
?>