<?php
// Silence is golden.
$args = [
    'title'    => esc_html__('Content', 'validus'),
    'sections' => [
        'general' => [
            'title' => esc_html__('General', 'validus'),
            'fields' => [
                'content_width' => validus_theme_content_width_opts(),
                'search_field_placeholder' => [
                    'type'        => Theme_Core_Options::TEXT_FIELD,
                    'title'       => esc_html__('Search Form - Text Placeholder', 'validus'),
                    'description' => esc_html__('Default: Search Keywords...', 'validus'),
                ]
            ]
        ],
        'archive' => [
            'title'  => esc_html__('Archive', 'validus'),
            'fields' => [
                'archive_author_on' => [
                    'type'     => Theme_Core_Options::SWITCH_FIELD,
                    'title'    => esc_html__('Author', 'validus'),
                    'subtitle' => esc_html__('Show author name on each post.', 'validus'),
                    'default'  => 1,
                ],
                'archive_date_on' => [
                    'type'     => Theme_Core_Options::SWITCH_FIELD,
                    'title'    => esc_html__('Date', 'validus'),
                    'subtitle' => esc_html__('Show date posted on each post.', 'validus'),
                    'default'  => 1,
                ],
                'archive_categories_on' => [
                    'type'     => Theme_Core_Options::SWITCH_FIELD,
                    'title'    => esc_html__('Categories', 'validus'),
                    'subtitle' => esc_html__('Show category names on each post.', 'validus'),
                    'default'  => 1,
                ],
                'archive_comments_on' => [
                    'type'     => Theme_Core_Options::SWITCH_FIELD,
                    'title'    => esc_html__('Comments', 'validus'),
                    'subtitle' => esc_html__('Show comments count on each post.', 'validus'),
                    'default'  => 1,
                ]
            ],
        ],
        'single-post' => [
            'title'  => esc_html__('Single Post', 'validus'),
            'fields' => [
                'post_author_on' => [
                    'type'     => Theme_Core_Options::SWITCH_FIELD,
                    'title'    => esc_html__('Author', 'validus'),
                    'subtitle' => esc_html__('Show author name on single post.', 'validus'),
                    'default'  => 1,
                ],
                'post_author_info_on' => [
                    'type'     => Theme_Core_Options::SWITCH_FIELD,
                    'title'    => esc_html__('Author Info', 'validus'),
                    'subtitle' => esc_html__('Show author info on single post.', 'validus'),
                ],
                'post_date_on' => [
                    'type'     => Theme_Core_Options::SWITCH_FIELD,
                    'title'    => esc_html__('Date', 'validus'),
                    'subtitle' => esc_html__('Show date on single post.', 'validus'),
                    'default'  => 1,
                ],
                'post_categories_on' => [
                    'type'     => Theme_Core_Options::SWITCH_FIELD,
                    'title'    => esc_html__('Categories', 'validus'),
                    'subtitle' => esc_html__('Show category names on single post.', 'validus'),
                    'default'  => 1,
                ],
                'post_tags_on' => [
                    'type'     => Theme_Core_Options::SWITCH_FIELD,
                    'title'    => esc_html__('Tags', 'validus'),
                    'subtitle' => esc_html__('Show tag names on single post.', 'validus'),
                    'default'  => 1,
                ],
                'post_comments_on' => [
                    'type'     => Theme_Core_Options::SWITCH_FIELD,
                    'title'    => esc_html__('Comments', 'validus'),
                    'subtitle' => esc_html__('Show comments count on single post.', 'validus'),
                    'default'  => 1,
                ],
                'post_social_share_on' => [
                    'type'     => Theme_Core_Options::SWITCH_FIELD,
                    'title'    => esc_html__('Social Share', 'validus'),
                    'subtitle' => esc_html__('Show social share on single post.', 'validus')
                ],
                'post_navigation_on' => [
                    'type'     => Theme_Core_Options::SWITCH_FIELD,
                    'title'    => esc_html__('Navigation', 'validus'),
                    'subtitle' => esc_html__('Show navigation on single post.', 'validus'),
                    'default'  => 1,
                ],
                'post_comments_form_on' => [
                    'type'     => Theme_Core_Options::SWITCH_FIELD,
                    'title'    => esc_html__('Comments Form', 'validus'),
                    'subtitle' => esc_html__('Show comments form on single post.', 'validus'),
                    'default'  => 1,
                ],
            ]
        ]
    ]
];
return $args;