<?php
// Silence is golden.
$args = [
    'title'    => esc_html__('Header', 'validus'),
    'sections' => [
        'general' => [
            'title' => esc_html__('General', 'validus'),
            'fields' => [
                'header_layout' => validus_theme_header_layout_opts([
                    'default'       => $default,
                    'default_value' => $default_value
                ]),
                'main_menu_color' => [
                    'type'  => Theme_Core_Options::LINK_COLOR_FIELD,
                    'title' => esc_html__('Menu Color', 'validus')
                ],
                'extra' => [
                    'type'  => Theme_Core_Options::HEADING_FIELD,
                    'title' => esc_html__('Extra Settings', 'validus')
                ],
                'header_sticky' => validus_theme_on_off_opts([
                    'title'         => esc_html__('Header Sticky', 'validus'),
                    'subtitle'      => esc_html__('Header will be sticked when applicable.', 'validus')
                ]),
                'header_width' => validus_theme_content_width_opts([
                    'title'         => esc_html__('Header Width', 'validus'),
                    'default'       => $default,
                    'default_value' => $default_width,
                    'required' => [
                        'header_layout', '=', ['1','2','3','4','5','6','7','8','9','10']
                    ],
                ])
            ]
        ],
        'logo' => [
            'title'  => esc_html__('Logo', 'validus'),
            'fields' => [
                'logo' => [
                    'type'  => Theme_Core_Options::MEDIA_FIELD,
                    'title' => esc_html__('Logo', 'validus')
                ],
                'logo_maxh' => [
                    'type'     => 'dimensions',
                    'title'    => esc_html__('Logo Dimensions', 'validus'),
                    'subtitle' => esc_html__('Enter number.', 'validus')
                ],
                'logo_mobile' => [
                    'type'  => Theme_Core_Options::MEDIA_FIELD,
                    'title' => esc_html__('Logo Tablet & Mobile', 'validus')
                ],
                'logo_maxh_sm' => [
                    'type'     => 'dimensions',
                    'title'    => esc_html__('Logo Tablet & Mobile Dimensions', 'validus'),
                    'subtitle' => esc_html__('Enter number.', 'validus')
                ],
            ],
        ],
        'header_ontop' => [
            'title' => esc_html__('Header Transparent', 'validus'),
            'fields' => [
                'header_transparent' => validus_theme_on_off_opts([
                    'title'         => esc_html__('Header Transparent', 'validus'),
                    'subtitle'      => esc_html__('Header transparent use with background.', 'validus'),
                    'default_value' => $default_off
                ]),
                'header_height' => [
                    'type'     => 'dimensions',
                    'title'    => esc_html__('Header Height', 'validus'),
                    'subtitle' => esc_html__('Set height for your header, especially when turn on Header Top. Just use this on Header Transparent only, default = 110px', 'validus'),
                    'width'    => false,
                ],
                'logo_light' => [
                    'type' => Theme_Core_Options::MEDIA_FIELD,
                    'title' => esc_html__('Logo', 'validus'),
                ],
                'logo_light_mobile' => [
                    'type'  => Theme_Core_Options::MEDIA_FIELD,
                    'title' => esc_html__('Logo Tablet & Mobile', 'validus'),
                ],
                'transparent_menu_color' => [
                    'type' => Theme_Core_Options::LINK_COLOR_FIELD,
                    'title' => esc_html__('Menu Color', 'validus')
                ]
            ]
        ],
        'attributes' => [
            'title' => esc_html__('Attributes','validus'),
            'fields' => array_merge(
                [
                    'search_icon' => validus_theme_on_off_opts([
                        'title'         => esc_html__('Search Icon', 'validus'),
                        'default'       => $default,
                        'default_value' => $default_on,//default_off
                        'required' => [
                            'header_layout', '=', '1'
                        ]
                    ]),
                    'cart_icon' => validus_theme_on_off_opts([
                        'title'         => esc_html__('Cart Icon', 'validus'),
                        'default'       => $default,
                        'default_value' => $default_on//default_off
                    ])
                ],
                validus_theme_phone_settings([
                    'default'       => $default,
                    'default_value' => $default_off 
                ]),
                validus_theme_button_settings([
                    'default'       => '',
                    'default_value' => $default_off
                ]),

                validus_theme_button_settings([
                    'heading'       => esc_html__('Button Settings #2', 'validus'),
                    'name'          => 'h_btn2',
                    'subtitle'      => esc_html__('Button #2 will show on layouts : 1,3,4,5,7,8,9', 'validus'),
                    'default'       => '',
                    'default_value' => $default_off 
                ])
            )
        ]
    ]
];
return $args;