<?php
// Silence is golden.
$args = [
    'title' => esc_html__('Shop', 'validus'),
    'icon'       => 'el el-shopping-cart',
    'subsection' => true,
    'fields'     => array(
        'sidebar_shop' => [
            'type' => Theme_Core_Options::BUTTON_SET_FIELD,
            'title' => esc_html__('Sidebar Position', 'validus'),
            'subtitle' => esc_html__('Select a sidebar position for archive shop.', 'validus'),
            'options' => [
                'order-first' => esc_html__('Left', 'validus'),
                'order-last' => esc_html__('Right', 'validus'),
                'none' => esc_html__('Disabled', 'validus')
            ],
            'default' => 'order-last'
        ],
        'product_per_page' => [
            'type' => Theme_Core_Options::SLIDER_FIELD,
            'title' => esc_html__('Products displayed per page', 'validus'),
            'subtitle' => esc_html__('Number product to show', 'validus'),
            'default' => 8,
            'min' => 4,
            'step' => 1,
            'max' => 50,
        ],
        'product_social_share_on' => [
            'title'    => esc_html__('Social Share', 'validus'),
            'subtitle' => esc_html__('Show social share on single product.', 'validus'),
            'type'     => Theme_Core_Options::SWITCH_FIELD,
            'default'  => 1,
        ],
        'product_categories' => [
            'type' => Theme_Core_Options::SELECT_FIELD,
            'title' => esc_html__('Show Categories', 'validus'),
            'description' => esc_html__('Show product categories from category selected on sidebar widget.', 'validus'),
            'options' => validus_list_categories(),
            'default' => '-1',
        ],
    )
];

return $args;