<?php
/**
 * The template for displaying all single posts
 *
 * @package Validus
 */
get_header();
	//if post is normal, show content & sidebar
	if (!validus_is_built_with_elementor()) {
		validus_content_has_sidebar_open('sidebar-post');
			while ( have_posts() ) {
				the_post();
				get_template_part( 'template-parts/content-single/content', get_post_format() );
				if ( comments_open() || get_comments_number() ) {
					comments_template();
				}
			}
		validus_content_has_sidebar_close('sidebar-post');
		
		if(validus_get_opt('sidebar_on', 'off') === 'on' && is_active_sidebar('sidebar-post')){ 
			$sidebar_pos = validus_get_opt('sidebar_pos', 'order-last');
		?>
			<div id="cms-sidebar" class="<?php echo esc_attr($sidebar_pos); ?> flex-basic">
				<div class="fix-search">
					<?php dynamic_sidebar('sidebar-post'); ?>
				</div>
			</div>
		<?php
		}
	} else {
		//show content only
		while ( have_posts() ) {
			the_post(); 
			the_content(); 
		}
	}
get_footer();