<?php
/**
 * Template part for displaying posts in loop
 *
 * @package Validus
 */

global $post;
$post_tags_on = validus_get_opt('post_tags_on', true);
$tags_list = wp_get_post_tags($post->ID,['orderby' => 'id', 'asc']);
$align = ($post_tags_on && $tags_list && validus_get_opt('post_social_share_on', false)) ? 'between' : 'end';
$align = ($post_tags_on && !validus_get_opt('post_social_share_on', false)) ? 'start' : $align;
?>
<?php 
	validus_entry_thumbnail();
?>
<div class="cms-content cms-shadow-3">
	<?php
		validus_post_meta();
		validus_entry_single_title();
	?>
	<div class="content clearfix">
		<?php 
		the_content(); 
		validus_entry_link_pages();
		?>
	</div>

	<div class="tags-share d-flex gap justify-content-<?php echo esc_html($align);?> empty-none" style="--gap:30px;--gap-mobile:30px;"><?php 
		$post_tags_on = validus_get_opt('post_tags_on', true);
		if ($post_tags_on) {
			validus_entry_tags();
		}
		if(validus_get_opt('post_social_share_on', false)) validus_socials_share_default();
	?></div>
</div>

<?php
$post_navigation_on = validus_get_opt('post_navigation_on', true);
if ($post_navigation_on) {
	validus_post_nav_default();
}
if(!empty(get_the_author_meta( 'description' )) && validus_get_opt('post_author_info_on', false)){
?>
<div class="cms-author-info d-flex gap text-mobile-center" style="--gap:30px;--gap-mobile:30px;">
	<div class="author-avatar">
		<?php echo get_avatar( get_the_author_meta( 'ID' ), 'full' ); ?>
	</div>
	<div class="author-desc flex-basic flex-mobile-auto">
		<h4 class="name"><?php echo the_author_posts_link();?></h4>
		<div class="desc"><?php echo the_author_meta( 'description' );?></div>
		<?php validus_get_user_social();?>
	</div>
</div>
<?php 
}
?>