<?php
/**
 * Template part for displaying default header layout
 */

$header_transparent = validus_get_opts( 'header_transparent', false, 'header_custom');
$hide_sidebar_icon = validus_get_opt( 'hide_sidebar_icon', false );
?>
<style type="text/css">
/* desktop */
:root {
    /* --header-height: 110px !important;
    --header-height-mobile: 80px; */
}

/* $max-tablet-extra */
@media screen and (max-width: 1366px) {
	:root {
		--header-height: 80px !important;
        --header-height-mobile: 80px;
	}
}
</style>
<header id="cms-header-wrap" class="site-header">
    <div id="cms-header" class="<?php echo validus_header_classes(); ?>">
        <div class="cms-header-top">
            <?php validus_header_top(); ?>
        </div>
        <div class="<?php echo validus_header_container_classes('d-flex align-items-center justify-content-between'); ?>">
            <div id="main-menu" class="site-close">
                <span class="btn-nav-mobile open-menu cms-transition">
                    <span></span>
                </span>
            </div>
            <?php 
            // Side Nav
            if ( $hide_sidebar_icon ) : ?>
                <div class="site-side-nav h-btn-sidebar">
                    <span></span>
                </div>
            <?php endif;
            // logo
            get_template_part('template-parts/header/header-branding', '', [
                'before' => '<div class="site-branding">',
                'after'  => '</div>',
            ]);
            ?>
            <div class="menu-cart-search d-flex flex-auto gap-15 align-items-center">
                <?php
                    ob_start();
                    validus_header_cart();
                    $cart = ob_get_clean();

                    // Navigation 
                    get_template_part('template-parts/header/header-menu', '',[
                        'before' => '<nav class="site-navigation main-navigation">', 
                        'after'  => '</nav>'
                    ]);
                    // Cart icon
                    validus_header_cart(array('type' => 'dropdown'));
                    ?>
            </div>
            <div class="site-search-quote d-flex align-items-center">
                <?php
                // Search icon
                validus_header_search_place();

                // Button 01
                validus_header_button_render(['name'  => 'h_btn2','class' => 'btn-secondary h-btn2','icon' => 'cmsi cmsi-arrow-right btn-icon']);
                ?>
            </div>
        </div>
    </div>
</header>