<?php
/**
 * Template part for displaying default header layout
 */

$header_transparent = validus_get_opts( 'header_transparent', false, 'header_custom');
$hide_sidebar_icon = validus_get_opt( 'hide_sidebar_icon', false );
?>
<header id="cms-header-wrap" class="site-header">
    <div id="cms-header" class="<?php echo validus_header_classes(); ?>">
        <div class="cms-header-top">
            <?php validus_header_top(); ?>
        </div>
        <div class="cms-header-main d-flex align-items-center justify-content-between">
            <?php 
            // Side Nav
            if ( $hide_sidebar_icon ) : ?>
                <div class="site-side-nav h-btn-sidebar">
                    <span></span>
                </div>
            <?php endif;
            // logo
            get_template_part('template-parts/header/header-branding', '', [
                'before' => '<div class="site-branding">',
                'after'  => '</div>',
            ]);
            ?>
            <!-- <div class="header-separator col-auto cms-hidden-lg"><span></span></div> -->
            <div class="menu-cart-search d-flex flex-auto gap-15 align-items-center">
                <?php
                    // Navigation 
                    get_template_part('template-parts/header/header-menu', '',[
                        'before' => '<nav class="site-navigation main-navigation">', 
                        'after'  => '</nav>' 
                    ]);
                    ?>
            </div>
            <div class="phone-button d-flex align-items-center">
                <?php
                // Search icon
                validus_header_search("Search");

                //echo '<div class="header-separator col-auto cms-hidden-lg"><span></span></div>';

                // Cart icon
                validus_header_cart(array('type' => 'dropdown'));
                //validus_header_cart();

                // Phone
                //validus_header_phone_render();

                // Button 01
                if ( $header_transparent == 'on' ) {
                    validus_header_button_render(['name'  => 'h_btn2','class' => 'h-btn2']);
                } else {
                    validus_header_button_render(['name'  => 'h_btn2','class' => 'h-btn2']);
                }

                // Button 02
                //validus_header_button_render(['name' => 'h_btn2', 'class' => 'btn btn-small']);
                ?>
                <div id="main-menu-mobile" class="site-header-item">
                    <span class="btn-nav-mobile open-menu">
                        <span></span>
                    </span>
                </div>
            </div>
        </div>
    </div>
</header>