<?php
/**
 * Template part for displaying default header layout
 */

$header_transparent = validus_get_opts( 'header_transparent', false, 'header_custom');
if(is_search()) {
    $header_transparent = validus_get_opt( 'header_transparent', false );
}
$hide_sidebar_icon = validus_get_opt( 'hide_sidebar_icon', false );
?>
<style type="text/css">
/* desktop */
:root {
    /* --header-height: 110px !important;
    --header-height-mobile: 62px; */
}

/* $max-tablet-extra */
@media screen and (max-width: 1280px) {
	:root {
		--header-height: 62px !important;
        --header-height-mobile: 62px;
	}
}
</style>
<header id="cms-header-wrap" class="site-header">
    <div id="cms-header" class="<?php echo validus_header_classes(); ?>">
        <div class="cms-header-top">
            <?php validus_header_top(); ?>
        </div>
        <div class="<?php echo validus_header_container_classes('d-flex align-items-center justify-content-between'); ?>">
            <?php 
            // Side Nav
            if ( $hide_sidebar_icon ) : ?>
                <div class="site-side-nav h-btn-sidebar">
                    <span></span>
                </div>
            <?php endif;
            // logo
            get_template_part('template-parts/header/header-branding', '', [
                'before' => '<div class="site-branding">',
                'after'  => '</div>',
            ]);
            ?>
            <div class="menu-cart-search d-flex flex-auto gap-15 align-items-center">
                <?php
                    // Navigation 
                    get_template_part('template-parts/header/header-menu', '',[
                        'before' => '<nav class="site-navigation main-navigation">', 
                        'after'  => '</nav>' 
                    ]);
                    // Search icon
                    validus_header_search("Search");
                    // Cart icon
                    validus_header_cart(array('type' => 'dropdown'));
                    ?>
            </div>
            <div class="phone-button d-flex gap-25 align-items-center">
                <?php
                // Phone
                validus_header_phone_render();

                // Button 01
                if ( $header_transparent == 'on' ) {
                    validus_header_button_render(['name'  => 'h_btn2','class' => 'btn btn-sm btn-white btn-hover-primary h-btn2','icon' => '']);
                } else {
                    validus_header_button_render(['name'  => 'h_btn2','class' => 'btn btn-sm h-btn2','icon' => '']);
                }
                ?>
                <div id="main-menu-mobile" class="site-header-item">
                    <span class="btn-nav-mobile open-menu">
                        <span></span>
                    </span>
                </div>
            </div>
        </div>
    </div>
</header>