<?php
//
//
$titles = validus_get_page_titles();
ob_start();
if ( $titles['title'] ) {
	printf( '<h1 class="title cms-page-title-title pb-20">%s</h1>', wp_kses_post( $titles['title'] ) );
}
$titles_html = ob_get_clean();

//$padding_bottom = validus_get_opts( 'page_title_pb', '32', 'on' );
//pb-<?php echo esc_html($padding_bottom);
//(class_exists('WooCommerce') && (is_singular('product') || is_shop() || is_product() || is_checkout()))

$header_transparent = validus_get_opts( 'header_transparent', false, 'header_custom');
if(is_search()) {
    $header_transparent = validus_get_opt( 'header_transparent', false );
}

if ( $header_transparent == 'on' ) {
    $transparent = 'header-transparent ';
} else {
    $transparent = '';
}

$breadcrumb = ($args['show_breadcrumb'] == 'on') ? 'pb-32' : 'pb-37';
?>
<?php if (is_singular( 'post' ) || (class_exists('WooCommerce') && (is_singular('product') || is_checkout() || is_cart()))) { ?>
    <?php if (!validus_is_built_with_elementor()) { ?>
        <?php if ($args['show_breadcrumb'] == 'on') { ?>
        <div id="cms-post-title" class="cms-post-title ptt-pt ptt-pt-tablet-extra-30 <?php echo esc_html($breadcrumb.' '.$transparent);?> text-<?php echo esc_attr($args['ptitle_align']); ?>">
            <div class="<?php echo esc_attr($args['container']); ?>">
                <?php validus_breadcrumb(); ?>
            </div>
        </div>
        <?php 
        } else {
            $class = !validus_is_built_with_elementor() ? 'pb-20' : '';
            echo '<div id="cms-no-post-title" class="cms-no-post-title '. esc_html($class.' '.$transparent).'"></div>';
        }
    }
    ?>
<?php } else { ?>
    <?php
    if ($args['show_title'] == 'on' || $args['show_breadcrumb'] == 'on') {
        $breadcrumb = ($args['show_breadcrumb'] == 'on') ? 'pt-35' : 'pt-37';
        $class_background = ($args['show_background'] == 'on') ? 'show-background' : 'hide-background';
        //$ptitle = validus_get_page_opts('page_title_bg', ['background-color' => '#f9f9f9', 'background-image' => ''], 'custom_ptitle')['background-image'];

        if (validus_get_page_opt('custom_ptitle') == 'on') {
            $theme_opt = validus_get_opt('pagetitle', '-1');
            $pagetitle = validus_get_page_opt('pagetitle',$theme_opt);
    
            if ($pagetitle == '-1') {
                //in case $pagetitle = -1, just use these ways to get theme options, don't use validus_get_opts('ptitle_align','','custom_ptitle')
                //or can remove 'pagetitle' or 'custom_ptitle', just use one of theme
                //$args['ptitle_align'] = validus_get_opts('ptitle_align');
                //$args['ptitle_align'] = validus_get_page_opts('ptitle_align');
                $args['ptitle_align'] = validus_get_opt('ptitle_align');
            }
        }

        $ptitle = validus_configs('ptitle');
        if ($ptitle['image'] != 'url()') {
            $class_background .= ' show-image';
        }
        ?>
        <div id="cms-post-title" class="cms-post-title ptt-pt ptt-pt-tablet-extra-30 <?php echo esc_html($class_background.' '.$breadcrumb.' '.$transparent);?> text-<?php echo esc_attr($args['ptitle_align']); ?>">
            <div class="<?php echo esc_attr($args['container']); ?> ptitle-content relative">
                <?php if ($args['show_title'] == 'on') printf( '%s', wp_kses_post( $titles_html ) ); ?>
                <?php if ($args['show_breadcrumb'] == 'on') validus_breadcrumb(); ?>
            </div>
        </div>
    <?php } else {
        $class = !validus_is_built_with_elementor() ? 'pb-20' : '';
        echo '<div id="cms-no-post-title" class="cms-no-post-title '. esc_html($class.' '.$transparent).'"></div>';
    } ?>
<?php } ?>







