<?php
/* Crop single gallery image */
add_filter( 'woocommerce_get_image_size_gallery_thumbnail', function ( $size ) {
	$size['width']  = 300;
	$size['height'] = 300;
	$size['crop']   = 1;

	return $size;
} );

add_filter( 'woocommerce_get_image_size_single', function ( $size ) {

	$size['width']  = 702;
	$size['height'] = 600;
	$size['crop']   = 1;

	return $size;
} );
/**
 * Loop Products
 * 
 * */
// Pagination
add_filter('woocommerce_pagination_args', 'validus_woocommerce_pagination_args');
if(!function_exists('validus_woocommerce_pagination_args')){
    function validus_woocommerce_pagination_args($default){
        $default = array_merge($default, [
            'prev_text' => is_rtl() ? '<i class="cmsi-arrow-right text-10"></i>' : '<i class="cmsi-arrow-left text-10"></i>',
            'next_text' => is_rtl() ? '<i class="cmsi-arrow-left text-10"></i>' : '<i class="cmsi-arrow-right text-10"></i>',
            'type'      => 'plain',
        ]);
        return $default;
    }
}

add_filter( 'woocommerce_cart_totals_order_total_html', 'change_decimals_cart_totals_order_total_html', 20, 1 );
function change_decimals_cart_totals_order_total_html( $formatted_price ){
    $decimals = array('decimals' => 0);

    $value = '<strong>' . wc_price( WC()->cart->get_total('edit'), $decimals ) . '</strong> ';

    // If prices are tax inclusive, show taxes here.
    if ( wc_tax_enabled() && WC()->cart->display_prices_including_tax() ) {
        $tax_string_array = array();
        $cart_tax_totals  = WC()->cart->get_tax_totals();

        if ( get_option( 'woocommerce_tax_total_display' ) == 'itemized' ) {
            foreach ( $cart_tax_totals as $code => $tax ) {
                $tax_string_array[] = sprintf( '%s %s', $tax->formatted_amount, $tax->label );
            }
        } elseif ( ! empty( $cart_tax_totals ) ) {
            $tax_string_array[] = sprintf( '%s %s', wc_price( WC()->cart->get_taxes_total( true, true ), $decimals ), WC()->countries->tax_or_vat() );
        }

        // validus custom
        if ( ! empty( $tax_string_array ) ) {
            $taxable_address = WC()->customer->get_taxable_address();
            $estimated_text  = WC()->customer->is_customer_outside_base() && ! WC()->customer->has_calculated_shipping()
                ? sprintf( ' ' . __( 'estimated for %s', 'validus' ), WC()->countries->estimated_for_prefix( $taxable_address[0] ) . WC()->countries->countries[ $taxable_address[0] ] )
                : '';
            $value .= '<small class="includes_tax">' . sprintf( __( '(includes %s)', 'validus' ), implode( ', ', $tax_string_array ) . $estimated_text ) . '</small>';
        }
    }
    return $value;
}

function woocommerce_cart_subtotal(  $cart_subtotal ){
    global $pur_mode, $line_subtotal;
    $line_subtotal = 0;
    $pur_mode = WC()->session->get('pur_mode');
    foreach ( WC()->cart->get_cart() as $cart_item_key => $cart_item ) {    
        $_product   = apply_filters( 'woocommerce_cart_item_product', $cart_item['data'], $cart_item, $cart_item_key );
        $product_id = apply_filters( 'woocommerce_cart_item_product_id', $cart_item['product_id'], $cart_item, $cart_item_key );
        if ( $_product && $_product->exists() && $cart_item['quantity'] > 0 && apply_filters( 'woocommerce_cart_item_visible', true, $cart_item, $cart_item_key ) ) {
            $line_subtotal += $cart_item['line_total'];                 
        }
    }
    $cart_subtotal = $line_subtotal;
    //$cart_subtotal = get_woocommerce_currency_symbol() . number_format($line_subtotal, 2, '.', ',');
    //$cart_subtotal = get_woocommerce_currency_symbol() . wc_format_decimal($cart_subtotal, 0 );

    $args = array('decimals'=> 0);
    $cart_subtotal = wc_price(WC()->cart->total,$args); 
    
    return $cart_subtotal;
}

add_filter( 'woocommerce_cart_subtotal', 'woocommerce_cart_subtotal', 99, 3 );

/**
 * Single Product
 * 
 * **/
// Share
if(!function_exists('validus_woocommerce_template_single_sharing')){
	add_action('woocommerce_share', 'validus_woocommerce_template_single_sharing');
	function validus_woocommerce_template_single_sharing(){
		validus_socials_share([
			'show_share'   => validus_get_opts( 'product_social_share_on', '1' ),
			'class'		   => 'mt-30',	
			'title'        => '',
			'social_class' => 'cms-socials cms-social-layout-6 bg-colored'
		]);
        //validus_social_share_product();
	}
}
/**
 * List socials share for post.
 */
if(!function_exists('validus_socials_share')){
    function validus_socials_share($args = []) {
        $args = wp_parse_args($args, [
            'show_share'   => '1',
            'class'        => '',
            'title'        => '<div class="cms-post-share-title h4">'.esc_html__('Share:','validus').'</div>',
            'social_class' => '',
            'before'       => '',
            'after'        => ''  
        ]);
        if($args['show_share'] != '1') return;
        $pinterestimage = wp_get_attachment_image_src( get_post_thumbnail_id( get_the_ID() ), 'full' );

        printf('%s', $args['before']);
    ?>
        <div class="<?php echo trim(implode(' ',['cms-post-share row align-items-center',  $args['class']]));?>">
            <?php if(!empty($args['title'])) printf('%s', $args['title']); ?>
            <div class="<?php echo trim(implode(' ',['col-auto cms-social',  $args['social_class']]));?>">
                <a class="social-icon radius-2 fb-social facebook hover-effect" title="Facebook" target="_blank" href="https://www.facebook.com/sharer/sharer.php?u=<?php urlencode(the_permalink()); ?>"><i class="cmsi-facebook-f"></i></a>
                <a class="social-icon radius-2 tw-social twitter hover-effect" title="Twitter" target="_blank" href="https://twitter.com/home?status=<?php the_permalink(); ?>"><i class="cmsi-twitter"></i></a>
                <a class="social-icon radius-2 it-social linkedin hover-effect" title="Linkedin" target="_blank" href="https://linked.com/<?php echo validus_get_opt('instagram_user');?>"><i class="cmsi-linkedin-in"></i></a>
            </div>
        </div>
        <?php
        printf('%s', $args['after']);
    }
}
function validus_social_share_product(){ ?>
    <a class="fb-social hover-effect" title="<?php echo esc_attr__('Facebook', 'validus'); ?>" target="_blank"
       href="https://www.facebook.com/sharer/sharer.php?u=<?php the_permalink(); ?>"><i class="cmsi-facebook"></i></a>
    <a class="tw-social hover-effect" title="<?php echo esc_attr__('Twitter', 'validus'); ?>" target="_blank"
       href="https://twitter.com/home?status=<?php the_permalink(); ?>"><i class="cmsi-twitter"></i></a>
    <a class="g-social hover-effect" title="<?php echo esc_attr__('Google Plus', 'validus'); ?>" target="_blank"
       href="https://plus.google.com/share?url=<?php the_permalink(); ?>"><i class="cmsi-google-plus"></i></a>
    <a class="pin-social hover-effect" title="<?php echo esc_attr__('Pinterest', 'validus'); ?>" target="_blank"
       href="https://pinterest.com/pin/create/button/?url=<?php echo esc_url(the_post_thumbnail_url('full')); ?>&media=&description=<?php the_title(); ?>"><i
                class="cmsi-pinterest"></i></a>
    <?php
}

function validus_product_nav(){
    global $post;
    $previous = (is_attachment()) ? get_post($post->post_parent) : get_adjacent_post(false, '', true);
    $next = get_adjacent_post(false, '', false);

    if (!$next && !$previous) {
        return;
    }
    ?>
    <?php
    $next_post = get_next_post();
    $previous_post = get_previous_post();
    if (!empty($next_post) || !empty($previous_post)) { ?>
        <div class="product-previous-next">
            <?php if (is_a($previous_post, 'WP_Post') && get_the_title($previous_post->ID) != '') { ?>
                <a class="nav-link-prev radius-2" href="<?php echo esc_url(get_permalink($previous_post->ID)); ?>"><i
                            class="cmsi-long-arrow-left"></i></a>
            <?php } ?>
            <?php if (is_a($next_post, 'WP_Post') && get_the_title($next_post->ID) != '') { ?>
                <a class="nav-link-next radius-2" href="<?php echo esc_url(get_permalink($next_post->ID)); ?>"><i
                            class="cmsi-long-arrow-right"></i></a>
            <?php } ?>
        </div>
    <?php }
}

if ( ! function_exists( 'woocommerce_content' ) ) {

	/**
	 * Output WooCommerce content.
	 *
	 * This function is only used in the optional 'woocommerce.php' template.
	 * which people can add to their themes to add basic woocommerce support.
	 * without hooks or modifying core templates.
	 */
	function woocommerce_content() {

		if ( is_singular( 'product' ) ) {

			while ( have_posts() ) :
				the_post();
				wc_get_template_part( 'content', 'single-product' );
			endwhile;

		} else {
			?>
            <div class="woocommerce">
            
                <?php if ( apply_filters( 'woocommerce_show_page_title', true ) ) : ?>

                    <h1 class="page-title"><?php woocommerce_page_title(); ?></h1>

                <?php endif; ?>

                <?php do_action( 'woocommerce_archive_description' ); ?>

                <?php if ( woocommerce_product_loop() ) : ?>

                    <?php do_action( 'woocommerce_before_shop_loop' ); ?>

                    <?php woocommerce_product_loop_start(); ?>

                    <?php if ( wc_get_loop_prop( 'total' ) ) : ?>
                        <?php while ( have_posts() ) : ?>
                            <?php the_post(); ?>
                            <?php wc_get_template_part( 'content', 'product' ); ?>
                        <?php endwhile; ?>
                    <?php endif; ?>

                    <?php woocommerce_product_loop_end(); ?>

                    <?php do_action( 'woocommerce_after_shop_loop' ); ?>

                    <?php
                else :
                    do_action( 'woocommerce_no_products_found' );
                endif;
                ?>

            </div>

            <?php
		}
	}
}

function tribalpixel_tag_cloud_class_active($tags_data) {

    $body_class = get_body_class();

    foreach ($tags_data as $key => $tag) {
        if(in_array('term-'.$tag['id'], $body_class)) {
            $tags_data[$key]['class'] =  $tags_data[$key]['class'] ." active-tag";
        } 
    }
    return $tags_data;
}

function woocommerce_template_quantity_down() {
	echo '<span class="quantity-button quantity-down"></span>';	
}
function woocommerce_template_quantity_up() {
	echo '<span class="quantity-button quantity-up"></span>';	
}
function custom_default_catalog_orderby() {
    return 'date'; // Can also use title and price
}

if ( ! function_exists( 'woocommerce_template_loop_product_title' ) ) {
	/**
	 * Show the product title in the product loop. By default this is an H2.
	 */
	function woocommerce_template_loop_product_title() {
		echo '<h2 class="' . esc_attr( apply_filters( 'woocommerce_product_loop_title_classes', 'woocommerce-loop-product__title' ) ) . '"><a href="'.get_the_permalink().'">' . get_the_title() . '</a></h2>'; // phpcs:ignore WordPress.Security.EscapeOutput.OutputNotEscaped
	}
}

if ( ! function_exists( 'filter_woocommerce_widget_shopping_cart_button_view_cart' ) ) {

	/**
	 * Output the view cart button.
	 */
	function filter_woocommerce_widget_shopping_cart_button_view_cart() {
		$wp_button_class = wc_wp_theme_get_element_class_name( 'button' ) ? ' ' . wc_wp_theme_get_element_class_name( 'button' ) : '';//esc_html__( 'View cart', 'validus' )
		echo '<a href="' . esc_url( wc_get_cart_url() ) . '" onclick="validus_redirect(\''.esc_url( wc_get_cart_url() ).'\');" class="button wc-forward' . esc_attr( $wp_button_class ) . '">' . esc_html( 'View cart' ) . '</a>';
	}
}

if ( ! function_exists( 'filter_woocommerce_widget_shopping_cart_proceed_to_checkout' ) ) {

	/**
	 * Output the proceed to checkout button.
	 */
	function filter_woocommerce_widget_shopping_cart_proceed_to_checkout() {
		$wp_button_class = wc_wp_theme_get_element_class_name( 'button' ) ? ' ' . wc_wp_theme_get_element_class_name( 'button' ) : '';
		echo '<a href="' . esc_url( wc_get_checkout_url() ) . '" onclick="validus_redirect(\''.esc_url( wc_get_checkout_url() ).'\');" class="button checkout wc-forward' . esc_attr( $wp_button_class ) . '">' . esc_html__( 'Checkout', 'validus' ) . '</a>';
	}
}

/**
 * Get Categories from category selected in theme options
 * @return array
 */
add_filter( 'woocommerce_product_categories_widget_args', 'woo_product_cat_widget_args' );

function woo_product_cat_widget_args( $cat_args ) { 
    $parent = validus_get_opt('product_categories','-1');

    if ($parent != '-1') {
        $terms = get_terms(
            array(
                'taxonomy' => 'product_cat',
                'parent' => $parent,
                'hierarchical' => true,
                'hide_empty'   => false,
            )
        );
        
        $cats = array();
        foreach ($terms as $cat) {
            if ($cat->taxonomy == 'product_cat' ) {
                $cats[] = $cat->term_id;
            }
        }
        $cat_args['include'] = $cats;

        return $cat_args;
    }

    return $cat_args;
}

add_filter( 'woocommerce_product_tag_cloud_widget_args', 'change_tag_cloud_font_sizes');
/**
 * Change the Tag Cloud's Font Sizes.
 *
 * @since 1.0.0
 *
 * @param array $args
 *
 * @return array
 */
function change_tag_cloud_font_sizes( array $args ) {
    $args['smallest'] = '9';//12px

    return $args;
}

add_filter('wc_add_to_cart_message_html', 'add_to_cart');

//function
function add_to_cart($message) {
    $messaege = str_ireplace('View basket', 'View Cart', $message);
    $messaege = str_ireplace('View Basket', 'View Cart', $message);

    return $messaege;
}

function change_view_cart_link( $params, $handle )
{
    switch ($handle) {
        case 'wc-add-to-cart':
            $params['i18n_view_cart'] = esc_html("View Cart"); //chnage Name of view cart button
        break;
    }
    return $params;
}
add_filter( 'woocommerce_get_script_data', 'change_view_cart_link', 10, 2 );

/**
 * Get Categories from category selected in theme options
 * @return array
 */
function filter_woocommerce_product_add_to_cart_text( $text, $product ) {
    //validus custom
    return __( 'Add To Cart', 'validus' );
}
add_filter( 'woocommerce_product_add_to_cart_text', 'filter_woocommerce_product_add_to_cart_text', 10, 2 );
add_filter( 'woocommerce_product_single_add_to_cart_text', 'filter_woocommerce_product_add_to_cart_text', 10, 2 );


/**
 * Cart widget
 */
remove_action( 'woocommerce_widget_shopping_cart_buttons', 'woocommerce_widget_shopping_cart_proceed_to_checkout', 20, 0 );
remove_action( 'woocommerce_widget_shopping_cart_buttons', 'woocommerce_widget_shopping_cart_button_view_cart', 10, 0 );
add_action( 'woocommerce_widget_shopping_cart_buttons', 'filter_woocommerce_widget_shopping_cart_button_view_cart', 10 );

add_filter('woocommerce_default_catalog_orderby', 'custom_default_catalog_orderby');
add_filter('wp_generate_tag_cloud_data', 'tribalpixel_tag_cloud_class_active');
add_filter('woocommerce_show_page_title', '__return_false');

remove_action( 'woocommerce_shop_loop_item_title', 'woocommerce_template_loop_product_title', 10, 0 );
remove_action( 'woocommerce_after_shop_loop_item_title', 'woocommerce_template_loop_price', 10, 0 );
remove_action( 'woocommerce_before_shop_loop', 'woocommerce_output_all_notices', 10, 0 );
remove_action( 'woocommerce_after_shop_loop_item_title', 'woocommerce_template_loop_rating', 5, 0 );

remove_action( 'woocommerce_before_shop_loop_item', 'woocommerce_template_loop_product_link_open', 10 );
remove_action( 'woocommerce_after_shop_loop_item', 'woocommerce_template_loop_product_link_close', 5 );

add_action( 'woocommerce_after_shop_loop_item', 'woocommerce_template_loop_product_title', 10 );
add_action( 'woocommerce_after_shop_loop_item', 'woocommerce_template_loop_price', 10 );

add_action( 'woocommerce_before_quantity_input_field', 'woocommerce_template_quantity_down', 10);
add_action( 'woocommerce_after_quantity_input_field', 'woocommerce_template_quantity_up', 10);